Version 1.4.4.9 Changes -------------------------------------------------------------------------------------------

I. Changes:
- Updated localization of non-English languages to include all of the post-1.4.4 hotfix content and text adjustments & changes
- Recorded Music Boxes thrown into Shimmer will now be transmuted back into blank Music Boxes
- Updated over one hundred sprites to modernize some older and dated assets. 
- In tandem with the above, reset the scale stat on about 90 swords and tools back to 1. Over time and various updates, many of these weapons had their "scale" multiplier increased, a balancing stat that increases their size to give them a bigger hitbox. Unfortunately, this results in increasingly distorted and inconsistent pixel size across our weapons. All of the affected weapons/tools have had their sprite increased in size to reflect their actual in-game size, and then the scaling factor reduced back down to 1. This will result in both modernized versions of some old sprites, but less stretched, size appropriate weapon sprites to match their intended size. In practice, this will result in minimal actual impact on their in-game hitbox size, but when there is a change, it is almost always a difference of a pixel or two, and usually in favor of making the weapon slightly bigger.
- An important note for Resource Pack makers: any sprite replacements in resource packs for any of these updated Swords/Tools will no longer function, because the old sprites are not the same size as they are now. To update resource packs which change the appearance of these weapons, the replacement sprites will need to be resized to match the new expected sprite size.


II. Bug Fixes:
- Fixed further issues with loadouts not syncing their visuals in multiplayer to other players
- Fixed an issue where some settings would reset after updates/hotfixes, most notably, currently active Resource Packs
- Fixed an issue where Echo Painted walls Underground would show up as solid black
- Fixed an issue where Paint Sprayer did not work in multiplayer on tiles that could fall
- Fixed Town NPCs not selling Ocean Pylons in valid Ocean Pylon regions on Remix/Everything seeds
- Fixed Truffle still selling Dark Blue Solution in Remix/Everything seeds
- Fixed Potion of Return's portal using the player's current height to determine its location, such as changing position when being on a mount or not
- Fixed an issue where Toxic Flask projectiles perceived platforms as solid blocks and would not pass through them
- Fixing a typo on Shroomite Helm tooltips that said they gave less damage than they did
- Fixed an issue where Shift-Clicking accessories into a Mannequin could result in invalid states such as having duplicate redundant accessories
- Fixed an issue where some Right-Click-to-Transform Items (Void Bag, Shellphone, etc) could result in sound effect spam playing rapidly for other players in multiplayer
- Fixed an issue where most worlds generated in or after 1.4.4.3 would not have Glow Tulips. Unfortunately, this will not retroactively generate Glow Tulips for those worlds
- Fixed an issue where info accessories stored in Open Void Bags did not apply their info benefit to nearby players in multiplayer
- Fixed an issue where the player preview draws behind the Dresser UI instead of infront of it
- Fixed a visual issue with the Witch's Broom mount's lantern when combined with certain armor effects
- Fixed an issue that prevented Shadow Scales and Tissue Samples from being swapped in the Chlorophyte Extractinator
- Fixed an issue where Flamewaker/Hellfire flame trail would be dyed by the dye on a different pair of boots in the accessory order
- Fixed an issue where inventory hotbar slots would highlight in gold when in the inventory incorrectly
- Fixed an issue that prevents the player from throwing items from inventory when using a Gamepad and autopaused
- Followup fix for a recurring issue that locks players into reusing an item repeatedly when on Gamepad
- Fixed an issue where some tile's glowing would not function properly when in a hammered state
- Fixed Aether effect not working in screenshots/snapshots taken in Camera mode


III. Balance:
- Scarecrows Banner/Bestiary Unlock Count Requirement reduced from 200 to 150 to reflect lower numbers in Pumpkin Moons
- All Scarecrow Bestiary Entries now share one kill count, rather than 10 independent kill counts, and will be unlocked simultaneously
- Morning Star damage reduced from 180 to 165
- Xeno Staff's fire rate further reduced from 36 to 40, in light of its AI changes resulting in much better performance than anticipated
- Made adjustments to the sell value of Bee Wax and Bee Wax-derived crafting items to result in a more consistent sell value across the set
- Increased the sell value of Imp Staff to match other Hellstone Bar gear


Version 1.4.4.8.1 Changes -------------------------------------------------------------------------------------------

- Fixed an issue introduced in 1.4.4.8 that prevented Ocean Pylons from working on Remix/Everything worlds
- Fixed an issue introduced in 1.4.4.8 that prevented inventory management when using Guide/Goblin Tinkerer special menus
- Fixed a multiplayer issue where losing a sentry due to changing gear could remove someone else's sentry
- Fixed Bone Helm having an incorrect offset on the minimap in reverse gravity
- Adjusted Meat Grinder's tile position to be more evenly positioned and have less dead space
- North Pole base damage increased from 73 to 80 in light of the previous adjustments in 1.4.4.8

Version 1.4.4.8 Changes -------------------------------------------------------------------------------------------

I. Changes:
- Made some optimizations to Mac performance. We are interested in feedback on how successful this is, and if possible, will try to follow up on other areas that also need improvement. For the time being, the most notable examples to test out are on the player creation menu and around mannequins (especially with large numbers of mannequins), but other general performance improvements may be expected. Please let us know if there are any improvements or issues as a result of the optimizations!
- Biome Style buttons on the Camera Mode biome interface now have mouseover text showing what biome they represent
- Right clicking out of search bars in the Bestiary and Research menus will now also exit the search, just like Left Clicking previously did
- Lava Charm and Molten Charm now have vanity accessory visuals
- War Table Banners and Hanging Pots/Hanging Brazier can now be hung from platforms in both the up and down hammered position
- Adding flavor text to Bone Pickaxe
- Added a loading tip and Guide help text indicating the ability to assign/unassign NPC housing
- Reducing the duration that loading tips are present on screen during worldgen/load before scrolling to the next
- Gold Worms, when thrown into Shimmer in critter form, also turn into Gummy Worms, instead of Faelings, the same as if they were thrown in as an item
- Dropping a Sparkle Slime Balloon into Shimmer in item form will now also spawn Diva Slime, instead of it only working when you throw it as a projectile
- Pressure Plate Minecart Tracks are now shown with Dangersense Potion
- Hallowed and Ancient Hallowed Armor no longer transmute into each other in Shimmer. Instead, they decraft into Hallowed Bars


II. Bug Fixes:
- Fixed an issue that allows lava kills on Blue Slimes to count as valid for spawning King Slime in Remix/Everything seed. They will still count as valid, however, if the player hurts them first.
- Fixed Steam deck users being unable to use smart cursor when using precise aim methods (trackpad, attached mouse)
- Fixed a Dungeon issue where closet and hallways might sometimes cut-off the entrance from above it, resulting in being unable to progress. This should result in, at minumum, less examples of inaccessible Dungeons.
- Fixed a rare issue where the Temple door can rarely generate in a position that is entirely inaccessible from the entrance
- Fixed an issue causing Boulder Traps to generate over chests
- Fixed Royal Gel not working on Golden Slime
- Fixed an issue where Mannequins and Hatracks even remotely near the player would remove your bonus tile placement range from Accessories
- Fixed an issue where Snail-type critters ignored Shimmer entirely
- Re-fixed a change that prevented anti-gravity shifting from kicking you off of mounts when pressing Up
- Fixed Flask particles not appearing on whips
- Fixed an issue where Deadly Spheres could be put into tightly enclosed spaces to dramatically increase their DPS
- Partially fixed an issue preventing the Grappling Hook hotkey when using Grand Design/Portal Gun, but only when using a mouse for now
- Fixed an issue where Piranha Gun would sometimes recall all of the Piranhas if even one of them missed
- Fixed a number of minor issues with sprites such as the Hardcore Ghost, Chaos Elemental's Glowmask, Research Menu UI Slot, Iron Fence, and Shimmered+Transformed Zoologist
- Fixed some sprite issues that resulted in a number of Food item sprites being partially cut-off. While doing so, also made some fixes to a few Food items showing up on plates incorrectly
- Fixed Skyware Toilet's item not using the updated color scheme shown in the furniture tile
- Fixed a single 1-block layer in the underworld of the Remix/Everything seed that spawned the wrong enemies
- Fixed an issue where Town NPCs would rapidly teleport back and forth between housing locations
- Fixed Cascade dropping from some unintended enemies (like Old One's Army)
- Fixed Phasesabers and Orange Phaseblade not glowing like the other Phaseblades
- Fixed newer ambient critter sounds not scaling with the Ambient volume setting like other critters
- Fixed an issue where dispelling or overriding Abigail would delete any projectiles "owned" by the player, including other summon and their buffs
- Fixed the Skeleton Merchant showing up in the bestiary with out of date sprites. 
- Fixed an issue with the player's arm rotating the wrong way when in reverse gravity and swinging Shortswords or Starlight
- Fixed a multiplayer issue where Drill Mount's mining beams were not visible to other players when mining walls
- Fixed Sofas having a mouseover text that said "Benches". Chippy's Couch is also now properly labeled a Couch. This might end up in a Youtube video.
- Fixed an issue with Slimer's drops in the bestiary being listed unusually/duplicated
- Fixing grammatical issue with mana cost tooltips
- Fixed newest three workbenches not unlocking the Benched achievement
- Fixed Halloween Skeletons not counting towards Skeleton kills
- Fixed an issue with Sky Dragon's Fury and Ghastly Glaive relating to Shimmer and some odd projectile behavior
- Fixed an issue where Chlorophyte Armor's set bonus fire cooldown time was inadvertently reset when swapping between armor
- Fixed an issue where Fireblossom seeds wouldn't work properly with Smart Cursor with Ash Grass
- Fixed an issue where dead players would not show their vanity equipment on the player select menu
- Fixed an issue where Holy Protection would persist on the player after removing Hallowed Armor
- Fixed an issue where Fertilizer didn't work in the Underworld in Remix/Everything seeds
- Fixed a crash issue that could happen when editing a sign and quitting out of the game
- Fixed Wave 20 Pumpkin Moon's announcement text not including Headless Horsemen
- Fixed an issue where Gamepad placement range did not account for Builder Potion's bonus
- Fixed the cancel button when renaming chests overlapping with other UI buttons
- Fixed rope coils not extending rope when the rope in question intersected platforms/rails
- Fixed Red Pigrons dropping more money than other Pigrons for no apparent reason
- Fixed an issue where fishing very deep ponds would sometimes not allow fishing up anything at all
- Fixed an issue where Gamepad/Steamdeck controls would auto-craft an item when accessing the Guide or Tinkerer's special menus
- Fixed Truffle not being able to be assigned to underground mushroom biomes in Multiplayer
- Fixed the /alldeath commands giving an incorrect output when the player only had one death
- Fixed an issue where Ocean Pylons wouldn't work in some Ocean-areas in Remix/Everything seed
- Fixed an issue where Meowmere Minecart's trail behaved oddly with certain armor
- Fixed an issue where Grass Seeds were not properly supported by Smart Cursor and so behaved oddly
- Fixed an issue where Empress of Light could hit players during her invulnerable phase transitions
- Fixed Gemcorns not growing or being Smart Cursor placeable when near tall moss
- Fixed an inconsistency with music boxes and prefixes
- Fixed monoliths being able to have prefixes, due to being able to stack
- Fixed Dirt Bombs not replacing tiles such as tall grass
- Fixed Life Drain's projectile being named Soul Drain
- Fixed the Like A Boss achievement not working on some newer boss summoner items
- Fixed the Real Estate Agent achievement not requiring Tavernkeep
- Fixed an issue leading to town NPCs bouncing back and forth between different locations
- Fixed an issue with Shimmer status after using a Wormhole Potion to teleport


III. Balance:

Swords with Range Boosting Auras (Excalibur, Horseman's Blade, etc)
- Swords with boosted range auras that hit enemies behind the player will now knock enemies away, rather than into the player

Trimarang:
- Knockback increased from 3 to 4.5.
- Projectile speed and return speed (very) slightly increased. It is now faster than all of the boomerangs that go into it
- Usetime decreased from 22 to 20

Starfury
- Base damage increased from 22 to 25
- Reduce projectile damage from 2x to 1.5x (from 44 to 37)

Bee Keeper and Hive-Five
- Spawned bees can now crit based on Melee critical chance

Night's Edge
- Damage reduced from 42 to 40
- Usetime increased from 21 to 25
- Reduce pierce count from 3 to 2. As the swing actually has 2 projectiles (each of which have their own pierce counter), this is a reduction from 6 to 4 maximum possible hits per swing
- Range of the extended portion of the swing has been slightly reduced

Ice Sickle
- Projectile damage increased from 50% of base to 67%
- Pierce count on projectile increased from 3 to 4

Death Sickle:
- Sickle projectiles changed to use static immune frames instead of global

Terra Blade
- Reduced the benefits from Melee Speed stat bonuses by 25%

North Pole
- Flakes that are very close to each other will now slightly push away from each other, resulting in flake spread when falling

Undertaker
- Damage reduced from 22 to 19 (partially undoing the 1.4.4 buff)

Phoenix Blaster
- Damage reduced from 33 to 30
- UseTime reduced from 17 to 14

Aqua Scepter
- Piercing count reduced from unlimited to 5, like Golden Shower

Snapthorn
- Poison duration reduced from 4 to 3 seconds
- Chance to inflict Poison reduced from 100% to 20%
- Correction: In 1.4.4, the changelog listed that Snapthorn's damage was increased from 18 to 19. This was in error. It remains at 18 damage.

Houndious Shootius
- Increased hitbox size of the projectile

Optic Staff
- Base damage increased from 21 to 24 (Spazmamini's damage is 100% of base damage)
- Retinamini's damage scaling reduced from 1.25x to 1.15x of base damage (still a slight increase due to the increased base)

Frost Hydra
- Projectiles set changed to use static immune frames instead of global

Magic Quiver
- Drop rate increased from 1/80 to 1/40

War Table (and by default, War Banners)
- Increasing drop rate and splitting its drop chance away from War Banners
- T1 Dark Mage now has a 50% chance to drop each of them independently in Classic, and a 100% to drop each in Expert+. 
- T3 Dark Mage has a 1/8 chance to drop either independently in Classic, and a 1/4 chance in Expert+.

Sleeping/Sitting in Chairs
- Dramatically reduced the health regen buff when sitting or sleeping
- Sleeping and Sitting are now interrupted by taking damage

Mystic Frog:
- Spawn rate increased
- No longer despawns when attempting to catch it with a net; it instead teleports to a nearby onscreen location
- Bestiary entry changed to more subtly imply how to obtain it

Remix World pre-Hardmode Mimics
- Health increased from 270 to 300
- Defense reduced from 16 to 12

Remix World King Slime Spawns
- Put a stat progression check on King Slime spawns to prevent Day 1 spawns on unprepared players. Will be identical to Slime Rain conditions from normal worlds.


Version 1.4.4.7 Changes -------------------------------------------------------------------------------------------

I. Bug Fixes:

- Fixed an issue with day spontaneously setting itself to night
- Fixed an issue where Queen Bee and Golem would fail to spawn the first time every launch session, and possibly more often in multiplayer in some cases
- Fixed bestiary entries not updating their adjusted stats first for the purposes of sorting
- Fixed an issue where pressing UP/DOWN to toggle Rubblemaker tiles changing the selection of other players as well
- Fixed a worldgen issue where Dead Man's Chest minibiome traps could generate over other containers and break them
- Fixed an issue where King Slime could be summoned on Remix/Everything seeds by Slimes being killed in lava without player interaction. Hurting the slime first will still allow King Slime's spawn to happen if the lava delivers the killing blow, however.
- Fixed Slimers having an inadvertent double chance to drop Monster Meat
- Reverting a change in 1.4.4.6 relating to ipv6 IPs to resolve a bug; will be re-evaluated in a future hotfix

Version 1.4.4.6 Changes -------------------------------------------------------------------------------------------

I. Content Changes and Balance Changes
- The Angler's Accessory Drop Duplicate Protection has been adjusted to make it more flexible and player friendly. Instead of only selectively applying duplicate protection to the 2 triple sets of accessories independently, he now applies the duplicate protection to all 7 accessories, including the Fishing Bobber. If the player has any of the 7 accessories (either in their individual form or their tinkered forms, such as Shellphone) in their inventory, the Angler will always give a non-duplicate accessory whenever he rolls to drop an accessory at all. He will only begin dropping duplicates again once the player has all 7 in their inventory. This will also result in a general increase in the number of accessories he drops.
- As a follow-up change to the above, the Mermaid and Fish Costume have been moved to be before Accessories in priority order since Accessories will be more common.
- Pulling items out of stacks now speeds up faster after a few seconds to account for the larger stack size
- Adjusted some unintuitive spawning conditions with unsafe Dungeon and Underground Desert Backwalls, where they required a wall to be placed behind the block where the enemies would be spawning instead of just above it. This is no longer the case.
- It has come to our attention that the Goblin Summoner does not, in fact, drop any Summoner items. This is an unacceptable discrepancy, so the Goblin Summoner has been demoted to Goblin Warlock.
- Master For the Worthy and Everything Seeds now show their difficulty as "Legendary" on the main menu
- Stinkbugs are now more common on days where Stinkbugs can spawn
- Added recipes to craft Sandstone and Hardened Sand Blocks at a Solidifier
- Christmas and Halloween Slimes can now be transformed into the Squire Slime if no Blue Slimes are available due to seasonal spawns
- Sandstorm in a Bottle and Flying Carpet can now be transmuted into Pharaoh Vanities
- Lava Charm can now be transmuted into Magma Stone
- Increased the visibility of the Oiled debuff to make it more clear when it is active
- Silver and Tungsten Bullets will now give 1 ore when decrafted in Shimmer, instead of 1 bar
- Copper Shortsword, Copper Axe, and Copper Pickaxe will now give 1 Copper Ore and 1 Wood when decrafted in Shimmer (instead of not being decraftable at all)
- Reduced the sell value of the Glass Kiln
- Crispy Honey Blocks are now highlighted by Dangersense Potions on FTW Seeds
- Cacti are now highlighted by Dangersense Potions on Constant Seeds
- FTW Random Angel Statue replacement should no longer impact Dungeon Chests, including the HM Biome Chests

II. Bug Fixes:
- Fixed an issue where Ice Golems, Angry Nimbi, and Rainbow Slimes wouldn't spawn reliably on Remix seed. They should now properly spawn during rain/blizzards.
- Fixed Molecart being able to dig through Demon Altars pre-Hardmode, and also being able to dig through chests with items in them
- Fixed an issue where Pumpkin Moon enemies were scaling way too much in multiplayer, including an entirely unintended damage scaling
- Fixed an issue where Frost Moon enemies were NOT scaling in multiplayer as intended (they should behave the same as the now fixed Pumpkin Moon scaling)
- Fixing (again) Brain of Cthulhu telefragging players
- Fixed the Guide to Peaceful Coexistence being flagged as a material when it was not a material
- Fixed an issue where ipv6 addresses were not functioning correctly for multiplayer servers
- NPCs or Critters spawned via spammable sources (by placing them, by statues, etc) are now flagged as such, and will be automatically replaced by regular spawns if they reach the spawn limit. This also applies to Queen Bee's Bees.
- Related fix to the above, the game will now spawn more faelings at once from critters dropped into Shimmer, as they will no longer interfere with natural spawns
- Fixed Hand of Creation having a lower rarity than Architekt Gizmo Pack
- Fixed several world name generator words that used an inconsistent apostrophe
- Revised a number of tooltips relating to Ammo and Mana Consumption to be more consistent
- Revised Celestial Shell accessory line's tooltips to be on more lines so that the text didn't scroll off the screen on small resolutions.
- Revised tooltips for a few other armor pieces to have more consistent order/phrasing
- Fixed some minor grammatical issues in some bestiary entries
(Note: Localization/tooltip adjustments in 1.4.4.5 and 1.4.4.6 are only to English at this time, and will be added in other languages in a subsequent hotfix)
- Fixed an issue causing players in Everything seed to get boosted boss death timers when in single player
- Fixed the Inner Tube being able to float in Honey, and it will now also work in Shimmer if you have the Chromatic Cloak equipped
- Fixed an issue where Gem Trees would not draw their foliage if there was no block below the block they grew out of
- Fixed Block Swapping Sand in the Celebration seed not painting it cyan
- Fixed an issue that would sometimes result in Underground Desert chests generating as the wrong type of chest, usually Gold Chests (and with the wrong type of loot)
- Fixed an issue where some equipment slots could have "nothing" right clicked into them
- Fixed Halloween and Christmas Bunnies not transforming into Faelings in Shimmer
- Fixed an issue where the Environmental Preservation Guide effect would prevent traps from breaking tiles
- Fixed an issue that prevented Deerclop's enemy slot count from properly reducing spawns like other enemies and bosses
- Fixed an issue where Horseman's Blade projectiles would sometimes decide to target critters, even though they aren't meant to target critters
- Fixed an issue with boss projectile NPCs being inconsistently killable in Single vs Multiplayer on FTW/Everything seeds
- Fixed an issue where Fertilizer wouldn't work on trees in certain Underground layers of Remix/Everything seed
- Fixed an inconsistency with the collision size of some dart trap darts
- Added a buffer zone to infection and grass spread outside the edge of the world to prevent scenarios where infection could reach places where it couldn't be purified 

Version 1.4.4.5 Changes -------------------------------------------------------------------------------------------

I. Additions/Changes:
- Guides to Critter Companionship, Environmental Preservation, and Peaceful Coexistence can now be toggled on and off via Right Click, either in the inventory or from hotbar
- All Torches are now transmuted in Shimmer to Aether Torches
- You can no longer obtain bones via Shimmer decrafting before Skeletron
- You can no longer obtain Lihzahrd Bricks via Shimmer decrafting before Golem

II. Bug Fixes:
- Fixed an issue that caused Wall of Flesh's drops to sometimes vanish when the world was converted to Hardmode. Very rare outside of Remix/Everything worlds. 
- Adding a failsafe that will protect players who get stuck in an excessively long Shimmer state
- Fixed a potential softlock caused by Shimmer and bouncy blocks
- Fixed some issues with Golf and Drone cameras being stuck panning to the player too long
- Fixed Golden Toilets not facilitating proper Poo creation
- Fixed Shellphones being unable to be decrafted in Shimmer
- Fixed another exploitable item with Shimmer decrafting
- Fixed an issue with tile actuation protection extending too far below the tile
- Fixed an issue with Oceans being drained repeatedly during gameplay
- Fixed an extremely rare issue with the Jungle Temple not generating on Remix/Everything Seed
- Fixed an issue allowing enemies to spawn on safe Desert walls
- Fixed a minor sprite issue with Town Slimes
- Fixed a punctuation issue with Russian Hotdog tooltips
- Fixed an issue preventing the Escape key from functioning on menus
- Fixed explosives on FTW/Everything Seeds hitting multiple times
- Fixed Abigail's Flower not being able to grow on Mushroom or Ash Grass
- Fixed the Sickle not being able to get Hay from Ash Grass and Sea Oats 
- Fixed an issue with the delay on Darkness messages on the Constant seed not giving enough warning time

Version 1.4.4.4 Changes -------------------------------------------------------------------------------------------

I. Additions/Changes:
- Both tile and projectile versions of personal storage items now have the Quick Stack to Nearby Chests animation
- Changed Ghost Costume's Shirt so that you can see your worn pants beneath it. Using it with Familiar Legs will show the bare legs again.
- Floating container projectiles (Money Trough, Void Bag) now have an increased Quick Stack to Nearby Chests range just like chests do
- Reduced volume on the Kwad Racer Drone
- Shimmered debuff state no longer grants invincibility against bosses (invasion will be in a subsequent hotfix)

II. Bug Fixes:
- Fixed a crash that happened to some players whenever the game tried to save
- Fixed an issue where NPCs who's names were translated would not drop name-based special drops
- Fixed some debug dust on Terra Blade
- Fixed issues where thunder/lightning became very fast when the game's time was sped up, resulting in FPS drops and potentially damaging flashing lights
- Fixed an issue where holding certain items inhibited the use of some hotkeys when it shouldn't have
- Fixed some inconsistencies with waterfalls in Retro/Trippy lighting
- Fixed a few more items being exploitable via Shimmer decrafting
- Fixed it being possible for Shimmer to spawn too high up in worldgen to properly form its visual effects
- Fixed an issue where it was possible to have an invalid loadout slot, breaking all loadout functionality
- Fixed an issue with loadout vanities in multiplayer not syncing to other players
- Fixed a visual issue with NPC arm sprites during combat animations when Shimmered
- Fixed a few minor tooltip and item name inconsistencies

Version 1.4.4.3 Changes -------------------------------------------------------------------------------------------

I. Bug Fixes:
- Fixed an issue preventing Quick Stack to Nearby Chests from working with some chests
- Fixed an issue where Favorited items in Void Bag would be placed into the player's inventory when Looting the Void Bag
- Fixed an issue when Clentaminator solutions would break trees and cause them to drop the wrong wood
- Fixed a typo in Ash Wood Breastplate's name
- Fixed Royal Gel not protecting against Shimmer Slimes
- Fixed an issue where Spear Range Boost Effects would have unreliable hit detection at high melee speeds
- Fixed Bottled Honey not giving the Honey buff when used with Quick Heal
- NPC Shops no longer update their discount price at all once the shop is open. Reenabled moving Greedy Ring/Discount Card in the accessory slots when the shop is open (since the price will no longer change dynamically)
- Fixed Enchanted Moondial not recharging when Blood Moon/Eclipse occur naturally
- Fixed an issue where Shimmered items that create Falling Stars would have the Falling Stars vanish instantly during day. Additionally, Falling Stars which are currently in the process of being "picked up" by a player will not vanish during day
- Fixed an issue where Pearlsand was not properly flagged as a Material for some crafting recipes which took any Sand
- Fixed Volcano's detonation sound playing for players very far away
- Fixed Don't Starve death sounds not playing on Constant Seeds
- Fixed an issue allowing you to switch loadouts while dead, frozen, webbed or stoned
- Fixed text issue with Fallen Starfish tooltip and Quest text giving the wrong location for fishing
- Fixed a worldgen issue that would allow thin ice chasms to override Chests
- Fixed the smart cursor outline of the Barrel not matching its shape
- Minor updates to other language localization
- Fixed a line of stray pixels on the Wand of Frosting sprite
- Fixed an issue with Spear Range Boost Effects looking odd on Minecarts in some scenarios
- Fixed Abigail's Flower being able to grow over and break a bunch of tiles it shouldn't be able to break
- Fixed Gamepad Fast Use causing some items to be used indefinitely
- Fixed Tortured Souls being able to pick up coins (who would want to give even MORE money to the tax man?)

II. Balance
- A few items were set to be non-decraftable in Shimmer due to exploits
- Reduced the sell value of Light Disc, Bananarang, Fairy Boots, and Hellfire Treads to be more reasonable
- Fixed an issue with Sword Range Boost Effects not properly hitting behind the player, and generally improved their hit detection accuracy across the board
- Fixed Blade of Grass Razor Leaves not inflicting Poison

Version 1.4.4.2 Changes -------------------------------------------------------------------------------------------

I. Additions/Changes:
- Updating non-English localization files to account for some last minute changes and adjustments

II. Bug Fixes:
- Fixed an issue introduced in 1.4.4.1 that prevented Mac/Linux from launching properly
- Fixed some additional Mac/Linux related launching and server issues
- Fixed an issue causing certain usable items to be duplicated on Gamepad/Console/Mobile/Steam Deck
- Fixed a Gamepad issue preventing items from being assigned to the D-Pad Hotbar properly
- Fixed a missing tooltip on Aether Campfire
- Fixed Lock Boxes not being openable with keys
- Fixed Solar Tablets not working in multiplayer but still consuming the tablet
- Fixed Pumps turning Lava and Honey into Water
- Fixed a softlock caused by leaving worlds in certain ways when using Drones or Golf
- Fixed Brain of Cthulhu teleporting too close to the player in FTW/Everything Seeds. It should no longer be able to directly telefrag the player, but the Brain is not avoiding you, so a rapidly moving player may still find themselves in its new teleport position.
- Fixed a visual issue caused by using some spears in reverse gravity
- Fixed some tile merging issues with dirt
- Fixed an issue causing some Clentaminator Solutions to consume far too much ammo per shot
- Fixed some Melee Speed tooltip inconsistencies on 2 items
- Fixed Smart Cursor trying to place Boulders on Pylons


Version 1.4.4.1 Changes -------------------------------------------------------------------------------------------

I. Additions/Changes:
- Worlds where Moon Lord has been defeated now show a golden border on the world selection menu
- Added one new achievement

II. Bug Fixes:
- Fixed some serverconfig options being completely ignored when running servers
- Fixed a major scaling issue with Journey mode universally having increased stats on enemies
- Fixed an issue causing players to infinitely use some items without being able to stop
- Fixed an issue where rescuing certain slimes as the 8th would not unlock The Great Slime Mitosis achievement
- Fixed character selection not properly applying dyes to players who had dyed pets
- Fixed a bug that gave an incorrect death message when killed by Jellyfish Shock Attacks
- Added a failsafe so that broken trees in worldgen will be fixed
- Fixed Paint Scraper not working with Smart Cursor when removing coatings
- Fixed some monoliths not properly being "pushed down" into the ground
- Fixed some liquid rendering issues when in reverse gravity
- Fixed the change to Chain's recipe from 10->15 not working. It should now properly give 15.
- Fixed an issue where Magic Quiver's knockback bonus rounded down, which actually nerfed most Knockback values
- Fixed an issue where Chains were lava immune, but could NOT be "extended" into lava
- Fixed hanging furniture swinging indoors with the wind
- Fixed an issue where Jungle critters could spawn in a Corrupt/Crimson Jungle when near Hive blocks
- Fixed an issue during worldgen where the game hangs indefinitely trying to spawn some objects
- Fixed an issue with Escape not working properly on the Virtual Keyboard
- Fixed an issue where the change Moon Lord's Phantasmal Sphere damage was only applied to one of the two versions
- Fixed a few bugs relating to new content that hasn't been spoiled yet
- Fixed an issue preventing 2 of the game title texts from showing, but they are still not properly translated in non-English languages for now
- Fixed an issue with lava spawns from tiles not spawning serverside in multiplayer, resulting in ghost lava
- Fixing a worldgen issue with trapped chests, which should alleviate at least one possible cause of worldgen freezing on the Everything seed


Version 1.4.4 Changes -------------------------------------------------------------------------------------------

I. Labor of Love Content Changes and Additions:
A. New Special Seeds and Updates to Special Seeds
- Added the "Remix" World Seed, where the player spawns in the Underworld and makes their way up. Worldgen is heavily overhauled, and enemy spawns and item drops are changed
- Added the "No Traps" World Seed, for those players who just totally hate dying to traps during their Terraria adventures.
- Added the "Everything" World Seed, a combination of all of the major seed features from every other special seed.

For the Worthy Updates
- Numerous changes and threats have made their way to the FTW seed, to demand even more worthiness from players
- Classic difficulty FTW worlds automatically behave as Expert. Expert FTW worlds are automatically Master.
- Should now be possible to 100% complete the Bestiary

Not the Bees Updates
- Spider Caves now generate in Not The Bees worldgen
- All fish should be catchable now
- Should now be possible to 100% complete the Bestiary

Don't Starve Seed Updates
- Don't Starve Darkness damage increased from 50 to 250, and the time before being hurt decreased from 8 to 4 seconds
- Eating regular mushrooms will reset hunger back to full duration Peckish if you are Peckish, Hungry, or Starving

Celebration Seed Updates
- A number of changes have been made to Celebration worlds to make them even more fancy and festive!

B. New Items and Content
- Added 8 Slime Town Pets! Collect em all!
- Added over 300 new items
- Added over 25 new blocks and walls
- Added over 55 new paintings
- Added a few new vanity accessories and items
- Added a new tree type
- Added 3 new furniture sets
- Added Crimson and Corrupt Mud Grass. Corruption and Crimson no longer dry out Jungle Grass into dirt when corrupting it, but instead simply spread to the grass portion.
- Added Rubblemaker
- Added Shellphone
- Added Hand of Creation
- Added Echo Coating and changed Illuminant Paint to be Illuminant Coating. Coatings function exactly like paint, except they can be stacked with any other paint and each other.
- Added Lilith's Necklace
- Added Poo
- Added Terraformer
- Added a Biome Sight Potion
- Added Jungle Birds
- Added Flymeal, bane of Townsfolk everywhere
- Added a few more pre-Hardmode weapons
- Added Bottomless Honey Bucket and Honey Absorbent Sponge
- Added Fart Kart
- Added Resplendent Dessert
- Re-implemented Pixel Boxes to be sold by the Mechanic, which have been updated to have improved functionality for pixel displays.
- Re-implemented the deprecated Mini Star Cell Banner. It drops and buffs its respective enemy. Regular Star Cell banner no longer gives a buff against Mini Cells.

C. UI and Menu QoL Changes
- Added Equipment Loadouts. Changed F1-F3 keys to be the default bindings for Loadout Swapping, and F4 was changed to be the keybind for Camera mode.
- You can now place any accessory in social slots again. Social slot eligibility tooltip removed.
- Increased the max stack size of nearly all stackable items to 9999.
- You can now stack Guide Voodoo Dolls! But . . . with great stacking comes great responsibility. Throwing a stack of more than one into lava may have unwanted consequences.
- Void Bag now can be opened/closed with right click. A closed Void Bag will no longer pick up overflow items, and functions more like a Money Trough. An open Void Bag still picks up overflow items, and gains a number of new features, including:
- Using Quick Buff, Food, and Potions from its Storage. This includes Mana Flower Mana Potions. Wormhole Potions will also work automatically from within it.
- Allow crafting directly from Void Bag Contents
- Favoriting items inside of it
- Quick Stack to Nearby Chests from its contents
- Keys within it can be used to unlock chests
- Info accessories, Wire vision accessories, and Mechanical ruler all work from within it
- Void Bag will now also collect overflow items when looting chests
- Bestiary now shows kill count for that enemy
- Bestiary now shows stats based on the current gameplay session (based on things like difficulty, seed, etc)
- Added an accessibility option which will allow all weapons to be autofired
- Painter now has two shops menus. Wares are split between them to prevent his wares from being locked out of purchase due to too many items being in one shop.
- You can now link Angler quest fish in the player chat box
- All Quest Fish items now have tooltips saying where to catch them (useful for sharing in chat message)
- Paintbrushes, Fishing Rods, and Clentaminator now show the currently selected "ammo" by the cursor
- Clentaminator now works with Rifle/Sniper Scope functionality
- Angler Set, Fishing Accessories, and the Fishing Potion now all indicate how much Fishing Power increase they grant
- The +/- options to change Zoom now zoom twice as fast
- Updated some outdated loading and Guide text about things such as Lucky Horseshoe and Meteorites
- When in Journey mode, mousing over items in the crafting menu will show how many are needed to Research. This also applies to Guide and Tinkerer UI slots.
- Some info accessory tabs are grayed out when inactive or display N/A, and will light back up when active again. Gold Critters will appear in gold on the Lifeform Analyzer.
- Changed the Quest info for Pengfish and Pixiefish to be more consistent with similar fish
- Quick Stack to Nearby Chests now has a visual effect, showing the items which are being quick stacked moving towards the chests they go into
- Added flavor text and info text for Portal Gun
- Equipping any of the Monoliths in accessory slots will create a player-side shader effect in the same way that Radio Thing does
- Playing musical instruments now shows the note on the cursor
- Significantly increasing the range of quick stack to nearby chests
- Pumpkin and Frost Moon will now display the total score when the event is over.
- Flower Accessory's social display visual now draws over helmets/face accessories, to allow combining. Additionally, Jungle Rose has been changed from a Head Vanity to a Vanity Accessory.
- Worlds in the World Menu where Moon Lord have been defeated now have a special border around their icon
- Added an option to show health/mana display numbers on Health/Mana UI settings
- Added an option to display numbers on boss health bars
- When a Sandstorm is active, the Weather Radio info accessory will display it, alternating between it and the standard weather display
- Character creation now defaults to Classic mode instead of Journey mode
- Summoning tooltips now say they deal "Summon" damage instead of "Minion" damage
- The game now tracks deaths, and they can be viewed with the /death and /pvpdeath commands. Additionally includes the /alldeath and /allpvpdeath for server-wide numbers.
- Made some consistency improvements to tooltip text displaying Up/Down messages
- Capricorn Legs/Tail now instant-transform into each other, and maintain favorite status, rather than simply spawning a new item in a different inventory location
- Shift-clicking items to the research slot automatically researches the item.
- When randomizing a character, more hairstyles are available to be rolled
- When randomizing a character, the game will pick female characters more often than before (which previously was actually quite uncommon)
- Most of the Stylist haircuts are now available when creating your character
- Added an option to disable quick trash in the main menu
- When using Journey mode's reach booster, it also increases item pickup range
- Encumbering Stone can be right clicked from the inventory or hotbar to make it Uncumbering, allowing more controllable use of its pickup blocking function
- Your equipped pet can now be seen on the player selection menu with your character
- Journey sliders now have interactible buttons which allow you to snap to specific points

D. Content Changes and Feature Expansions
- Added new achievements
- Added new Death Messages
- Added several new title texts
- Added many new words to the random world name list
- Added new sounds to several weapons and enemies
- Ropes and Minecart tracks can now intersect, allowing you to use a rope and a minecart in the same spot without having to break one
- Similarly, Ropes and Platforms can also now intersect.
- The player no longer collides with platforms when on a rope pulley, to allow for ropes which go through platforms
- You can now exchange your Town pet by using another Pet License (They can now be purchased infinitely from the Zoologist)
- Smashing altars no longer generates random blocks of infection in the world
- Traveling Merchant now has an extra guaranteed item slot in his inventory in Hardmode. This slot can only contain items from the 4 less common item pools, with the most common items being excluded.
- Traveling Merchant now has an extra guaranteed item slot in his inventory at all times. This slot will ALWAYS contain a painting. Paintings have been removed from all of his other inventory slots, which will slightly increase the odds of obtaining the rest of his wares.
- Angler no longer drops furniture items as part of his regular drop pool. Instead, he now has a chance to give a bonus Furniture drop when completing quests. The odds of getting a bonus furniture drop increase as your Quests completed increases.
- Right clicking the Eternia Crystal Stand during the cooldown between OOA waves will allow you to skip the delay and immediately start the next wave. The Eternia Crystal stand and the first wave completed message also indicate this fact.
- Upon defeating all 3 mechs for the first time, the game will now attempt to immediately spawn a Plantera Bulb in the Jungle
- Glowing Mushroom grass and trees now glow different colors when painted
- Critter Cages can now be stacked and stood on like platforms
- Increased the minimum size of Underground Deserts from 50% of the maximum size to 75% of the maximum. The maximum size has not increased.
- The player can now have double the number of active buffs/debuffs (44 total) before they start overriding each other
- Torch God's Blessing can now convert Campfires as well
- You can now block swap torches and campfires
- Players can now blockswap ropes out for platforms or minecart tracks if there is already a platform/minecart track to the side of the rope
- All Lockable Chests can now be re-locked using Chest Locks
- The Extractinator can now be used to turn fishing trash into low level bait
- When getting a hole in one in golf, it now says so instead of saying 1 stroke
- Slime Rain can now only begin from 6 AM to Noon, but the odds of it happening are now 4x as high. This will result in the same number of Slime Rains overall, but they simply start in the morning.
- Most critters which spawn from tiles or trees now have a brief delay before they can be killed (the same as how Worms from tiles are protected)
- When hitting trees, the tree will now always show a visual puff of leaves, even if nothing is dropped, to indicate that a successful tree hit has been performed
- Banners, Hanging Bottles, and Lanterns can now be placed on unhammered platforms and all other platform hammer configurations
- Reverting a previous change that altered how Frozen Slime Blocks merged with regular Slime Blocks and other blocks. They are now intentionally inconsistent with regular Slime Blocks for building purposes.
- Crystal Shards can now grow on Pearlsand, Hardened Pearlsand, and Pearlsandstone
- Rainbow Bricks now use an improved map color gradient
- Abigail's Flower now breaks in one hit when mined and makes a grassy sound when doing so
- Zenith's swing SFX now plays more often to more appropriately match its swing speed
- Rod of Discord's item sprite is now bright and generates some light, making it easier to see if it drops
- Resprited several of the core progression swords to be bigger and more up to date
- Starfury's star has been given a visual overhaul
- You can now fish while partially submerged in water, as long as the player's arms are above the bobber. This includes fishing in an Inner Tube!
- Cracked Dungeon Bricks can now be broken by projectiles
- Added recipes for all 9 safe versions of Dungeon Walls
- Added recipes for all of the Dungeon worldgen platforms
- Added a recipe for Magic Mirror
- Heavily optimized recipe checking code. This should result in dramatically reduced/eliminated FPS drops when large numbers of recipes are calculated on the fly (such as when opening a chest that contains large numbers of crafting materials when near crafting stations)
- Balla Hat and Gangsta Hat are now sold during day and night respectively, instead of 24/7
- Ocean water is now slightly more transparent and easier to see in
- The Nurse can now comment on how often you have been dying in her random dialogue
- Some Boss Masks can now be combined with Beard Accessories
- Increased movement speed of Hardcore Ghosts
- Teleporters no longer produce flickering light passively


II. Labor of Love Bug Fixes:
A. Crashes and Major Issues
- Fixing an issue which prevented Terraria from working on some Mac OSX 12 installations
- Fixed a crash that could happen if various critters went outside of the world's boundary
- Fixed a crash relating to Sand falling in multiplayer
- Fixed a rare crash with Companion Cube in multiplayer
- Fixed a crash caused by Lightning Aura Sentries dropping through the bottom of the world
- Fixed a crash issue related to Ice Rod in multiplayer
- Fixed a crash relating to loading and unloading resource packs
- Fixed an issue where invalid Torch frames would cause problems on servers
- Fixed an issue when attempting to verify integrity of game files, a single file would always fail to validate

B. Combat, Enemy, and Weapon Issues
- Fixed a quirk of Duke Fishron's Cthulhunado that would sometimes instantly spawn it on the player and hurt them unavoidably. It should now spawn a certain distance below the player if there is no floor nearby, allowing the player time to avoid it
- Fixed an issue where Whips that gave Attack Speed buffs would incorrectly apply the buff to Melee weapons. Their tooltips have been updated to emphasize this fix.
- Fixed a bug where standing on certain configurations of platforms would allow teleporting enemies to teleport directly on top of you and cause damage
- Fixed a bug where, if stacking multiple sources of defense penetration, it would allow weapons to deal extra phantom damage above base damage
- Fixed a bug where Sanguine Staff and Terraprisma could hit a single enemy more than once per swing
- Fixed a bug with Blood Thorn causing its thorns to unintentionally lose damage on every pierce
- Fixed a bug where Deadly Spheres minions would spontaneously de-aggro from enemies in the middle of combat
- Fixed a issue where Empress of Light would sometimes teleport directly on top of the player
- Fixed a bug that caused mana to not regenerate at normal speeds when on infinite flight mounts
- Fixed an issue where Ichor Dart and Celebration MK2 would sometimes rapidly hit more than intended
- Fixed Flocko and Krampus not giving wave progression points during Frost Moon
- Fixed a bug where Frost Moon's Waves 2, 3, and 4 required way too few points to progress
- Fixed an issue with ammo consumption for Flamethrower and Elf Melter
- Fixed a bug where Chain Knife and Flairon had a strange damage hitbox in the upper corner of the player
- Fixed a bug where Rocket Launcher could not received Ranged prefixes such as Unreal
- Fixed a bug where Beam Sword forced you to turn to face the direction it is firing its projectile when autoswinging
- Fixed a bug where Imp Staff would randomly rapidly fire at enemies under specific circumstances. It can still fire at an above average speed in these circumstances, but it isn't as extremely fast now.
- Fixed an issue where underground Mothrons did not check to make sure they were laying eggs on solid tiles, including laying eggs in lava like a terrible parent
- Fixed an issue where quadruped enemies would not fall through platforms
- Fixed an issue that prevented Horseman's Blade from proccing on certain targets, such as Moon Lord's eyes or naturally spawned critters
- Fixed some issues where size downscaled bosses in Special Seeds had inaccurate hitboxes
- Fixed Bee enemies and Explosive Bunnies being able to rapidly hit enemies with no iframe cooldown
- Fixed being idle on infinite flight mounts not protecting from Worm spawns
- Fixed Old One's Army Flyer behavior where they would fly under the ground and not come back up, thus avoiding defenses
- Fixed an issue where some Frost Legion enemies didn't have the correct movement speed
- Fixed a bug causing Super Star Shooter's projectile to die when having your back to a wall
- Fixed a bug where Corruptors and Giant Fungi Bulbs would fire at Hardcore ghosts

C. Gameplay Functionality Issues
- Fixed some long running issues where the size or quantity of some worldgen features were not properly accounted for in Medium worlds, resulting less of some things like the Jungle or Mushroom biomes
- Fixed a bug that caused daily Tree Shake count to be cumulative across all worlds
- Fixed a worldgen bug that has existed since the beginning of the game that prevented Demon/Crimson Altars from spawning deep underground. You will now find many more of them much deeper Underground.
- Fixed an issue where some infected tiles were not being detected by the Dryad, including some sand types, plants, vines, and thorns
- Fixed an exploit allowing conservation of Etherian Mana after Old One's Army ends
- Fixing more inconsistencies between seeded PC and Mac/Linux worldgen, though ultimately it may be impossible to completely eliminate all variation due to fundamental OS differences at a basic level
- Fixed the player taking damage from Don't Starve darkness when in well lit areas due to being in another window
- Fixed an issue where joining into a world where the Real Estate Agent achievement was "valid" for unlock would not unlock it until the next time an NPC moved in. It should now unlock immediately upon joining.
- Fixed an issue where small patches of sand around the world would generate with Underground Desert backwalls, allowing those enemies to spawn
- Fixed an issue where Sandstone Chests that generated too high in the world would turn into Gold Chests instead
- Fixed another issue with Giant Mahogany Trees generating over chests or the Temple
- Fixed Lavafly Jar not counting as a light source for housing
- Fixed a bug with Boulder traps causing overlap issues with chests if they generated too close
- Fixed NPCs standing in front of each other too often, and Town Pets standing over chairs and blocking Town NPCs
- Fixed a bug where Life Fruit, Plantera Bulbs, and Jungle Plants would not properly break the plant tiles they replaced
- Fixed Campfire Minibiomes sometimes generating incorrectly
- Fixed Dirt Rod's Dirt Ball projectiles destroying some decorative tiles
- Fixed an issue where Smart Cursor would sometimes target solid blocks when trying to place Herb Seeds
- Fixed a similar issue where Smart Cursor would try to plant Pumpkins in non-valid locations
- Fixed a long running inconsistency where Tall Grass couldn't grow in front of most fences
- Fixed Mushroom/Ash Grass not breaking in one hit when using Gravedigger's Shovel
- Fixed the player being able to fish up Dungeon items before Skeletron is defeated
- Fixed an issue where NPCs could teleport home instantly at any time when standing on Dungeon Brick
- Fixed Dye Plants growing in Honey
- Fixed Jungle Torches not being used by Torch God's Favor when inside of the Temple
- Fixed some Rubble types "surviving" tile change via infection/Clentaminator when they should not.
- Fixed Pumpkins not breaking themselves when the tile beneath them was changed to be non-valid for plant growth
- Fixed a bug where Gold Goldfish could not spawn in underwater living tree tunnels
- Fixed Lucky Coin not working properly in Multiplayer on Expert and Master mode

D. Visual / Audio Issues
- Fixed an issue where unsafe and safe versions of the same Wall type did not properly merge together
- Fixed an issue with OGG resource pack tracks not detecting loops properly
- Fixed an issue with some held projectiles (Spears, Flails) jittering a bit when the player goes up and down half-blocks
- Fixed the offset on Geyser trap tiles so that they merge more seamlessly with blocks they are placed on
- Fixed an issue with some gore moving at extremely high speeds through the entire world
- Fixed an issue with infected Cacti, Oasis plants, and Sea Oats only showing as green on the map
- Fixed an issue with falling Slush Blocks not having a sound or dust when Slush Balls break
- Fixed a sprite issue where most fences that were "floating" were visually cut-off at the bottom
- Fixed the top row of the underground background layer not allowing light, causing visual artifacts
- Fixed an issue where Crystal Shards could grow on sloped blocks, resulting in them floating
- Fixed an audio desync with certain guns in multiplayer
- Fixed a number of Rubble piles creating the wrong dust color when broken
- Fixed a minor visual offset with Video Visage's screen sprite when facing different directions
- Fixed a positioning issue with Furnace and Hellforge to resolve some tile sheet issues in texture packs
- Fixed cattails and vines not maintaining paint when growing
- Fixed King Slime's crown not properly adjusting its size under some circumstances
- Fixed an issue where Money Hair Dye's color system would break and cycle through colors of the rainbow when reaching particularly large quantities of money
- Fixed Frozen Chandelier's light being the wrong color
- Fixed Hardmode ores generating with paint when replacing a painted tile
- Fixed an issue where Silly Sunflower Bottoms and Frog Legs, when worn together, would show the player with no legs at all
- Fixed some spriting issues in the Minotaur pet's animation
- Fixed an issue where sitting in a chair while underwater and while also wearing an Inner Tube would make the player's legs draw incorrectly
- Fixed the Ocean not being bloody during a Blood Moon
- Fixed Kimono pants being treated like a robe, breaking sitting frames, as well as an issue with the female Kimono "jumping" sprite

E. UI, Input, Text and Tooltip Issues
- Gamepad now tries matching Button Instructions to the inventory slot your cursor is on immediately. Hovering over a button or item with the cursor will show the relevant Gamepad instructions.
- Fixed an issue where exiting the research menu mid-animation would result in the animation resuming when you opened it back up later
- Fixed Info Accessories not properly updating their display when the game is paused
- Fixed an issue allowing Armor Swapping with sold items
- Fixed Moon Lord's health bar flickering when he spawns
- Fixed Gravedigger Shovel using two different recipes for Iron and Lead. It now just uses a single AnyIron recipe
- Fixed world names/seeds being able to exceed the size limit of the text box under certain conditions
- Fixed an issue where sorting Chests and then changing directly from that Chest to another Chest (without closing) would maintain the color highlight of the sorted slots
- Fixed an issue where Boss health bars that have scaled health due to multiplayer would have an incorrect display for players joining the server mid fight
- Fixed link buttons on main menu not working on Mac/Linux
- Fixed a bug where the Tongued debuff did not actually give its unique death message if it killed you
- Fixed a minor capitalization issue in the "Web Spit" projectile
- Wasp Gun's tooltip now properly indicates that it penetrates defense (Wasp Gun Wasp Gun)
- Fixed an issue where all of the 3 Shroomite Helmets caused the tooltip damage of weapons they boosted to be slightly inaccurate. It would make the tooltip damage round up by 1 extra, making for a displayed damage that was incorrect compared to the actual amount of damage done. The actual damage done has not changed.
- Fixed a bug where player kills by self-destructing enemies might give a death message for the wrong enemy
- Fixed an issue where the game would not display your dropped coin count if you dropped an inordinately large amount of platinum on death
- Fixed a text inconsistency in the Venom Flask tooltip
- Fixed an issue where NPCs would refer to the Underground as "NormalUnderground"
- Fixed some text menus in the game not being compatible with the virtual keyboard when using Gamepad
- Fixed Lava Moss' tooltip and rarity color not matching the other glowing moss
- Fixed a number of other inconsistencies with item rarity colors and sell values
- Fixed Djinn's Curse having "vanity" tooltip line, as it does actually confer mechanical benefits

F. Multiplayer Syncing and Functionality Issues
- Fixed Tombstones desyncing when landing in multiplayer
- Fixed an issue with Moss growth not syncing in multiplayer when the moss was above ground
- Fixed some syncing issues with Nimbus Rod and Crimson Rod
- Fixed a certain server exploit
- Fixed a desync with Whips and Spears in multiplayer
- Fixed a server launch failure caused when providing an invalid world file pathway via the server config file
- Fixed a visual swing animation issue with Flying Knife when using Feral Claw-type accessories in multiplayer
- Fixed an issue causing Banner drops to be attributed to an uninvolved player on servers
- Fixed an issue where Keybrand's particle effects didn't show up for the user in multiplayer
- Fixed bucket-removed water not syncing properly sometimes in multiplayer
- Fixed a number of PVP debuffs not syncing properly in multiplayer
- Fixed a syncing issue with Tesla Turret projectiles in multiplayer
- Fixed a visual desync with flopping fish critters in multiplayer
- Fixed an issue where Dry Bombs and similar items would not sync fluid properly on servers
- Fixed an issue where Rainbow Gun could arc down and draw across the entire world for some people in multiplayer
- Fixed an issue with sloped blocks not syncing their slope changes when sand fell on them in multiplayer

III. Labor of Love: Balance Changes:

A. Global Mechanics Changes
Static Immunity Frames Last Hit
- All piercing projectiles that use static immunity no longer apply immunity on their "final hit", if they are a projectile which expires after enough pierces. This has very little impact on 	previously existing static immunity projectiles, but is important for several projectiles which are being changed to use static instead of global. Global Immunity projectiles already do 		this, so this change was made to account for some projectiles which were being changed from global to static, so that they did not receive an accidental damage nerf.

Buff/Debuff Caps
- Player buff/debuff maximum increased from 22 to 44.
- Enemy debuff maximum increased from 5 to 20

Post-Death Invincibility
- Duration increased from 1 to 3 seconds


B. Bosses
King Slime
- Now takes up more enemy slots, reducing or outright eliminating additional enemy spawns during his fight. This does not impact Slime Rain spawns.

Brain of Cthulhu 
- Health increased from 1000 to 1250
- 5% Knockback resistance added across all difficulties (50/55/60% to 55/60/65%)
- Expert/Master illusions now become opaque much faster
- There is now a safe range around the player during Phase 1 to prevent BoC from teleporting directly on top of you (though it can still be extremely close)
- No longer has a map icon during Phase 2

Deerclops
- Now takes up more enemy slots, reducing or outright eliminating enemy spawns during his fight

Wall of Flesh
- Hungries no longer gain a 3rd stat bonus after 25% Wall of Flesh health. They will continue to use the 2nd stat bonus from 50% WoF health for the remainder of the fight.
- Wall of Flesh's tongued debuff pull speed now scales with the boss's speed in Expert/Master, to prevent the Wall from moving faster than it pulls you in at the end of the fight

Queen Slime
- Maximum flight speed and acceleration in Phase 2 have been reduced by about 15%
- Queen Slime's minion projectile damage reduced from 30/80/150 to 30/68/120
- These same projectiles now generate some light to be more visible at night
- Now takes up more enemy slots, reducing or outright eliminating additional enemy spawns during his fight

Plantera
- Increased distance before despawn timer begins ticking down dramatically.

Golem
- Golem Body health increased from 9000 to 15000
- Golem Head health increased from 16000 to 25000
- Golem Fists health increased from 7000 to 10000
- Now charges its punches with a visual effect for half a second before firing them.
- Golem's Fists can no longer be deflected.
- Now takes up more enemy slots, reducing or outright eliminating enemy spawns during his fight

Duke Fishron
- Health increased from 50,000 to 60,000
- Health scaling factor in Expert/Master increased from 1.6x to 1.65x
- Final Health values have increased from 50k/60k/76.5k to 60k/78k/99k
- Now invincible immediately after being summoned, and during his phase transitions
- Fixed an issue where Duke Fishron's Cthulhunado would sometimes instantly spawn on the player and hurt them, unavoidably. It should now spawn a certain distance below the player if there is no floor or platforms directly below, allowing the player time to avoid it
- When Enraged, Duke Fishron is much faster, and fires more frequent and faster Cthulhunados

Empress of Light
- Fixed a issue where Empress of Light would sometimes teleport directly on top of the player after an attack
- Now takes up more MANY more enemy slots, reducing or outright eliminating enemy spawns during her fight. 

Daytime Empress of Light, Skeletron, Skeletron Prime, and Dungeon Guardian
- "Instant kill" attacks will no longer be avoided by Dodge procs such as Hallowed Armor or Master Ninja Gear

Lunatic Cultist
- Health scaling factor in Expert/Master increased from 1.25 to 1.5
- Final Health values have increased from 32k/40k/51k to 32k/48k/61k
- Ancient Light projectiles are no longer instantly killed, but actually take some damage to kill, and will be targetted by homing projectiles, soaking up some of your damage.

Moon Lord
- Phantasmal Sphere damage reduced by 20%
- Phantasmal Sphere hitbox size reduced slightly
- Will now always drop 2 non-identical weapons

C. Enemies, Threats and Invasions
Projectile Reflecting Enemies (Large Mimics, Selenians) (Nerf)
- Reflected Projectiles now only deal half-damage to the player
- Reflected Projectiles no longer scale and deal extra damage in Expert/Master mode.

Teleporting Enemies (Teleporting Casters, Chaos Elementals, and Nebula Floaters)
- The protection radius around the player preventing them from teleporting directly onto you has been increased substantially
- The game will now also take your speed and direction into account when you are moving, and will further attempt to prevent these enemies from spawning directly in your path without time to react. However, this system is not absolute and only gives some extra distance, so it is still possible to crash into a recently teleported enemy if you do not alter course or are moving very fast.
- The protection radius around the player is even higher for Chaos Elementals and Nebula Floaters due to their not being stationary

Lifeform Analyzer Rarities
- A number of enemies rare enough to show up on the Lifeform Analyzer have had their rarity levels changed to give proper priority based on enemies which they co-exist with. For example, Dye Beetles have been reduced to Rarity 1, so that any higher Rarity enemy will take priority on the display.
- Voodoo Demons are now also listed on the Lifeform Analyzer

Pumpkin Moon and Frost Moon
- Pumpkin Moon can now go up to Wave 20. Wave point requirements for Waves 15-20 match Frost Moon.
- Pumpkin Moon's wave composition has been completely rearranged to account for this.
- Pumpkin Moon bosses are now capped in number, more closely resembling the behavior of Frost Moon bosses
- Increased the number of enemy slots taken up by Mourning Wood and Pumpking, to be more in line with Frost Moon bosses, dramatically reducing how many can spawn at a time
- All regular enemies in Pumpkin/Frost Moon now have low per-player Health scaling in Expert/Master multiplayer. The boss units already had scaling.
- Pumpkin Moon trophies now drop using Frost Moon drop rates, instead of dropping from 100% of Wave 15 kills.
- Pumpkin Moon boss drop-rate-by-wave multiplier has been reduced, though drops are still more common than Frost Moon levels. This is partly to account for having a higher wave cap, though drops are still slightly less common than before.
- Both Pumpkin Moon and Frost Moon's "expert drop bonus" modifier has been reduced slightly, with the base drop rates being increased by the same amount. The end result is that Classic mode drops are slightly more generous, while Expert drop rates stay the same. (This is after taking Pumpkin Moon's previous change into account)
- Both Pumpkin Moon and Frost Moon now receive a 2.5x point multiplier when playing in Master mode. Previously, they received a 2x multiplier in Expert, but no additional gain in Master.

Poltergeist
- Can now fly freely into the air, not just on the ground
- Health reduced from 2000 to 1250
- Pumpkin Moon wave progression points increased from 8 to 10
- Due to increased number present in the event, increased the kill count needed for a banner

Splinterling
- Health increased from 900 to 1200
- Due to increased number present in the event, increased the kill count needed for a banner
- Reduced base Spooky Wood drop count due to increased numbers of Splinterlings killed per Pumpkin Moon. However, due to the faster point gain in Expert/Master, they now have bonus drop quantities in Expert and Master.

Hellhound
- Health increased from 1200 to 1800
- Pumpkin Moon wave progression points increased from 4 to 5
- Due to increased number present in the event, increased the kill count needed for a banner

Headless Horseman
- Health reduced from 10000 to 5000.
- Can now fire a pumpkin projectile at the player
- Pumpkin Moon wave progression points increased from 25 to 50
- Now has the same Health scaling as Pumpking and Mourning Wood in Expert/Master multiplayer

Mourning Wood
- Health increased from 12000 to 14000
- Defense increased from 28 to 34
- Increased the number of enemy slots taken, to be more in line with Frost Moon bosses, dramatically reducing how many can spawn at a time
- Reduced base Spooky Wood drop count. However, due to the faster point gain in Expert/Master, they now have bonus drop quantities in Expert and Master.

Pumpking
- Health increased from 22000 to 26000
- Defense increased from 36 to 40
- Increased the number of enemy slots taken, to be more in line with Frost Moon bosses, dramatically reducing how many can spawn at a time

Old One's Army
- Etherian Lightning Bugs now spawn in OOA Tier 3 Wave 6 instead of Wyverns
- The Eternia Crystal now has 2x as much health on Expert and 3x as much health on Master.

Martian Saucer
- Increased the hitbox size of the core in Phase 2

Dreadnautilus
- Charge attack has less tracking and a wider turning radius, meaning it is easier to avoid
- Projectiles are now no longer blocked by tiles
- Projectiles are more lit up/visible at night

Blood Squid
- Health reduced from 1000 to 750
- Projectile damage reduced from 100 to 70
- Projectiles are more lit up/visible at night

Hemogoblin Shark
- Projectiles are more lit up/visible at night

Clowns
- Damage of Chattering Teeth Bomb reduced from 200 to 120
- Damage of Happy Bombs reduced from 160 to 120
- Happy Bombs now glow, making them easier to see
- Chattering Teeth Bombs now have a sound effect when spawned and occasionally played passively, helping the player to be aware of them
- Clown's drop pool has also been overhauled:
- Is now the sole source of KO Cannon, having a 1/5 chance to drop it
- Bananarang drop rate has been increased from 1/30 to 1/10 (See Bananarang for other changes to this item)
- Bloody Tear drop rate increased from 1/100 to 1/10 (like other uncommon Blood Moon enemies)

Antlion Larvae
- Defense reduced from 4 to 2
- Health reduced from 35 to 30
- Maximum speed slightly reduced, particularly when jumping

Giant Antlion Chargers
- Defense reduced from 22 to 16

Giant Antlion Swarmers
- Defense reduced from 18 to 12

Tomb Crawlers
- Defense of body segments reduced from 16 to 12
- Defense of tail segment reduced from 20 to 14

Tomb Crawlers and Dune Splicers
- Spawn rates reduced
- In the upper levels of the Desert, there is a further reduction in spawn rates

Rolling Cacti
- Damage reduced from 90 to 70

Jellyfish
- Expert Electric Shock attack now applies to projectile contact weapons (Spears, Shortswords, Solar Eruption, Sleepy Octopod, Sky Dragon's Fury, and Whips)

Snow Flinx
- Snow Flinxes now have a more consistent spawn rate on Ice/Snow. Previously, was incapable of spawning on Snow or Ice under most conditions.

Lost Girl
- Instead of their spawn rate decreasing in Hardmode, it stays the same the entire game. This means that their Hardmode spawn rate has changed from 1/200 to 1/80
- Base money drop value reduced from 5 to 2 Gold

Bone Serpents
- Head/Body/Tail Damage increased from 30/15/10 to 36/20/16
- Head/Body Defense increased from 10/12 to 12/18. Tail unchanged.
- Health increased from 250 to 300
- Movement speed increased
- Further stat bonuses specifically on FTW and Everything Seed

Rune Wizard
- Spawn rate increased from 1/300 to 1/200

Rock Golems
- Now throw rocks less frequently and the rocks move a little slower as well
- Spawn rate reduced
- Base money drop value reduced from 5 to 2.5 Gold
- Rock Golem Head drops twice as often to account for the rarity change

Giant Fungi Bulbs
- Will no longer fire at you if they do not have line of sight
- Projectiles can no longer move through walls, and will break on impact with blocks

Gastropods
- Now have some built in inaccuracy when firing, reducing their likelihood of hitting the player from long distances

Cursed Hammer and Crimson Axe
- Fixing a long standing inconsistency in their spawn code, that resulted in them being dramatically rarer than Enchanted Swords. They should be about as common as Enchanted Swords now, particularly notably with Crimson Axes, which were impacted more severely by the inconsistency.

Desert Spirits
- Projectile damage reduced from 80/120/180 to 60/88/132

Jungle Creeper
- Defense reduced from 40 to 28

Moss Hornets
- Now has a chance to drop Stingers

Necromancers and Ragged Casters
- Now has a grace period of over a second after teleportation before they begin firing. (This is the same as what Diabolists always had)

All Celestial Pillars
- Expert/Master worlds no longer have an increased Celestial Pillar kill requirement. They need 100 now like Classic Difficulty Worlds.
- Upon defeating Moon Lord, Lunar Pillars now require only 50 kills to lower the Pillar shields (applies in all difficulties)

Solar Crawltipedes
- Head damage reduced from 150 to 120
- Body damage reduced from 100 to 80

Solar Corites
- Spawn rate reduced by half
- Should no longer charge at the player from significantly off screen
- Now have a brief wind up animation before their charge, giving more notice
- Charge speed is slightly slower

Nebula Floaters
- Now have a 0.5 second delay after teleportation during which they cannot fire
- Counter-teleportation chance reduced from 1/4 to 1/6
- The maximum number of active Nebula Floaters at any one time increased from 2 to 3
- The spawn rate of Nebula Floaters has been doubled, though they cannot exceed their unit cap

Nebula Predictors
- The maximum number of active Nebula Predictors at any one time increased from 2 to 3

Nebula Brain Sucklers
- Spawn rate has been reduced by 40%

Vortex Alien Queens
- Walk and chasing speed increased significantly
- Projectile speed reduced

Vortex Alien Larvae
- Now included in the Alien Queen family "cap". For context: the game has a cap on how many Alien Hornets and Alien Queens could be in play, to prevent evolving Queens from becoming too numerous. However, Larvae were not part of that cap, and so could spawn and evolve up into Hornets/Queens normally, eventually creating overwhelming numbers. After this change, Alien Larvae simply won't spawn on Queen death once this internal limit is reached.

Vortex Portals (Both Hornet Portals and Vortexian Portals)
- Now makes a more distinct sound when spawning, giving the player notice that it is present
- Vortexian Portals make a more pronounced sound when firing, again, to give audio feedback about the threat

Storm Diver
- Improved its air mobility, to better keep up with the player
- Widened its firing angle
- Firing rate dramatically increased
- Minimum delay before first shot reduced
- Projectile speed increased
- One of its projectiles is always accurate
- Added a visual effect just prior to firing to give advanced warning to the player

Stargazers
- Beam now has a half second "charge up" beam effect, giving players a chance to react and avoid the incoming beam of damage. The actual duration of the damage period remains the same.

Large Stardust Cells
- Knockback resistance increased from 50% to 70%
- Are now faster when chasing the player

Milkyway Weavers
- Movement speed increased by 50%
- Periodically stops chasing to spawn a new Stardust enemy after a few seconds of charging


D. Melee Weapons
All "Broadswords"
- All broadsword-class melee weapons (this also includes pickaxes, axes, hammers, and hamaxes) now use local immunity frames on hit. Very notably, this means that projectile swords will no longer block their own piercing projectiles from hitting a target at point blank range. It will also result in more consistent hitting when mixing multiple sources of damage (Piercing minions and swords, for example)

All Flails
- Knockback when spinning flails has been increased from 25% to 35% of normal knockback
- Spinning flails now hit up to 4 times a second instead of 3 times a second. Flails which already hit 4 times a second have been increased to 5 times a second.

Copper Broadsword
- Damage increased from 8 to 9
- Usetime reduced from 23 to 21
- Size Scale increased from 1x to 1.1x (As a reminder, scale dictates the size of the weapon; this makes the sword's size and reach 10% larger)

Tin Broadsword
- Damage increased from 9 to 10
- Usetime reduced from 22 to 20
- Size Scale increased from 1x to 1.1x

Iron Broadsword
- Damage increased from 10 to 12
- Usetime reduced from 22 to 20
- Size Scale increased from 1x to 1.15x
- Knockback increased from 5 to 5.5

Lead Broadsword
- Damage increased from 11 to 13
- Usetime reduced from 21 to 20
- Size Scale increased from 1x to 1.15x
- Knockback increased from 5 to 5.5

Silver Broadsword
- Damage increased from 11 to 14
- Usetime reduced from 21 to 20
- Size Scale increased from 1x to 1.2x
- Knockback increased from 5 to 6

Tungsten Broadsword
- Damage increased from 12 to 14
- Usetime reduced from 20 to 19
- Size Scale increased from 1.025x to 1.2x
- Knockback increased from 5 to 6

Gold Broadsword
- Damage increased from 13 to 15
- Usetime reduced from 20 to 18
- Size Scale increased from 1.05x to 1.25x
- Knockback increased from 5 to 6.5

Platinum Broadsword
- Damage increased from 15 to 16
- Usetime reduced from 19 to 17
- Size Scale increased from 1.075x to 1.25x
- Knockback increased from 5 to 6.5

Cactus Sword
- Damage increased from 8 to 10
- Usetime reduced from 32 to 30

Wooden Sword
- Usetime reduced from 25 to 20
- Size Scale increased from 0.95 to 1.0
- Knockback increased from 4 to 5

Boreal Sword
- Usetime reduced from 23 to 20
- Knockback increased from 5 to 6

Palm/Mahogany Sword
- Usetime reduced from 23 to 19
- Knockback increased from 5 to 6

Ebonwood/Shadewood Sword
- Damage increased from 10 to 11
- Usetime reduced from 21 to 19
- Knockback increased from 5 to 6

Wooden Boomerang
- Damage increased from 8 to 10
- UseTime increased from 16 to 20 (decreases short range DPS but does not impact long distance DPS)

Enchanted Boomerang
- Damage increased from 13 to 17
- UseTime increased from 15 to 20 (decreases short range DPS but does not impact long distance DPS)

Zombie Arm
- Damage increased from 12 to 15
- Usetime reduced from 23 to 22
- Size Scale increased from 1x to 1.2x
- Knockback increased from 4.25 to 5.5

Bone Sword
- Damage increased from 16 to 19
- Size Scale increased from 1.05x to 1.2x
- Knockback increased from 4.5 to 5.5

Bat Bat
- Damage increased from 31 to 36

Shroomerang
- Increased damage from 14 to 23
- UseTime increased from 15 to 20 (decreases short range DPS but does not impact long distance DPS)
- Increase drop rate from 1/100 to 1/40

Ice Boomerang
- Increased damage from 16 to 21
- Now has a chance to inflict Frostburn
- UseTime increased from 15 to 20 (decreases short range DPS but does not impact long distance DPS)

Gladius
- Knockback increased from 0.5 to 3
- Drop rate increased from 1/40 to 1/20

Purple Clubberfish
- Damage increased from 24 to 35
- Knockback increased from 7 to 8

Tentacle Spike
- Damage increased from 19 to 20
- Usetime reduced from 23 to 21

Falcon Blade
- Size scale increased from 1.05x to 1.175x

Mandible Blade
- Damage increased from 14 to 16
- Size scale increased from 1x to 1.1x

Storm Spear
- Damage increased from 12 to 14
- Projectile damage increased from 1.25x to 1.5x of base damage

Trident
- Now generates light when swung underwater

Katana
- Damage increased from 16 to 18
- Usetime reduced from 22 to 20
- Size Scale increased from 1 to 1.1

Candy Cane Sword
- Damage increased from 16 to 19
- Usetime reduced from 27 to 25

Fruitcake Chakram
- Damage increased from 14 to 19

Bladed Glove
- Damage increased from 12 to 14

Bloody Machete
- Damage increased from 15 to 20

Light's Bane
- Now also generates a short range diagonal slash of darkness every time the sword is swungt, dealing half of the base damage of Light's Bane
- Damage reduced from 18 to 16

Blood Butcherer
- Now uses a system very similar to Tentacle Spike. Every successful strike on an enemy applies a stack of "Blood Butchered", a short lived damage over time effect. Each of these stacks are signified by a gout of blood spouting forth from the enemy.
- Blood Butchered can stack up to 5 times, and each stack deals 4 damage over time, allowing for a maximum of 20 damage over time.
- Stacks of Blood Butchered last for 9 seconds before expiring

Rotted Fork
- Damage increased from 14 to 17
- Now generates a shockwave at the end of the spear, which increases its effective range. This shockwave also scales in size with melee speed, so you can now expect more pronounced Melee Speed benefits for Rotted Fork.

Phaseblades (all colors)
- Damage increased from 25 to 26
- Usetime reduced from 25 to 18

Starfury
- Stars now fall 25% faster
- Starfury will now fall through blocks until reaching the player's cursor, unless the cursor is pointing into solid block, in which case it will fall to the nearest open air block. It should generally fall more often and more reliably through blocks compared to before.

Blade of Grass
- Now fires an upward spiraling razor leaf from the sword with every swing. This projectile has a short-to-medium range
- This projectile does low damage, but ignores a substantial amount of defense, ensuring that it inflicts damage reliably
- Damage reduced from 28 to 18
- Usetime reduced from 30 to 20
- Increased knockback from 3 to 4.5
- Crafting recipe now requires 3 Vines, and the Jungle Spore cost has been increased from 12 to 15
- Note: Poison has been buffed in 1.4.4, and Blade of Grass and its Razor Leaf both benefit from this buff

Thorn Chakram
- Poison chance increased from 20% to 50%
- Note: Poison has been buffed in 1.4.4

Bee Keeper
- Damage increased from 26 to 30
- Resprited and size increased

Lucy
- Damage increased from 26 to 27
- Usetime reduced from 17 to 15
- Lucy no longer uses useTurn; this means that if you are currently swinging, changing your walking direction will not change the direction you are swinging her
- Lucy's idle chatter messages are now less frequent

Muramasa
- Upon striking an enemy, Muramasa will generate an additional slashing cut over the affected target, dealing half of the base damage of Muramasa
- Damage reduced from 26 to 24

Valor
- Damage increased from 22 to 28

Flamarang
- Damage increased from 32 to 49
- On Fire chance increased from 20% to 50%
- UseTime increased from 15 to 20 (decreases short range DPS but does not impact long distance DPS)

Fiery Greatsword -> Volcano
- Fiery Greatsword's name has been changed to Volcano
- Upon striking an enemy, Volcano will now generate an fiery explosive area of effect, dealing additional damage to the original target and nearby enemies!
- Usetime reduced from 30 to 40

Night's Edge
- Night's Edge now has an area of damaging energy around the blade, dealing damage in a larger, wider area of effect, including better coverage behind the player.
- Additionally, this swing radius will spin around a second time in the direction of the player's aim, increasing the range of the weapon's forward reach to short-to-medium range

Dark Lance
- Damage increased from 29 to 34
- Now generates a shockwave at the end of the spear, which increases its effective range. This shockwave also scales in size with melee speed, so you can now expect more pronounced Melee Speed benefits for Dark Lance.
- Now inflicts Shadowflame

Breaker Blade
- Damage increased from 43 to 70
- Usetime increased from 29 to 35
- Size Scale increased from 1.05x to 1.15x
- Breaking effect damage multiplier increased from +100% to +150%

Cobalt Sword
- Damage increased from 39 to 40
- Usetime reduced from 23 to 19
- Size Scale increased from 1.1x to 1.2x
- Knockback increased from 3.85 to 5

Palladium Sword
- Damage increased from 45 to 49
- Usetime reduced from 25 to 22
- Size Scale increased from 1.125x to 1.2x
- Knockback increased from 4.75 to 5.5

Mythril Sword
- Damage increased from 49 to 50
- Usetime reduced from 26 to 20
- Size Scale increased from 1.15x to 1.2x

Orichalcum Sword
- Damage increased from 50 to 59
- Usetime reduced from 25 to 22
- Size Scale increased from 1.17x to 1.22x

Adamantite Sword
- Damage increased from 56 to 61
- Usetime reduced from 26 to 21
- Size Scale increased from 1.2x to 1.25x

Titanium Sword
- Damage increased from 58 to 61
- Usetime reduced from 25 to 20
- Size Scale increased from 1.2x to 1.25x

Pearlwood Sword
- Damage increased from 11 to 30
- Usetime reduced from 21 to 15
- Is now autoswing

Cobalt Naginata
- Damage increased from 29 to 44

Palladium Pike
- Damage increased from 32 to 44

Mythril Halberd
- Damage increased from 35 to 45

Orichalcum Halberd
- Damage increased from 36 to 46

Adamantite Glaive
- Damage increased from 38 to 49

Titanium Trident
- Damage increased from 40 to 48

Phasesabers (all colors)
- Damage increased from 42 to 48
- Usetime reduced from 20 to 16
- Crystal Shard crafting cost reduced from 50 to 25

Cutlass
- Damage increased from 49 to 53
- Use Time reduced from 17 to 16

Frostbrand
- Projectile cooldown reduced from 55 frames to 30 frames.
- No longer uses the "chirp" sound when the cooldown is ready, as it would be too often.
- Projectile now inflicts Frostbite
- Pierce Count increased from 2 to 3
- Projectile now inflicts static immunity, meaning it will no longer interfere with other sources of piercing damage

Ice Sickle
- Damage increased from 42 to 50
- Range of Ice Sickle projectiles increased by 50%
- Projectile damage reduced from 100% of base damage to 50% of base damage
- Projectile changed to use static frames, and reduced the immune time between hits (deals damage slightly more often)
- Projectile pierce count reduced from 5 to 3

Bladetongue
- Ichor Shot pierce count reduced from unlimited to 5 hits
- Projectile now inflicts static immunity, meaning it will no longer interfere with other sources of piercing damage

Slap Hand
- Damage increased from 35 to 55
- Usetime reduced from 21 to 20

Hel-Fire
- Now inflicts Hellfire instead of On Fire

Amarok
- Now inflicts Frostbite instead of Frostburn

Chain Guillotine
- Chains now move roughly 25% faster and fly 50% further

Bananarang
- Is now a single item, not 10 stacked items. As a result, can now have prefixes.
- Damage reduced from 55 to 45
- Sell price of a single Bananarang increased accordingly
- Now has a 10% chance to drop from Clowns

Sergeant United Shield
- Knockback increased from 0 to 2, also allowing it access to better reforge modifiers

Beam Sword
- Projectile cooldown reduced from 60 frames to 35 frames.
- No longer uses the mana chirp system to indicate projectile is ready to fire
- Is now autoswing
- No longer uses useTurn; this means that if you are currently swinging, changing your walking direction will not change the direction you are swinging it
- No longer forces you to turn to face the direction the projectile is being fired in while swinging

Excalibur
- Excalibur now has an area of damaging energy around the blade, dealing damage in a larger, wider area of effect, including better coverage behind the player.
- Damage increased from 66 to 72

Gungnir
- Damage increased from 42 to 61
- Now generates a shockwave at the end of the spear, which increases its effective range. This shockwave also scales in size with melee speed, so you can now expect more pronounced Melee Speed benefits for Gungnir.

Light Disc
- Is now a single item, not 5 stacked items. As a result, can now have prefixes.
- Recipe cost has been multiplied by 5 (since you now only need to make 1). Similarly, it now sells for 5x as much.
- Damage increased from 57 to 60
- UseTime reduced from 15 to 14
- Can now shoot up to 6 Discs at once instead of 5.
- Projectile speed/distance increased from 13 to 16

True Night's Edge
- True Night's Edge now has an area of damaging energy around the blade, dealing damage in a larger, wider area of effect, including better coverage behind the player.
- Instead of a sword projectile, it now fires a large, spinning disc of energy which travels a medium-long distance, striking multiple times
- Damage reduced from 105 to 70
- Use Time increased from 26 to 32

True Excalibur
- True Excalibur now has a very large area of damaging energy around the blade, dealing damage in a dramatically wider area of effect, including better coverage behind the player.
- It no longer fires a projectile sword beam
- Damage increased from 70 to 72
- Usetime increased from 16 to 18

Brand of the Inferno
- Resprited and slightly increased in size
- Now inflicts Hellfire instead of On Fire

Chlorophyte Saber
- Projectile cooldown reduced from 42 to 28 frames
- No longer uses the mana chirp system to indicate projectile is ready to fire
- Projectile damage reduced from 100% of base damage to 70%
- Projectiles linger 50% longer
- Projectiles now use static immune frames

Chlorophyte Claymore/Partisan
- Projectiles now use static immune frames

Ghastly Glaive
- Reduced the immunity frames applied by the spear itself, allowing it to hit a single target more often when swung

Death Sickle
- Knockback decreased to prevent enemies from being knocked out of the spinning blades

Butcher's Chainsaw
- Both the Chainsaw and its Sparks now use static immune frames. As a direct consequence of this, the sparks are now able to hit the same target that they are being spawned off of when hitting with the chainsaw. This results in a notable increase in single target damage when hitting an enemy with the chainsaw.
- Spark projectiles now inflicts Hellfire instead of On Fire

Terra Blade
- Damage reduced from 115 to 85
- Usetime increased from 14 to 18
- Terra Blade now has an area of damaging energy around the blade, dealing damage in a larger, wider area of effect, including better coverage behind the player.
- Instead of a projectile sword beam fired on a cooldown, Terra Blade now fires a medium-long range, rapidly moving slash of green energy with every swing

Scourge of the Corruptor
- Minieaters now move and track enemies faster
- The average number of minieaters has been increased from 2.67 to 3, and the number is a much simpler 2-4 range

Paladin's Hammer
- Is now autoswing

Keybrand
- Damage increased from 85 to 105
- Bonus critical chance increased from 14% to 17%
- Reduced the maximum power of the scaling damage effect. This is canceled out by the damage buff, so that low-health damage is the same as it was before. At higher health, enemies will take more damage than before.

Horseman's Blade
- Horseman's Blade now has an area of damaging energy around the blade, dealing damage in a larger, wider area of effect, including better coverage behind the player.
- Damage increased from 75 to 150
- The pumpkins now deal 100% of the base damage of the sword instead of 150% (this is still more than they did before)
- Pumpkins will no longer be generated from statue spawned enemies.

North Pole
- UseTime increased from 25 to 30
- Now spawns half as many projectiles, but the damage of the spear projectile now deals base damage and the flakes deal 70% base, compared to the previous 80% for the spear projectile and 63% for the snowflakes
- Removed the impact of wind on flakes. Their spawning position is now semi-randomized, so that they don't all fall in the exact location.
- Spear projectiles and flakes now have a much shorter projectile lifetime

Christmas Tree Sword
- Projectile damage increased from 75% of base damage to 100%

Flairon
- Bubbles now last 33% longer before popping
- The range at which the bubbles will lock on and chase a target has been increased by 30%

Starlight
- Range now increases with Titan Glove and prefix size modifiers

Influx Waver
- Damage reduced from 110 to 100
- The secondary projectiles spawned after a successfully landed projectile hit will now move with their target, significantly reducing the chance of missing

Flying Dragon
- Usetime reduced from 25 to 20
- No longer has a damage penalty when it it has no line of sight with targets

Star Wrath
- Damage increased from 110 to 170
- Projectile damage reduced from 2x base damage to 1x base damage
- Falling stars now use local immunity, so each star will be able to hit a target for damage.

Meowmere
- Usetime reduced from 16 to 14
- Projectiles now deal 1.25x of the base sword damage
- Projectiles now use local immunity. Each individual bouncing cat has its own damage timer, so they will never conflict with each other.

Terrarian
- Both the Yoyo and the Orbs now use static immunity. Because the Yoyo and Orbs now each do damage without being blocked by the other, this results in a substantial increase to Terrarian's potential damage

Jousting Lance
- Damage increased from 56 to 60

Hallowed Jousting Lance
- Damage increased from 78 to 90

Shadow Jousting Lance
- Damage increased from 108 to 130


E. Ranged Weapons and Ammo
Flintlock Pistol
- Damage increased from 10 to 13
- Knockback increased from 0 to 1, allowing access to better modifiers

Musket
- Usetime reduced from 36 to 32
- No longer autofire

Undertaker
- Damage increased from 15 to 22
- Usetime reduced from 23 to 20
- Knockback increased from 1 to 2

Blood Rain Bow
- Projectiles now generate a little bit of light and can be seen better at night

Harpoon
- Projectile now uses local immunity. In practice, this means that no matter how close/rapidly you fire at the target, you will never miss due to immune frames from the previous shot

Spiky Balls
- Damage increased from 15 to 16
- Pierce Count increased from 6 to 7

Star Cannon
- Knockback increased from 0 to 3, allowing access to better modifiers

Bee's Knees
- To correct a code inconsistency issue, effective useTime reduced from 24 to 23

Quad Barreled Shotgun
- Damage reduced from 17 to 14
- Pellet count increased from 6 to 8
- One pellet is now always aimed towards the cursor accurately

Handgun
- Damage increased from 17 to 26
- Usetime increased from 10 to 15

Phoenix Blaster
- Damage increased from 24 to 33
- Usetime increased from 11 to 17

Cobalt Repeater
- Damage increased from 32 to 35.
- UseTime reduced from 24 to 23.

Palladium Repeater
- Damage increased from 34 to 37.
- UseTime reduced from 23 to 22.

Mythril Repeater
- Damage increased from 36 to 39.
- UseTime reduced from 22 to 20.

Orichalcum Repeater
- Damage increased from 38 to 40.
- UseTime reduced from 21 to 19.

Adamantite Repeater
- Damage increased from 40 to 42.
- UseTime reduced from 19 to 18

Titanium Repeater
- Damage increased from 41 to 43.
- UseTime reduced from 18 to 17.

Marrow
- Damage from 50 to 53
- Is now autofire

Ice Bow
- Usetime reduced from 16 to 14

Hallowed Repeater
- Damage reduced from 53 to 50
- Usetime increased from 16 to 17

Flamethrower
- Now uses local immunity frames on its projectiles
- Now ignores up to 15 points of enemy defense before losing damage
- Pierce count increased from 3 to 4
- Reworked visuals and hitbox size
- Now inflicts Hellfire instead of On Fire

Super Star Shooter
- The Star Slash now uses static immunity, so its immune frames will no longer block subsequent Star Shots from hitting
- The Star Slash now inflicts 75% of base damage instead of 50%

Pulse Bow
- Damage reduced from 85 to 80
- Now sold after defeating all 3 Mechs, instead of after Plantera

Phantom Phoenix
- The Phoenix projectile now inflicts Hellfire instead of On Fire. The converted Fire Arrows still inflict On Fire, as they are just normal Fire Arrows

Venus Magnum
- Usetime increased from 8 to 9
- Is now autofire

Rocket Launcher
- Damage increased from 45 to 55

Elf Melter
- Damage reduced from 60 to 53
- Bursts of flames per shot reduced from 6 to 5
- Now uses local immunity frames on its projectiles
- Now ignores up to 15 points of enemy defense before losing damage
- Pierce count increased from 3 to 4
- Now inflicts Frostbite instead of On Fire
- Reworked visuals and hitbox size

Electrosphere Launcher
- Electrosphere Missiles no longer deal direct damage, but still impact and turn into the Electrospheres which will then hurt the target normally

Aerial Bane:
- Note: No actual change has been made to its functionality, only the way its damage is displayed on the tooltip
- The tooltip base damage now shows ground damage done, and not the air damage done, to more accurately match the tooltip

Celebration MK2
- Damage increased from 40 to 50
- Fixed a bug that caused red missiles to rapidly hit every frame, doing more damage than expected

Archery Potion
- Bow damage bonus reduced from 1.2x to 1.1x

Ichor/Cursed Darts
- Ichor Dart damage reduced from 12 to 10
- Cursed Dart damage reduced from 10 to 9
- Fixed a bug that allowed Ichor Dart to hit rapidly every frame when used at very close range, dealing much more damage than expected

Exploding Bullets
- No longer inflicts self-damage

Frostburn Arrows
- Ammo damage reduced from 9 to 7

Holy Arrows
- Star damage reduced from 50% to 33%

Cluster Rockets (all variants) 
- Fragment damage increased from 33% to 50%


F. Magic Weapons
Base Mana Regeneration
- The base mana regen rate (the amount regenerated when moving and not using Mana Regen Potion) has been more than doubled
- The mana regen bonus when stationary and/or using Mana Regen Potion has been cut by 1/3rd. This reduction is the exact size of the amount added to the base regen rate, so there is no net gain in the total amount of regen possible.
- A player using Mana Regen Potion/Stationary should have the same mana regen speed as before, but the minimum mana regeneration rate has been increased substantially, making Mana Regen Potion/being stationary less mandatory for playability

Wand of Sparking
- Average duration of On Fire slightly increased

Amethyst Staff
- Mana cost increased from 3 to 5, allowing it to obtain better prefixes
- Damage increased from 14 to 15
- Usetime reduced from 40 to 37

Topaz Staff
- Mana cost increased from 4 to 5, allowing it to obtain better prefixes
- Damage increased from 15 to 16
- Usetime reduced from 38 to 36

Sapphire Staff
- Mana cost increased from 5 to 6
- Damage increased from 17 to 18
- Is now autofire

Thunder Zapper
- Damage increased from 12 to 20
- Mana cost increased from 5 to 7
- Knockback increased from 2 to 3

Crimson Rod
- Duration of clouds increased to 5 minutes
- Now uses static frames, so immune frames will no longer interfere with non-Crimson Rod sources of damage
- Mana cost increased from 10 to 30

Weather Pain
- Pierce count from 12 to 15
- Time between hits increased from 20 frames to 25 frames
- Duration of projectile increased by 2 seconds

Bee Gun
- Now has a token knockback value, allowing access to better modifiers

Magic Missile
- Damage increased from 27 to 35

Aqua Scepter
- Damage increased from 16 to 27
- Knockback increased from 5 to 7
- Mana Cost increased from 6 to 7
- Range increased substantially and its angle of descent is more gradual

Flower of Fire
- Projectile speed/distance increased from 6 to 7.5
- Now bounces 1 additional time

Zapinators (Grey and Orange)
- Usetime reduced from 37 to 36

Magic Dagger
- Damage reduced from 40 to 35
- Is now autofire
- Now uses local immune frames, as the fire rate was so fast that they conflicted with themselves
- Distance before daggers begin to fall has been increased by 50%

Cursed Flames
- Damage increased from 50 to 55

Flower of Frost
- Projectile speed/distance increased from 7 to 9
- Now inflicts Frostbite instead of Frostburn

Golden Shower
- Damage increased from 21 to 30

Blood Thorn
- Slightly increased the size of the thorns
- Thorns now last 40% longer
- Thorns can now sprout from platforms if they are in-range.
- Increased pierce count per thorn from 3 to 4
- Removed a system accidentally left on Blood Thorn since 1.4, that caused it to have unintended damage loss every time a thorn hit a target. Should immediately result in much higher damage when a target it being hit repeatedly by the same cast.

Meteor Staff
- Mana cost reduced from 13 to 9

Frost Staff
- UseTime reduced from 16 to 12
- Now inflicts Frostbite

Shadowflame Hex Doll
- Damage reduced from 40 to 32
- Now uses local immunity, meaning each of its tendrils can hit on their own immunity timer
- Now always fires one tendril directly towards the cursor, though the others will continue to vary wildly beyond close range

Spirit Flame
- Doubled the size of its AoE damage. Note: this AoE was so small before that it was nearly incapable at hitting multiple targets. This is still a very small AoE effect, but should now be able to hit two targets directly next to each other.
- Projectile duration increased by 25%

Nimbus Rod
- Duration of clouds increased to 5 minutes
- Damage reduced from 36 to 30
- Now uses static frames, so immune frames will no longer interfere with non-Nimbus Rod sources of damage
- Mana cost increased from 10 to 30
- Pierce Count reduced from infinite to 5

Clinger Staff
- Duration increased to 5 minutes
- Now uses static frames, so immune frames will no longer interfere with non-Clinger Staff sources of damage

Magical Harp
- Knockback increased from 0.25 to 2

Tome of Infinite Wisdom
- Damage increased from 32 to 36
- Tornado damage reduced from 2x base damage to 1.75x base damage

Wasp Gun
- Wasps move roughly 25% faster
- Wasps now inflict static immunity, meaning they will no longer interfere with other sources of piercing damage
- Now has a token knockback value, allowing access to better modifiers

Leaf Blower
- Mana Cost increased from 4 to 5, allowing access to better modifiers

Inferno Fork
- Damage increased from 65 to 70
- AoE damage now does 75% of the base damage instead of 65%
- Blast effect now lasts longer
- Knockback reduced from 8 to 5, to limit how far enemies are knocked out of the blast radius
- Now inflicts Hellfire instead of On Fire

Shadowbeam Staff
- Damage increased from 60 to 80

Spectre Staff
- Now uses static immune frames, so its immune frames will no longer conflict with other attacks

Magnet Sphere
- Duration increased from 11 to 15 seconds
- Now bounces off of walls instead of the sphere vanishing

Rainbow Gun
- Duration increased from 20 to 40 seconds
- Now uses static immune frames, so its immune frames will no longer conflict with other attacks

Toxic Flask 
- Damage increased from 46 to 52
- Usetime increased from 28 to 45
- Flask projectile speed/distance increased from 9 to 14
- Received a visual overhaul to make the gas clouds more "gassy"
- Projectiles now linger substantially longer than before
- Projectiles no longer penetrate walls, but will now "spread out" around a region, slightly pushing away from each other to fill a small area of space. This results in a more concentrated area of gas clouds, with less wasted to being stuck in walls or the floor.

Heat Ray
- Damage increased from 80 to 90

Bat Scepter
- Bats now move roughly 30% faster when tracking a target (though they remain normal speed when not tracking)

Stellar Tune
- Knockback increased from 0 to 1.5, allowing access to better modifiers

Nightglow
- Projectiles that are not currently tracking a target linger roughly 50% longer before disappearing
- Projectiles will have their duration reset to full upon beginning to track a target

Bubble Gun
- Projectile speed/distance increased from 11 to 15
- The bubbles now last twice as long before popping, meaning that more bubbles reach their full range, and they linger longer before disappearing
- Mana cost increased from 4 to 5, allowing access to better modifiers

Razorblade Typhoon
- Damage reduced from 90 to 85
- Mana cost increased from 16 to 20
- Duration of projectiles reduced from 3 seconds to 2.5 seconds

Nebula Blaze
- Knockback increased from 0 to 3, allowing access to better modifiers

Lunar Flare
- Mana cost reduced from 13 to 9

Last Prism
- Now has a token knockback value, allowing access to better modifiers


G. Summoning Weapons
Leather Whip
- Knockback increased from 0.5 to 1
- Purchase value reduced from 15 Gold to 10 Gold

Snapthorn
- Damage increased from 18 to 19
- Knockback increased from 1 to 1.5
- Jungle's Fury (Snapthorn's Whip Speed buff) has been reduced from 20% to 12%
- Stinger crafting cost increased from 12 to 15, and Jungle Spore crafting cost increased from 3 to 12

Spinal Tap
- Damage reduced from 29 to 27

Firecracker
- Damage reduced from 40 to 37
- Now inflicts Hellfire instead of On Fire

Cool Whip
- Damage reduced from 50 to 45
- Now inflicts 6 Tag Damage
- Snowflake damage increased from 10 to 15, and now moves 50% faster
- Now inflicts Frostbite instead of Frostburn

Durendal
- Usetime reduced from 30 to 28
- Durendal's Blessing (Durendal's Whip Speed buff) has been reduced from 35% to 25%

Morning Star
- Usetime reduced from 45 to 35
- Tag damage increased from 5 to 8
- Minion critical bonus increased from 5 to 12
- Visual Change: Morning Star now has many more segments on its chain, which results in a much more visible white-grey swing profile. This will increase its visibility somewhat when swung in dark/night environments.

Dark Harvest 
- Usetime reduced from 30 to 27
- Harvest Time (Dark Harvest's Whip Speed buff) has been reduced from 50% to 35%
- Reaping, Dark Harvest's special tag debuff, will now proc damage on the affected target as well as nearby targets. This acts as an effective 10 tag damage.

Snapthorn, Durendal, and Dark Harvest
- Fixed an issue where Whip speed buffs from Whips would incorrectly apply the buff to Melee weapons. Their tooltips have been updated to emphasize this fix.

Blade Staff
- Now only gains 75% of the damage from whip tags, due to its high hit rate and armor piercing capabilities

Sanguine Staff
- Knockback reduced from 8 to 3
- Fixed a bug where Sanguine Bats could hit a single target more than one time if the player was very close to the target.

All Minion Staves
- Minion summoning staves are now auto-fire, but minions which bypassed their attack cooldown immediately upon summoning no longer do so

Optic Staff
- Retinamini's lasers no longer pierce. As a result, they are no longer impacted by immune frames.
- Retinamini damage increased from 24 to 26.
- Spazmatism damage reduced from 30 to 21.
- Spazmatism now has more flexible charging range when pursuing targets
- Twin minions now return to the player more quickly

Deadly Sphere
- Damage reduced from 50 to 40
- Now uses local immune frames. At higher Summon counts, the damage dealt by Deadly Spheres should be significantly higher
- Aggro range has been increased, so it will attempt to engage enemies from further distances. Additionally, improved how its "dash" movement is able to engage enemies at a distance.
- Fixed a bug that caused Deadly Spheres to spontaneously de-aggro from enemies in the middle of combat
- Sphere minions now return to the player more quickly

Pygmy Staff
- Pygmy damage increased from 34 to 40
- Pygmy spears are now a little bit faster
- Pygmies will now attempt to predictively aim at moving targets (though of course, enemies can change course)
- Pygmy spears now always inflict Venom, and no longer inflict Poison
- Pygmies now move faster when returning to the player

Desert Tiger 
- Now runs 25% faster when chasing enemies on foot

Raven Staff
- Ravens will now attempt to return to the player faster depending on how fast the player is moving

Tempest Staff
- Tempests will now continue to fire at enemies when returning to the player
- Tempests will now return to the player faster depending on how fast the player is moving
- Tempest Staff's tornados (not the shark projectiles) have been changed from using a global immunity system with 20 frames of immune time, to using static immunity with only 10 frames

Xeno Staff
- Fire rate reduced (33 to 36)
- UFOs no longer need to fully return to the player before they can teleport and re-engage with a new enemy
- UFOs will now attempt to return to the player faster depending on how fast the player is moving

All Sentries
- Whip tags and effects now apply to Sentry damage (the same way they apply to minions)
- The duration of all sentries has been increased from 2 to 10 minutes

Houndius Shootius
- Now has a short delay on firing after being summoned

Explosive Traps
- Now has a token knockback value, allowing access to better modifiers
- Now has a short delay on firing after being summoned

Flameburst Sentries
- Now inflicts Hellfire instead of On Fire (Only applies to the Cane and Sentry)
- Now has a short delay on firing after being summoned

Ballista Towers
- Damage increased from 27/67/140 to 30/74/156
- Attack delay reduced from 180 to 160
- Knockback increased from 4.5 to 4.7
- Now has a short delay on firing after being summoned

Lightning Aura
- Only gains 50% of the damage from whip tags, due to its high hit rate and armor piercing capabilities
- Now has a token knockback value, allowing access to better modifiers
- Staves now have a more informative tooltip explaining how their damage works (it basically ignores defense)

Frost Hydra Staff
- Projectile now inflicts Frostbite
- Projectile speed increased by 50%
- Now has a short delay on firing after being summoned

Rainbow Crystal Staff
- Projectiles now use static immune frames

Lunar Portal Staff
- Damage increased from 50 to 100.
- Cooldown between beams reduced from 90 to 30; this is fast enough to allow a second beam to begin while the first one is still active.
- Lasers swing faster and cover a wider arc


H. Armor
Snow Armor (Blue and Pink)
- Increased the defense of the pieces from 1/2/1 to 3/3/3, for a total of 9 defense
- Now has a set bonus which grants immunity to Chilled/Frozen. Note: you can mix and match Blue and Pink pieces and still get the set bonus.
- The effective drop rate for each piece has been increased from 1/150 to 1/30

Mining Set
- Mining Helmet defense increased from 1 to 2
- The Mining Set's 30% mining speed is now split evenly between the Mining Shirt, Mining Pants, and the set bonus, with each giving 10%.

Angler Set
- Tooltips now show how much fishing power they grant
- Now has a set bonus which reduces enemy spawn rates

Shadow Armor
- Set bonus reworked to provide a more flexible speed increase system, similar to Magiluminescence. Unlike Magiluminescence, this works while in the air.
- +7% Melee speed on each piece has been removed, and replaced with +5% universal Critical chance

Crimson Armor 
- Damage bonus on each piece increased from 2% to +3%

Obsidian Armor
- Whip range bonus reduced from 50% to 30%
- Whip Speed bonus reduced from 35% to 15%

Cobalt Armor
- Defense of Cobalt Hat increased from 2 to 3
- Defense of Cobalt Helmet increased from 12 to 14
- Defense of Cobalt Mask increased from 4 to 5
- Defense of Cobalt Breastplate increased from 8 to 10

Orichalcum Armor
- Orichalcum Boots now give an 8% damage bonus

Titanium Armor
- Shards can now only generate once every 10 ticks (1/6th of a second), for a maximum of 6 shards a second
- Titanium Armor no longer spawns shards from statue spawned enemies.

Hallowed Armor 
- Holy Protection buff no longer starts its cooldown immediately at the time the buff starts, but instead begins the 30 second cooldown when you activate the dodge. If you never use the dodge, you can re-activate it immediately after the buff expires.
- Previously, the Holy Protection buff was activated by attacking an enemy, but it only had a 25% chance to activate. This did not really have any true impact on its functionality at all except to make it slightly inconsistent, so this has been removed. The buff will now be activated 100% of the time as long as you are not on cooldown.

Chlorophyte Armor
- Leaf Crystal's projectile is now an instantaneous bolt of energy, dramatically reducing its likelihood of missing.
- Now has a distance limit for how far it will fire when triggered by hitting an NPC (previously it could be significantly off screen)

Tiki Armor
- Tiki Mask now gives 10% Whip Range
- Tiki Armor Set Bonus now gives an additional 20% Whip Range

Shroomite Armor
- Shroomite Helmet (the Rocket Helmet) now also applies its bonus to any Ranged projectile shooting weapon which is not otherwise included by the Gun or Bow helmets. This includes such weapons as Dart Guns, Flamethrowers, and Star Cannons. This category of weapons is being referred to as "Specialist" weapons.
- Fixed a tooltip display bug that caused any weapons buffed by Shroomite Headpieces to display their damage 1 higher than it should have been. This was purely a tooltip calculation issue, and no change has been made to the actual potency of Shroomite's damage bonus

Spectre Armor
- Spectre Hood's teammate healing range increased from 1200 to 3000. Furthermore, it is now a circular shape instead of a diamond, further increasing its effective coverage area.

Beetle Scale Armor
- Beetle's Might charges last about 33% longer, and it now takes slightly less time/damage to charge up to Beetle's Might Tier 3

Solar Armor 
- Solar Dash/Explosion damage now scales with melee damage bonus

Stardust Armor
- Stardust Helmet now gives +1 Sentry count
- Stardust Chestplate and Leggings now give +15% whip range each


I. Accessories, Mounts, Tools and Tiles
Frog Legs and all Tinkers
- Players can now stack any Frog Leg-derived tinker to gain additive benefits
- Jump Speed Bonus reduced from 48% to 32%
- Fall damage protection reduced roughly proportionally to the Jump Speed bonus

Squire's Shield and Apprentice's Scarf
- Dark Mages in Tier 1 and Tier 3 Old One's Army now drop Squire's Shield and Apprentices Scarf, allowing access to +Sentry accessories pre-Hardmode. The drop rate is 50% to drop one of them in Classic, and 100% in Expert/Master. These two items have been removed from the Ogre's drop pool.

Hive Pack 
- Now increases the firing rate of Hornet Summons by about 30%
- Increases the damage of Wasp Gun by from 31 to 36, and increases the defense penetration of wasps from 10 to 15

Magiluminescence
- All Mobility enhancing stat bonuses reduced by 25%.

Spore Sac
- Movement speed of the spores has been dramatically increased
- Range at which spores will begin chasing targets increased by 20%

Lucky Horseshoe and Fledgling Wings 
- Reverted the change that put Lucky Horseshoe in Gold Chests, and put them back into Sky Chests on worldgen
- Fledgling Wing has been removed as primary drop from Sky Chests, and has a 1/40 chance of being secondary loot
- Sky Crates have been updated to account for the above changes.

Leaf Wings
- Now sold by Witch Doctor after Plantera has been defeated, but otherwise under the same conditions.
- Wing Power has been increased to be the same as uncommon pre-Plantera Wings (Flame, Butterfly, Bee and Bat)
- Cost has been increased to 1.5 Platinum

Magic Quiver, Molten Quiver, and Stalker's Quiver
- Damage bonus is now additive with other ranged damage bonuses, instead of multiplicative. This will generally result in slightly lower overall damage, especially when you have high quantities of Ranged damage bonus.
- Projectile speed bonus now also increases speed gained from ammo. Previously, it only increased the bow's projectile speed value.

Philosopher's Stone and Charm of Myths
- Potion Sickness reduction is no longer "front-loaded" at the time of using the potion. Instead, the cooldown is dynamically updated whenever the accessory is equipped. Equipping it will reduce the remaining cooldown proportionally, and removing it will increase the remaining cooldown proportionally. As long as you are wearing it, your effective remaining cooldown is reduced. This means that it you wear it for half of a minute and then remove it, you will only reduce 7.5 seconds from the total cooldown instead of 15. It also means that if you forget to equip it when using a potion, you can still equip it after to reduce the remaining cooldown.

Volatile Gel
- Projectiles now fire farther and with a flatter arc
- Fire rate increased from every 50 frames to every 40 frames (1.2 per second -> 1.5 per second)

Soaring Insignia
- All Mobility enhancing stat bonuses reduced by 25%. The infinite flight has not been changed.

Magma Skull and Molten Skull Rose
- The recipe for both of these items now takes a Lava Charm instead of a Magma Stone
- Both of these accessories now give temporary Lava Immunity, instead of adding Hellfire to attacks

Hellfire Treads
- Is no longer crafted by combining Flame Waker and Lava Waders. Instead, is crafted from Flame Waker and Spectre Boots
- Loses its Lava Wading benefits, but now has Hermes Running and Rocket Booting
- Generates fire sparks on running and uses the classic flame Rocket Boot trail

Lava Waders
- Can now be crafted with a Molten Skull Rose and Water Walking Boots/Obsidian Water Walking Boots

Fairy Bell
- Fairy Light Pet movement speed increased from 3.5 to 6

Turtle Mount
- Speed increased by 150%
- Swim Speed increased by 66%
- Jump Height increased by 20%
- Now gives water breathing when underwater

Gelatinous Pillion
- Horizontal flight speed reduced by roughly 30%
- Walking speed reduced by roughly 10%

All Minecarts
- Minecarts now hit harder in higher difficulties, deal more knockback, and are generally better at hitting enemies without letting the player be hurt when colliding with enemies

Mech Cart
- Now has the same speed and stats as other minecarts, and does not generate lasers (This will be addressed by a new item, the Minecart Upgrade Kit)

Drill Mount
- Can now break walls with right click
- Dig speed is roughly 3x faster

Spectre Pickaxe
- Mining speed reduced from 10 to 8 

Drills
- All drills that already had no knockback now have a token amount of knockback to obtain better modifiers

The Grand Design
- Now takes the Mechanical Ruler in its recipe instead of the Ruler. This also means that having the Grand Design in the inventory enables the Laser Grid UI option.

Magic Conch and Demon Conch
- Their animation sequence is now as fast as Magic Mirror, instead of being slower

Bottomless Waterbucket/Super Absorbant Sponge
- Can now be obtained in pre-Hardmode from Angler Quests, as soon as you have completed 10 Quests.
- Bottomless Water Bucket specifically is a guaranteed drop at 25 Quests

Enchanted Sundial
- Now glows when it is charged
- Will instantly become charged if a natural Blood Moon or Eclipse begins
- Can now be triggered via wire

Pylons
- Increased the maximum range where Pylons are usable from (it should be impossible to be in range of opening a Pylon and not be able to teleport with it)
- You can now use Pylons during Moon Lord's summoning sequence

Snowball Launcher
- No longer requires ammo
- Firing cooldown reduced from 10 to 7 frames
- Better projectile range and arc

Star in a Bottle
- Star in a Bottle's mana regeneration bonus increased from 1 mana per second to 5 mana per second. Additionally, it now also reduces the cooldown before mana begins regenerating after using magic weapons slightly.

Class Buff Stations
- Sharpening Station, Crystal Ball, Ammo Box, and Bewitching Table now last until death/being canceled or quitting out, rather than having a time limit

Ammo Box
- Is now sold by the Arms Dealer in Hardmode. Is no longer sold by the Traveling Merchant.
- Cost reduced from 15 Gold to 10 Gold to match other buff stations

War Table
- Is now a buff station that grants a +1 Summon Sentry cap buff


J. Buffs, Debuffs, Food and Potions
Poison
- The version of Poison inflicted on enemies now does 6 DPS instead of 2. This does not impact the Player version of Poison.

On Fire! and Frostburn 
The majority of Hardmode obtained items which inflict On Fire! or Frostburn have been changed to inflict Hellfire and Frostbite respectively.
This applies to:
- Flamethrower
- Elf Melter
- Hel-Fire
- Inferno Fork (Both Bolt and Blast)
- Phantom Phoenix (only applies to the Phoenix Shot, as the converted arrows are the Flaming Arrow projectile type)
- Flameburst Cane and Flameburst Staff
- Butcher's Chainsaw Sparks
- Brand of the Inferno
- Amarok
- Flower of Frost
- Firecracker
- Cool Whip

Crate Potions
- Duration increased from 3 minutes to 4 minutes
- Potency of Crate fishing chance increased by 50% (This is an overall increase of 25% more crates when fishing with a Crate Potion active)

Warmth Potion 
- Now include contact damage protection against Ice Bat, Ice Tortoise, Ice Mimic, and Yeti

Calming Potion 
- Potency of spawn reduction effect increased by 33%
- Duration increased from 8 to 12 minutes

Inferno Potion 
- Damage increased from 10 to 20
- Now inflicts Hellfire instead of On Fire

Luck Potions 
- Duration and potency thresholds of all Luck Potions increased from 3/5/10 to 5/10/15.

Spelunker Potions 
- Statues and Paintings now glow when this potion is active

Bottled Honey 
- In addition to healing, now also grants 15 seconds of the Honey buff

Strange Brew
- Now heals randomly between 70 and 120 health
- Potion Sickness is now variable, between 40 and 70 seconds
- May randomly give a period of damage invulnerability, with longer durations being possible rarely
- No longer heals mana at all

Froggle Bunwich 
- Duration reduced from 8 to 6 minutes (Tier 2)

Seafood Dinner 
- Reduced from Tier 3 with a 4 minute duration to Tier 2 with a 14 minute duration

Grub Soup 
- Duration increased from 10 to 14 minutes (Tier 2)

Potato Chips 
- Duration increased from 18 to 25 minutes (Tier 1)

Carton of Milk
- Duration increased from 15 to 20 minutes (Tier 1)

Hot Dog 
- Changed from Tier 2 with a 20 minute duration to Tier 3 with a 12 minute duration


K. Drop Rates, Obtainment Sources and Other Probabilities
Traveling Merchant Shop
- Now has an extra guaranteed item slot in his inventory in Hardmode. This slot can only contain items from the 4 less common item pools, with the most common items being excluded.
- Traveling Merchant now has an extra guaranteed item slot in his inventory at all times. This slot will ALWAYS contain a painting. Paintings have been removed from all of his other inventory slots, which will slightly increase the odds of obtaining the rest of his wares.
- Celestial Magnet and Ammo Box are no longer sold by Traveling Merchant.
- Pad Thai has been increased from Tier 1 to Tier 2, making it less common
- Pho has been increased from Tier 1 to Tier 3, making it less common
- Christmas paintings will now be sold any time after Frost Legion has been defeated, rather than only when Christmas season is active
- Both Zapinators have been reduced from Tier 5 to Tier 3, making them more common

Celestial Magnet
- Is now found in the primary random loot pool of Sky Chests and Sky Crates

Waldo Painting and other "Rare" Underground Cabin Paintings
- Increased frequency of Waldo spawning in worldgen dramatically, though it is still the rarest painting of its size group
- All other "extra rare" Underground Cabin Paintings (American Explosive, Rare Enchantment, etc) are now of equal rarity within their size group

Wooden Chest Primary Loot
- Throwing Daggers/Glowsticks no longer act as primary loot, changing the primary loot pool size from 12 to 10. These items are now secondary loot.
- Skeleton Merchant can now sell most of the remaining Wooden Chest primary loot on a rotating Moon Cycle schedule. Every day of the Lunar Cycle, he will have a new item.

Living Tree Chests 
- Odds of containing a minecart increased from 1/10 to 1/6. If it does contain one, it is still a 50/50 chance to be a Sunflower or Ladybug Minecart.

Mushroom Biome Chests
- Mushroom Chests are now guaranteed to have one of their exclusive drops, with the Shroom Minecart and Mushroom Vanity each having a 50% chance.

Treasure Magnet 
- Instead of being primary loot, is now a 1/5 chance secondary loot in Shadow Chests and Obsidian Lock Boxes

Demonic Hellcart
- Can now be found in Lava Crates as uncommon bonus loot

Shark Bait
- Instead of being primary loot, is now a 1/10 chance secondary loot in Water Chests and Ocean Crates

Tree Fruit 
- Chance for tree fruit when hitting a tree from increased from 1/15 to 1/12

Diving Helmet 
- Drop rate increased from 1/50 to 1/20

Pocket Mirror
- Drop rate increased from 1/100 to 1/40. Expert drop rates (which doubled the odds of getting Pocket Mirror) are increased from 1/50 to 1/20

Medusa Head 
- Drop rate increased from 1/50 to 1/25

Turtle Shells 
- Drop rate increased from 1/17 to 1/12

Brain Scrambler 
- Drop rate increased from 1/100 to 1/30

Deadly Sphere Staff 
- Drop rate increased from 1/40 to 1/30

Fire Feather 
- Drop rate increased from 1/75 to 1/50

Bone Feather 
- Drop rate increased from 1/450 to 1/300

Giant Harpy Feather
- Drop rate increased from 1/200 to 1/150

Tattered Bee Wing 
- Drop rate increased from 1/150 to 1/100

Obsidian Rose 
- Drop rate increased from 1/50 to 1/20

Frozen Turtle Shell
- Drop rate increased from 1/100 to 1/50

Ice Sickle
- Drop rate increased from 1/180 to 1/100

Monster Meat
- Drop rate reduced from 1/1000 to 1/1500. In Don't Starve seeds, changed from 1/200 to 1/500.

Flinx Fur
- Changed the drop rate of Flinx Fur, from 50% chance to drop 1-3, to 100% chance to drop 1-2 (a 50% overall increase). The Expert drop rate has changed from 90% to 100% to drop 1-3.

Eater of Worlds/Brain of Cthulhu
- Brain of Cthulhu's overall drop rate of Crimtane Ore and Tissue Samples in Expert/Master has been reduced significantly, as it was dropping almost twice as much as it should have been. It now drops roughly as much as Eater of Worlds drops.
- Restructured how Ore/Tissue Sample/Shadow Scale drops are handled in Expert and Master. Overall, the quantity of drops from Creepers/Segment kills has been reduced, while the amount of drops from Treasure Bags has been increased.
- In Expert mode, the total quantity of drops is split roughly evenly, with 50% of the Ore/Samples/Scales coming from the partial kills and 50% coming from Treasure Bags
- In Master mode, the total quantity of drops is weighted heavily toward the Treasure Bag, with only 25% of the rewards coming from partial kills, and 75% coming from the Treasure Bags
- Normal mode drop rates and weighting has been left entirely untouched by all of these changes.

Very Rare Pirate Drops 
- All of these have had their drop rates doubled outright. Their increased drop rate from Pirate Captains has also been doubled.
- Flying Dutchman now have a substantially increased chance of dropping these items, with a 1/15 chance to drop any of them except Coin Gun, which has a 1/50 chance

Golden Furniture
- Flying Dutchman is now guaranteed to drop 1 piece of Golden Furniture
- The stack size of dropped Golden Platforms has been increased as well

Reindeer Bells
- Drop rate from Ice Queens has been doubled

Lava Crates
- Lava Crates are now slightly less common (1/5 chance reduced to 1/6 chance). However, with the buff to Crate Potions, they will be roughly the same as before when using a Crate Potion.

Biome Crates
- When fishing in an area where Biome Crates can be caught, the game will now prioritize getting a Biome Crate instead of a Gold Crate, when in the (relatively rare) circumstance that you were eligible for both. Actual odds of getting either are unchanged by this.

Wooden Crates
- Drop rate for Wooden Chest primary loot increased from 1/45 to 1/20
- Umbrella replaced with Step Stool in the Wooden Chest loot pool

Fishing Crate Ore
- The drop rate of ore and ore bars from fishing crates has been reduced.
- Wooden Crates have roughly 40% less ore
- Iron and Biome Crates have roughly 30% less ore
- Gold Crates have roughly 20% less ore

Gold/Titanium Crates 
- Drop rate of Life Crystals increased from 1/15 to 1/8
- Drop rate of Enchanted Swords from Gold Crates increased from 1 in 50 to 30. In Titanium Crates, this drop rate has been further increased to 1 in 15.

Oasis/Mirage Crates 
- Now have a very rare chance to drop a Sandstorm in a Bottle as bonus loot

Pharoah Vanity Set 
- Pharaoh set is now less common from Pyramid Chests, increasing relative frequency of the other drops

Gold Worms 
- When used for fishing, has a particularly low chance of being consumed (only 1/20 chance)

Old One's Army Ogre Weapons
- Increased the odds that the Tier 2 Ogre will drop a weapon from 33% to 50%. In Expert/Master mode, this has been increased from 50% to 100%
- Tier 3 Ogres also have a higher chance of dropping a weapon, up from 1/6 to 1/4 chance.

Dev Armors from Treasure Bags
- Chance of getting a dev armor increased from 1/20 to 1/16

Frost Daggerfish 
- Maximum amount of Frost Daggerfish you can get per pull increased

Seahorses
- Can now spawn in a wider variety of Ocean shapes and conditions, which will result in more consistent spawning

Gem Bunnies and Squirrels
- Gem Critter spawns now have a rarity system based on their gem

Water Striders
- Spawn rate increased
- Increased the maximum level of windiness that will allow Water Striders to spawn from 10 MPH to 20 MPH

Butterfly Days
- Increased the odds of having a Butterfly day

Treasure Fairies
- Spawn rate reduced by 2/3rds in Hardmode

Truffle Worm and Prismatic Lacewing
- Spawn rates are now impacted by Luck

Jungle Critters
- Overall spawnrate of Jungle critters in Jungle towns reduced

Bloody Tears
- Brides and Grooms that spawn in Graveyards can now drop Bloody Tears even if it isn't a Blood Moon

Teleporters 
- Now sold by the Mechanic pre-Hardmode, instead of being sold by the Steampunker

Digging Mole Cart 
- Will now be sold by the Zoologist at 35% Bestiary completion instead of 60%

Bast Statue
- Can now generate as furniture in Underground Desert Cabins (in addition to being found in chests)


L. Recipes and Prices
- Crafting cost of Celestial Sigil reduced from 20 of each fragment to 12
- You can now craft Sandstorm and Blizzard in a Bottle using a Cloud in a Bottle + Frost Core/Forbidden Fragment at a Crystal Ball
- Molotov Cocktail now takes regular Gel instead of Pink Gel
- You can now use Vertebrae instead of Worm Teeth to craft Unholy Arrows
- Thorns Potions no longer require Worm Teeth or Stingers to craft
- Angel & Demon Wing Souls of Light/Night cost reduced from 25 to 15
- Empty Bucket Iron/Lead Bar cost reduced from 3 to 2
- Changed the recipes of all ore-based bricks to have a 1:5 crafting ratio (1 ore + 5 blocks = 5 bricks). Previously, they had a 1:1 ratio.
- Shroomite Plating's recipe changed from a 1:15 to a 1:25 crafting ratio, costing 1 Shroomite Bar for every 25 Shroomite Plating
- Pearlstone Brick's recipe changed to be consistent with Ebonstone Brick, using 2 Pearlstone Blocks instead of 1 Pearlstone Block and 1 Pearlsand
- Coral Torch's recipe now takes 3 Torches and gives 3 Coral Torches per Coral, instead of 1 Torch
- Chain's recipe now gives 15 Chain instead of 10
- Any 2 of Salamander/Shelly/Crawdad Trio's banners can be used to craft the banner of the missing member of the trio
- Wormhole Potion recipe now takes 3 Bottled Waters, and gives 3 Wormhole Potions
- The Tavernkeep now gives 10 Medals when initially spoken to, allowing players to purchase 2 Tier 1 staves instead of 1
- Tier 2 OOA Armor piece cost reduced from 25 to 15 Medals
- Tier 3 OOA Armor piece cost reduced from 75 to 50 Medals
- Tier 2 OOA Sentries cost reduced from 25 to 15 Medals
- Tier 3 OOA Sentries cost reduced from 100 to 60 Medals
- Defenders Forge cost reduced from 75 to 50 Medals
- Purchase cost of Pad Thai and Pho increased
- Reduced the sell values of Stained Glass types to more accurately reflect the cost of the specific gems used to make it
- Sailor Vanity, Eyepatch, Mummy Vanity, Pharaoh Vanity, Grinch Whistle, Mana Crystals, Ancient Manipulator, and Shell Piles all now have a sell value
- Reducing the sell value (and subsequently, the reforge cost) of a number of 1.4 tinkers and accessories which had higher than typical sell values
- Cost of Wallpapers reduced from 1 Silver to 75 Copper
- Cost of Clentaminator Solutions have been reduced from 25 Silver to 15 Silver
- Tax Collector can now hold up to a base 25 Gold instead of 10 (this can further be boosted by happiness)
- Sell value of Frogs reduced from 15 to 10 Silver. Their food recipe sell values have also been reduced proportionally.
- Angler Quests now give 2x as much money in Hardmode
- Research cost of Red Potion reduced from 10 to 3


M. Miscellaneous
- Summoning Moon Lord with Celestial Sigil will only have a 12 second summoning time instead of 60 second
- Old One's Army Banners now apply Banner buff to their respective enemies, though it is much weaker than the normal Banner buff
- Banners from particularly rare enemies may now drop at 10 or 25 kills instead of 50. This same value will apply to how many kills it takes to complete their Bestiary page.
- Wire in the Temple cannot be cut by the player until Golem is defeated
- The player cannot see wires within the Temple until Golem is defeated
- NPCs who die will now respawn freely, ignoring the original unique conditions which were required to spawn in the first place. For example, Party Girl will have "normal" respawn odds instead of her rare spawn chance, and NPCs with a required item like Arms Dealer and Demolitionist will no longer require a player to be holding that item to respawn.
- Life Crystals are now lower priority on the Metal Detector than Hardmode Ores
- Chlorophyte Ore infection protection is now slightly stronger. It can also purify a wider selection of infected tiles, such as Sand and Sandstone.
- Strange Plants now give 6x dye when turned in instead of 3x
- Slightly reduced the quantity of cracked bricks in the Dungeon
- Merchant and Skeletron Merchant now both sell "regular" Potions in Hardmode, in addition to their Lesser Potions.
- All Minecart Track items are now immune to lava destruction
- Chain tiles are now immune to lava destruction
- Stacks of Cloud blocks can now be found in Skyware Chests and Sky Crates
- When fishing in a Hallowed Oasis, you can now obtain both Hallowed or Oasis fish. This same rule does not apply to the more invasive Corruption/Crimson.
- Fairy Glowstick now has stronger light, closer to regular glowsticks
- Snake Coil grows substantially faster than before, and maximum height increased from 80 to 100 blocks
- Placing Sunflowers is now auto-swing

Version 1.4.3.6 Changes ------------------------------------------------------------------------------------------

I. Bug Fixes:
- Fixed numerous issues that caused the game to hang indefinitely when you quit it, on Mac & Linux.
- Fixed steam overlay issues on Linux.
- Updated FNA. (Mac/Linux related)


Version 1.4.3.5 Changes ------------------------------------------------------------------------------------------

I. Bug Fixes:
- Fixed certain inputs failing, acting weird, when using frameskip off setting
- Fixed Town NPCs not discussing their biome name properly
- Fixed Lunar Portal lasers disappearing from screen under certain circumstances
- Fixed enemies sliding through cracked bricks in multiplayer
- Fixed desert chest optimization


Version 1.4.3.4 Changes ------------------------------------------------------------------------------------------

I. Bug Fixes:
- Fixed certain combinations of in-game gamepad and mouse inputs causing cursor-style flicker on Steam Deck
- Fixed certain gamepad UI actions not executing properly


Version 1.4.3.3 Changes ------------------------------------------------------------------------------------------

I. Changes and Balance

- Summon Minions, Sentries, and their projectiles should no longer harm critters
- Updated Bundle of Balloons' sprite to reflect the items that went into it better
- When placing a Graveyard-crafted version of a natural backwall directly next to a natural version of that wall, they should now merge seamlessly rather than having a large border between them
- Skeletron now drops Healing Potions instead of Lesser Healing Potions. This same drop will also be applied to Deerclops, though Queen Bee will continue to drop her Bottled Honey instead.

Deerclops:
- The Guide now has a hint about how to find Deerclops if the player has not yet defeated it
- Deerclops' HP values now scale at a modified rate in Expert and Master, like other bosses. As a result, it will now have a lower maximum HP in both Expert and Master.
- The above fix also addresses an issue where Deerclops' HP did not scale UP with increased player count in Expert/Master multiplayer games
- Deerclops now only remains present in the Snow biome for 1 day when no players are present, instead of 3 days.
- Deerclops' boss bar will disappear from the screen when suitably far enough away from it that the boss fight is not active. It will re-appear again once the fight is resumed.
- Fixed an oversight where Deerclops had 0 defense
- After defeating Deerclops, it now only has a 25% chance to spawn again naturally under proper conditions. This was previously 100% chance.
- Deerclops now drops potions on death; in this case, regular Healing Potions like Skeletron.

NPC Happiness:
- Pylons now require a minimum of 2 NPCs under all conditions to be sold
- The minimum required happiness for NPCs to sell Pylons has been decreased from 0.85 to 0.9 (the lower the number, the happier). This means that it is now easier to make NPCs happy enough to sell a Pylon.
- If an NPC is present in a hybrid biome (for example, the Hallowed Desert), and they like at least one of those biomes, then they will gain positive happiness from the biome they like. This will only work for a liked biome vs a neutral/disliked biome; it will not allow a neutral biome to overcome a disliked biome. This also does not override major unhappiness/housing invalidation due to being near the Corruption, Crimson, or Dungeon.
- The number of NPCs you can have in a town before Crowded penalties begin to take effect has been increased by 1

- Flinx Fur now requires less to research in Journey mode
- All food (except Ale and Sake) now require less to research in Journey mode
- All Biome crates, as well as Dungeon and Obsidian Lockboxes, now require less to research in Journey mode
- Black and Pink Pearls are now more common when opening Oysters. Their sell value has been proportionally reduced.
- Obsidian can now be mined by Pickaxes of 55% mining power or higher
- When defeating the Wall of Flesh in normal mode, it will now always drop 1 weapon and 1 emblem, like Expert treasure bags do
- Heart and Star Statues are now twice as likely to be found in worldgen compared to other statues
- Increased Web Shooter's range by 25%
- Piranha Gun's Piranhas should now be much better able to keep up with rapidly moving enemies, assuming that enemy isn't teleporting or briefly becoming invulnerable
- Changed Fairy Wing's recipe to only take 99 Pixie Dust instead of 100 (as 99 is the max stack for Pixie Dust)
- Optimized worldgen during the Desert chest placement stage
- The Virtual Keyboard (in-game keyboard for Gamepad) is now used for IP/password entry and other Multiplayer text entry menus


II. Bug Fixes:
- Fixed an issue where the Eyebrella Cloud positioned itself oddly when a player is sleeping
- Fixed an issue where a number of blocks which should have blocked light were not blocking light
- Fixed an issue where Honey and Dry Bombs could not be placed on Weapon Racks
- Fixed an issue where Torch God's projectiles from Corrupt Torches generated snow dust
- Fixed an issue where Chester's Smart Cursor outline did not rotate with him when in the air
- Fixed an issue where walking Goldfish couldn't be Corrupted/Crimson'd like other Goldfish
- Fixed an issue where Desert Tiger did not bounce on enemies correctly if your Journey time settings were paused or sped up
- Fixed a bug with lava fishing gear incorrectly impacting fishing time
- Fixed an issue where Obsidian Armor had white item rarity even though, for its tier, it should have been a higher rarity color
- Fixed an issue where Lucy didn't speak if you cut down Palm Trees or Cacti
- Fixed some issues involving Jungle Shrines and Giant Mahogany Trees, where overlapping generation could cause broken chests
- Fixed an issue where Star-generating Cloak accessories did not properly sync their star generation in multiplayer
- Fixed a multiplayer issue where Plantera's spore projectiles were not syncing properly
- Fixed an issue where the Electrified debuff had an inaccurate and non-informative buff info text
- Fixed an issue causing Elf Melter to use 2 ammo per use
- Fixed an issue where Chain Guillotine's chain would vanish at some angles
- Fixed an issue where some UI Control text was broken in Polish language settings
- Fixed an text-based multiplayer crash
- Fixed rare crash when certain NPCs spawn in droves


Version 1.4.3.2 Changes ------------------------------------------------------------------------------------------

I. Bug Fixes
- Fixed (again) Abigail's Flower growth not appearing on servers, requiring players to log in again to see it
- Fixed Journey Mode's Enemy Spawn Rate settings being reset on leaving a server
- Fixed an issue where Don't Starve seed darkness would cause unnatural black squares in the sky, and make certain biomes too bright at night
- Fixed Resource Packs from Steam Workshop not always showing their workshop tag properly
- Corrupt players will now list their origin instead of corrupt text, if they can
- Corrupt worlds will no longer crash world selection
- Changed corrupt entries to have a gray title, from a red title
- Fixed rare crash related to favorited cloud entries
- Fixed Bat Bat not healing on killing blows
- Fixed slowdown when leaving the housing window up for a REALLY long time
- Fixed an issue where changing Hunger status on DST worlds would delete certain buffs
- The Nurse will no longer try to "heal" a number of positive buffs
- Fixed certain cases that allowed users to able to upload resource packs they've downloaded from the workshop
- Fixed an item duplication exploit
- Fixed certain projectiles resetting npc's immunity for other projectiles wrongfully
- Fixed serverconfig.txt generated worlds not setting special seed data properly

II. Balance Changes

Abigail:
Increase base speed by 33% (3->4)
Decrease speed growth per minion from 1.5 to 1.4 (ends at exactly the same value at 11-minion)
Improve base acceleration by 10%
Decrease acceleration growth from 2 to 1.75 (maxes out at the same minion count)

Lucy:
Decrease Use Time from 20 to 17
Increase size from 1 to 1.2 (makes her 20% bigger)
Increase Axe power from 25 to 30

Weather Pain:
Increase duration of projectile by 50%
Increase pierce count from 10->12
Increase speed from "7" to "8"

Pew-Matic Horn:
Increase damage by 1
Decrease Use Time from 24 to 15
Increase shot speed from 11 to 14

Houndius Shootius:
Increase projectile speed from 8.5 to 12.5

Bat Bat:
Increase Use Time from 30 to 45
Increase damage from 18 to 31
Increase size from 1 to 1.15 (15% bigger)
Now steals 1 Life per swing, on hit

Tentacle Spike:
Hitting an enemy embeds a damaging spike
Each spike deals 3 DPS for 9 seconds
You can stack up to 5 spikes on each enemy

Ham Bat:
New feature: killing enemies will grant a short burst of Life Regen
Increase damage from 50 to 58
Increase size from 1 to 1.2 (20% bigger)

Sauteed Frog Legs - Adjusted from 10 Minutes of Plenty Satisfied to 10 Minutes of Well Fed
Froggle Bunwich - Adjusted from 8 Minutes of Exquisitely Stuffed to 8 Minutes of Plenty Satisfied


Version 1.4.3.1 Changes ------------------------------------------------------------------------------------------

I. Bug Fixes
- Fixed an issue where Abigail's Flower would not visually sync on servers when it grew (rendering it invisible until you rejoined)
- Deerclops now properly drops money
- Fixed a rare crash caused by Jungle Mimics
- Fixed an issue with Crystal Serpent being held unusually by the player
- Fixed an issue where Plantero's Sombrero was poofing when turning Blood and Gore off
- Removing an accidental second Garland recipe
- Fixed a duplication exploit
- Fixed an issue that caused some OGG files in Resource Packs not to loop properly
- Fixed an issue where the player using a Stormbow did not visually "fire upwards"
- Attempted a fix for issues where slow-joining players could die to Darkness while joining servers
- Fixed an issue where interacting Pylons from beneath had a different range than the actual teleportation-allowed range
- Fixed cases of plates & logic sensors not properly being removed from the world when mined
- Fixed Seasonal Bunnies not having the surface tag in bestiary
- Fixed Frozen Zombie and Wolf not showing Snow Biome in bestiary
- Deerclops & Ice Golem now correctly use the rain tag in bestiary
- Fixed inconsistent order of surface and time Bestiary tags
- Fixed a certain exploit
- Fixed potential issue with Deerclops insanity in multiplaye
- Trying to play corrupted cloud worlds should no longer crash the game

II. Balance Changes
- Increased Abigail's Flower spawnrate by 33%
- Abigail can now only hit up to 3 enemies at once per "attack". This cap increases by 1 for every 2 extra minion slots expended on her (3 minions = 4, 5 minions = 5, etc).
- Deerclops is now immune to Confusion
- Deerclops contact damage and his cold projectiles are now affected by Warmth Potion
- Truffle Worms no longer take damage from hostile NPCs or projectiles


Version 1.4.3 Changes -------------------------------------------------------------------------------------------

I. New Content and Changes
- Added Don't Starve inspired seed
	- Play with Don't Starve-inspired shaders and lighting
	- Complete darkness is now dangerous to your health.
	- Exposed torches and campfires may not be reliable, as rain can put them out!
	- Players will need to eat or face hunger and eventual starvation
	- A few Don't Starve inspired worldgen features, such as Surface Marble and Aboveground Spider Biomes
	- Has substantially improved drop rates and availablility of Don't Starve related items
- Added the Deerclops, a mid-late pre-Hardmode boss hailing from the world of Don't Starve
- A variation on the Deerclops' boss theme, provided by Klei Entertainment!
- A few rare background clouds featuring characters from Don't Starve can now appear
- Added several new Don't Starve related emotes
- Main menu now has some links to some assorted Terraria-related websites
- Worlds using special seeds now have unique icons in the World Select menu to better tell them apart
- Added a config option for an older version of Smart Cursor Hold, labeled in the config file as "SmartCursorHoldCanReleaseMidUse". Changing this setting to true will make it so that Smart Cursor: Hold will IMMEDIATELY deactivate when releasing the hold button, even if the player is mining.

II. Items
- Several new pets from the Don't Starve universe
- A collection of Don't Starve weapons and equipment, adapted to the world of Terraria!
- Wilson and Willow Vanity Outfits
- Several vanity hats and accessories
- Two food items, the Froggle Bunwich and Monster Lasagna
- The full array of standard boss related items from Deerclops
- 4 Don't Starve themed paintings

III. Bug Fixes
- Fixed an issue where Crimson Grass Walls spread slower than Corruption
- Fixed a (previously undetectable issue) where enemies with a higher NPC ID than Golden Slimes would have Golden Slime bonus money drops
- Fixed a rare worldgen softlock, where the game gets stuck trying to generate Hellforges
- Fixed an issue with part of Leather Whip's segments being cut off
- Fixed an issue with Ice Bow being flagged as a channeling weapon when it isn't
- Fixed an issue with Flying Knife not having proper screen range limits
- Fixed Princess not having the same "leaving" SFX like Angler
- Changed the SFX of a number of some newer Summoning and Magic weapons, so that they are a bit more representative of the attack itself
- Updated, added to, and pruned dozens of entries from an inaccurate and outdated list of homing projectiles that the Lunatic Cultist has damage resistance against
- Fixed a rare bug with some minions that could make them despawn
- Fixed some issues with certain sentry minions which could result in desync for players joining after they had been summoned
- Fixed an issue where Celestial Starboard did not draw/make dust properly in reverse gravity
- Fixed an issue with some Rocket projectiles, resulting in a number of silent and not so silent crashes
- Fixed a subtle issue where certain items were a different color in the hotbar than they were in the inventory
- Fixed a bug where Boulders and Rolling Cacti qualified as Ranged items eligible of dealing Frostburn if you wore the Frost Armor
- Fixed an issue where Smooth Marble Blocks didn't merge with dirt, ash, or frozen slime blocks (despite merging with most other blocks)
- Fixed an issue where some of the newer campfires didn't have Smart Cursor outlines
- Fixed an issue preventing Honey Pit microbiomes from spawning in the Jungle
- Fixed a bug where Thorns-effects hit Empress of Light at an extremely rapid rate
- Fixed an issue where light Dynasty Walls showed an inacurate teal map color
- Fixed an issue where some config settings are reset every time an update or hotfix occurs. Note: resolution in fullscreen resetting has not been fixed yet.


Version 1.4.2.3 Changes ------------------------------------------------------------------------------------------

I. Changes
- Added Celebratory Seed

II. Bug Fixes
- Corrected the damage on Frost Armor's set bonus debuff from 20 to 25 DPS.
- Fixed Vulkan and Metal rendering issues that lead to crash, on FNA builds.
- Fixed a certain exploit.
- Fixed missing tooltip in Queen Slime's treasure bag.
- Fixed every vine type except Normal/Flower vines from passing on paint as they grow longer.
- Fixed King Slime's spiked minions being able to pick up money and despawn with it, similar to Queen Slime's minions previously.

Version 1.4.2.2 Changes ------------------------------------------------------------------------------------------

I. Changes
- Projectile NPCs (enemy projectiles that can be hit and destroyed by the player) are now subject to the effects of that enemy's banner
- Chattering Teeth Bomb and Shadowflame Apparition are now also subject to their creator's banners (Clown and Goblin Summoner respectively)
- All Town NPC first names can now be adjusted using Resource Packs
- Added /ale to the Emote menu list

II. Bug Fixes
- Fixed a crash caused by having no valid/detected audio devices when launching Terraria
- Fixed an issue where certain tracks, most notably the Terraria intro track, would not loop correctly with some music Resource Packs
- Fixed an issue where renaming or importing worlds would change the time of day in that world to the time of the main menu at the moment they were renamed
- Fixed an issue where the Steelseries RGB setting was using the Logitech setting in the config.json, not the Steelseries setting (in other words, you can now properly deactivate Steelseries RGB if you wish to do so)
- Fixed an issue where certain MP3 files would play at dramatically lower speeds
- Fixed an issue where the Linux GOG dedicated server was not launching correctly under some conditions
- Fixed an issue where non-Journey players could sometimes be set to permanently have Journey powers activated
- Fixed an MP syncing issue relating to enemy Heal effects
- Fixed a error that led to Dart Gun and Dart Rifle's 1.4.1 balance change not being applied
- Fixed a missing apostrophe in a painting name
- Fixed an issue where the completion meter in the Bestiary would show a comma after 100% when using any language other than English
- Fixed an issue where Lazure's Barrier Platform would be worn on your head when in reverse gravity. The world is not ready for this level of futuristic fashion.
- Fixed an inconsistency where language and music Resource Packs would be prioritized in reverse order compared to texture changes. Packs at the top should be prioritized, but language changes were prioritizing packs at the bottom.
- Fixed projectile knockback being inconsistent in multiplayer

Version 1.4.2.1 Changes ------------------------------------------------------------------------------------------

I. Bug Fixes
- Fixed an issue where MP3s used for replacing Music tracks would not loop
- Fixed an issue where replaced Music tracks would be significantly louder than normal tracks
- Fixed an issue where replacing Music tracks did not work on Mac (and possibly Linux as well, unconfirmed)
- Fixed a text issue in the Workshop Publishing menu that showed debug text for the "Other" tag
- Fixed an issue that prevented the Title Bar messages from being changed by Resource Packs.
- Changed Striking Moment's Buff text to reflect that it actually adds 400% damage (500% total) rather than adding 500%
- Fixed a loading issue with XNB assets in Resource Packs that prevented them from working properly
- Fixed an issue where Bubble Blocks could not be used as the walls for player-spawn houses
- Fixed a typo in Dune world generation in regards to their position with Snow biomes
- Fixed some minor grammatical and capitalization issues
- Changed the Worldgen Menu to properly indicate that you CAN rename your worlds (as this changed in 1.4.2)
- Fixed an issue where Luminite Ore and Bricks made "Dirt" thud sounds when mined, instead of ore/metal sounds
- Fixed an issue where Doors, Trap Doors, and Tall Gates could render a house invalid if they were open

Version 1.4.2 Changes --------------------------------------------------------------------------------------------

I. New Content and Changes
- Added Steam Workshop Integration to Terraria, allowing the downloading and sharing of World Files and Resource Packs
- Expanded Resource Pack Functionality to include Language Replacement and Music Replacement
- Added a button to the Research and Bestiary Menus that lets you delete all current search text
- Enemy Banners now also give increased player protection against enemy projectiles (previously they only applied to contact damage)
- Added an option to change the name of characters and worlds

II. Bug Fixes:
- Fixed a recurring issue with Rolling Cacti spawning on Demon Altars and causing crashes
- Fixed an issue where seeds would not always generate identical worlds, depending on how many worlds had been generated in that play session
- Fixed an issue where some falling tiles would fall through platforms instead of landing on them
- Fixed an issue where Paper Airplanes did not drop in the quantities that the Bestiary said they should be dropping at
- Fixed an issue where falling coins were no longer able to land on top of other coins
- Fixed an issue where Trap Doors would not properly sync in multiplayer, allowing enemies to move through them
- Fixed an issue where sitting players wearing the Gi outfit would be in a "jumping" pose
- Fixed an issue where spreading Moss would not always use the proper frame when on servers
- Fixed an issue where Smooth Marble Blocks would merge with Echo Blocks
- Fixed an issue where Ale Tosser did not properly receive Frostburn effects from Frost Armor
- Fixed an issue where Smoke Blocks did not stay hammered between gameplay sessions
- Fixed an issue where some Ocean enemies could spawn even behind safe walls
- Twinkle Popper's Twinkles no longer pick up money, as they would delete it forever during their explosion attack
- Fixed an issue where Fossil Pickaxe, Tree Globe, and World Globe would fall through blocks forever when dropped
- Fixed an issue where the Wall of Flesh can drop below the world's boundary
- Fixed an issue where Sergeant United Shield was accidentally showing accessory dyes under some specific circumstances, even though it is a weapon
- Fixed an issue where Resonance Scepter and Life Drain could only knockback enemies to the right
- Fixed an issue where High Velocity Bullets could sometimes hit particularly large targets twice (does not apply to multi-segment enemies, this should still allow multiple hits)
- Fixed an issue where Pupfish were sometimes spawning in the Ocean
- Fixed an issue where Wand of Sparking's projectile was using Melee damage modifiers, not Magic
- Fixed a rare issue where the game could freeze if it was literally impossible to spawn a meteorite
- Fixed an issue where Wasp Gun had a tooltip that just said "Wasp Gun"
- Fixed an issue where players who died, or Hardcore player ghosts, would interfere with Player Logic Sensors
- Fixed an issue where Star Cannon's projectile could not land critical hits, and wouldn't always receive proper stat bonuses from player equipment
- Fixed an issue where Star Cannon's projectile could not be fired through platforms
- Fixed a certain duplication exploit
- Fixed an issue where Spikes would not hurt the player from some angles at certain elevations
- Fixed an issue where World Globe would skip some forest backgrounds
- Fixed an issue where Amphibian Boots stacked with other Frog Leg variants, even though Frog Leg variants do not otherwise stack


Version 1.4.1.2 Changes -------------------------------------------------------------------------------------------

I. Changes and Adjustments
- Localization should now be updated to fully include 1.4.1 content. Special thanks to Criddle and Midnaait for additional contributions in regards to localization changes!
- Reverted Town NPC House/Village check distance increase. This was doubled in 1.4.1, and has now been returned to 1.4 levels.
- NPC Happiness now gives the "Space" bonus for 3-NPC towns. Previously, there was neither a bonus nor a penalty at 3 NPCs, but this was perceived as a penalty, so its been changed.
- Skeletron Prime's bombs now explode on Planter Boxes (like they were changed to do on Platforms)
- Capes now show when sitting or riding mounts. This was previously limited due to conflicts, but feedback indicated it was worth the potential awkwardness at times to have the option.
- Queen Slime's minions can now drop Slime Staff at normal drop rates
- Clicking anywhere on the creative/bestiary menu will pause searching. This should make the UI more intuitive and result in being accidentally "stuck" in the textbar less common.
- Updated Timeless Traveler sprites, as the sprites being used were accidentally out of date versions
- Spectre Goggles no longer override helmets entirely, as they are not full head accessories and were not meant to do so

II. Bug Fixes:
- Attempting a music-related fix for an issue where users cannot increase their music volume above 0%. This may also potentially fix some seemingly unrelated launch crashes which actually stem from the same root issue.
- Fixed an issue with Happiness values that was causing them to round down heavily, negating minor differences and making it harder to reach certain thresholds.
- Fixed an issue where the Crowded penalty for only 1 NPC was acting like there were 2 extra NPCs, making it start more severely than intended
- Fixed a back-end issue that prevented the Chinese localization for 1.4 being added to the game correctly
- Fixed an issue where the Ronin set would not show fireflies on a female character
- Fixed an issue where player skin became much brighter under some circumstances, such as using some Light Pets
- Fixed another syncing issue with Cracked Dungeon bricks, which should resolve the teleporting enemies in Dungeons
- Fixed an issue where increasing time rate in Journey mode would make the Credits run very fast on the main menu
- Fixed an issue where certain parts of the credits roll did not support texture packs and could result in a crash
- Fixed Life Drain not costing mana to use in PVP
- Fixed a fault in the Prismatic Lacewing sprite file that caused severe issues for a small minority of Linux users
- Fixed Princess discussing bosses/threats that hadn't been defeated yet
- Fixed Princess's party hat not being on her head correctly
- Fixed Video Visage's screen being offset when in reverse gravity
- Fixed an issue where some Vanity ears would show the back-ear in the wrong position when sitting
- Fixed an issue where Tail accessories did not adjust their height correctly when sitting
- Fixed an issue where certain hairs would "draw double" when sitting
- Fixed a wide variety of NPC Dialogue, Bestiary, and Item Flavor Text grammatical/spelling/punctuation issues.
- Fixed an issue with Town NPCs not teleporting into very tall/thin homes at night, or houses where chairs did not have sufficient space
- Fixed Tall Hats having visual issues when riding a mount
- Fixed a visual framing issue with the Bamboo Lantern
- Fixed an issue where Stardust Guardian was no longer transparent when dyed
- Fixed an issue where some critters would super jump while underwater
- Fixed an issue where NPCs and Cats would sit in the same seat at night
- Fixed an issue where Vanity Rocket Boot trails were inconsistently prioritized and not always showing the correct trail
- Fixed an issue where Bones were still flagged as Ammo
- Fixed an issue where Lunar Drills/Chainsaws were getting prefixes they shouldn't
- Fixed an issue where the game did not Autopause in the Achievements menu
- Fixed a sell value inconsistency introduced by 1.4.1's crafting cost change for Adamantite/Titanium Ore bars
- Fixed an issue where Gamepad Master Mode slot visibility toggle did not work properly
- Jousting Lances can no longer receive melee speed prefixes. They already could not benefit from Melee speed, but this fixes some bugs caused by Melee speed modifiers that impacted them.
- Fixed an unusual exploit allowing you to force-teleport other players
- Fixed some stat inaccuracies where several OOA armor's stats did not match their tooltips. Also made a few text adjustments to clarify specific damage types.
- Fixed an issue where Hero's Shield was not giving its aggro boost
- Fixed a minor visual issue with Tinkerer's Workshop where some of its pixels were not visible
- Fixed Sky Dragon's Fury not animating when thrown on the ground
- Fixed Sky Dragon's Fury's secondary fire not inflicting Flask debuffs
- Fixed an issue where Souls in a Bottle were missing animation frames
- Fixed an issue where Hair 6 and Hair 94 had a conflict with capes
- Fixed an issue where Credits would scroll when paused
- Town NPCs will only fire on enemies if that enemy can be targetted (ideally, no more Plantera Hooks and the like)
- Fixed some inefficiency in Minion targetting that had performance impacts
- Fixed some exploits/oversight related to Bee Hives, Bunny Cannons, and Antlion Eggs
- Fixed an issue with enemy Bees attacking invincible enemies
- Fixed an issue where scrolling through Character Difficulty modes with Gamepad or WASD would follow a backwards order
- Fixed a handful of item drop rates that were not properly affected by luck (mostly some OOA drops). Will not impact actual drop rates to much of a substantial degree.
- Fixed an issue with a few leaf sprites that caused them to not correctly handle paint
- Fixed an issue where most falling tile projectiles would fall through platforms, except for regular Sand. All of them now land on the platform, except hostile Sand ball projectiles.
- Fixed an issue where some large texture items would scale down twice in chat
- Fixed an issue where Reaper Hood's head texture had an offset frame
- Fixed an issue where Robot Shirt worked with "hand" accessories, since its hands were incompatible with them. Robot Shirt and Pumpkin Shirt now do not work with Belt accessories either, for the same reason.
- Fixed an issue where some texture sizes weren't updated in the code, which prevented texture packs of those sprites from working properly
- Fixed an issue where the Paper Airplane projectile wasn't considered Ranged
- Fixed an issue where Molotov Cocktail didn't gain Frost Armor's Frostburn debuff
- Fixed an issue where Coin Gun would not prioritize Coin slots over Inventory slots
- Fixed a crash stemming from using the Clinger Staff near the top of the world when in reverse gravity
- Fixed an issue with some helmets drawing incorrectly on the minimap when in reverse gravity
- Fixed an issue where Brain of Cthulhu would despawn if there wasn't enough room to teleport
- Fixed an issue where Paper Airplanes weren't correctly dropping in stacks

III. Balance Changes:

Melee
Brand of the Inferno
- Use time decreased from 25 to 20 in light of recent buffs to similar tier weapons

Chlorophyte Claymore
- Increased damage from 80 to 95 in light of recent buffs to similar tier weapons

Chlorophyte Saber
- Increased damage from 48 to 57 in light of recent buffs to similar tier weapons

Christmas Tree Sword
- Projectiles now deal 75% of the base damage instead of 50%

Ranged
Super Star Shooter
- Reduced use time from 12 to 18 (THIS IS NOT A NERF!)
- Reduced damage from 70 to 60 (BEAR WITH ME, ITS NOT A NERF)
- Note: Due to immune frame time, this will actually result in more consistent damage, and is actually a buff. The damage decrease was required to offset the significantly increased damage.

Magic
Betsy's Wrath
- Partially reverting damage buff from 1.4.1, reducing damage from 110 to 100

Summons
Hornet Staff
- Increased damage from 11 to 12 (building upon the initial increase in 1.4.1 from 9 to 11)

Vampire Frog Staff
- Reverting damage buff from 1.4.1, reducing damage from 13 to 11. The AI/functionality changes from 1.4.1 have been more than sufficient on their own, and the extra damage was unneeded.

Obsidian Armor
- Reduced the Minion damage bonus on the helmet and legs from 9% to 8% each
- Reduced the Minion damage increase on the set bonus from 25% to 15%
- Reduced the Whip speed increase on the set bonus from 50% to 35%

Spider Staff
- Summoning Spiders will now attempt to systematically summon the different types of spiders in order, rather than randomly. Due to immune frame schenanigans, this may result in more consistent damage, though it does not actually increase the maximum potential of the weapon.

Optic Staff
- Enemy immune frames caused by Spazmamini and Retinamini attacks have been reduced from 16 to 12
- Increased Spazmamini's movement speed while pursuing enemies

Deadly Sphere Staff
- Enemy immune frames caused by Deadly Sphere attacks have been reduced from 10 to 8

Firecracker
- Reduced explosion proc damage from 3x of minion base damage to 2.75x

Cool Whip
- Cool Whip now inflicts Frostburn a short duration on hit
- Increased the movement speed of the Snowflake minion by 50%

Desert Tiger
- Now "bounces on" its current target if that target is in the air, staying more firmly latched on and dealing damage
- Increased scaling damage per "minion slot" expended slightly (from 33% of base damage to 40% of base damage)

Rainbow Crystal Staff
- Partially reverting the damage reduction in 1.4, increasing its damage from 80 to 130

Mounts/Wings/Accessories
Celestial Starboard
- Made some adjustments to improve its handling, while still keeping the fix that made sure that Starboard got full dash distance

Star Cloaks
- Only creates stars now when taking damage from enemy sources

Black Spot
- Slightly increased acceleration, to slightly offset for the loss of overall speed in 1.4.1

Crafting Recipes
Chlorophyte Bars
- Reduced crafting recipe from 6 to 5 ore per bar

Chlorophyte Bullets
- Reduced crafting efficiency from 70 bullets per bar to 60 bullets per bar (to roughly maintain parity with the Bar crafting cost change)

Enemy Immunities:
Snow Flinx - Removed their Poison immunity
Wall of Flesh - Removed its Poison immunity
Queen Bee - Added Poison immunity
Morning Wood - Added Poison immunity
Twins - Added Poison immunity
Martian Probes - Added Poison immunity
Granite Golem/Elemental - Added On Fire/Hellfire immunity
Betsy - Added On Fire/Hellfire immunity
Frozen Zombies - Added Frostburn Immunity
Clingers - Added Cursed Inferno Immunity
Dark Mage Skeletons - Added Poison immunity


Version 1.4.1.1 Changes -------------------------------------------------------------------------------------------

I. Changes and Bug Fixes
	Fixed a Mac only issue that caused a crash when attempting to host a server
	Fixed an bug causing it to be much harder than expected to achieve the happiness required for the Leading Landlord achievement
	Fixed an issue that prevented Linux from taking screenshots correctly
	Fixed an oversight within the Game Credits
	Fixed an issue in Dungeon code that was causing the same seed to create different worlds each time
	Fixed an issue preventing Master mode players from accessing all accessory slots with Gamepad
	Fixed a crash related to housing menu interaction with Gamepad
	Daybreak spears embedded in Moon Lord eyes will instantly explode and deal their bonus damage immediately if they eye closes
	Fixed an issue causing a kanji key to automatically replace some keybindings
	Fixed an issue causing Jungle Armor, Ancient Cobalt, and Molten Sets to not have the proper bonuses, while some other items (like Band of Regeneration) got them instead
	Fixed an bug causing the Hot Reels achievement to unlock when fishing in any liquid
	Fixed a bug causing Princess to not properly check for nearby NPCs, resulting in her being lonely even when surrounded by neighbors
	Players transformed into a Werewolf/Merman no longer have human faces when wearing certain accessories
	Fixed several grammatical/spelling issues in NPC dialogue
	Fixed a few minor item tooltip/flavor text issues
	Fixed a buggy dialogue line from Princess about Santa Claus
	Fixed a buggy dialogue line from Transformed Zoologist about the Princess
	Fixed Video Visage not applying dye to the screen when showing up on the Map
	Fixed an issue with the Witch Costume not properly showing legs underneath of it, even its own Witch Boots
	Fixed an issue when renaming chests that prevented the player from exiting their inventory easily
	Fixed an issue where Town NPCs would try to sit on Dynasty Chairs (they shouldn't be able to)
	
Version 1.4.1 Changes -------------------------------------------------------------------------------------------

I. Terraria 1.4.1 New Content and Content Changes:

A. New Content and Changes
	Added the winners of the Terraria Vanity Contest:
		Plaguebringer
		Wandering Ronin
		The Timeless Traveler
		Floret Protector
		Capricorn
		Bonus winner: TV Head!
		All six of these are craftable with pre-Hardmode materials of various sorts, so that all players can experience these awesome vanity sets! Thanks to everyone who participated and voted in the Vanity contest, and especially to our winners!
	Added new Achievements
	Added a credit sequence and music track following Moon Lord's defeat for the first time. This can also be accessed from the main menu.
	Music Box (Journey's End) is now created by recording the Credits music sequence. Additionally, using it in a normal accessory slot will play the Credits in-game, while using it in a social slot will only play the music.
	Added a new Princess NPC, with a variety of related items (and a new hairstyle!)
	Added new early game Summon equipment: Flinx Fur Coat and the Flinx Staff!
	Added a new pre-Hardmode whip, craftable at Dungeon-tier
	Added a Lavaproof Fishing Hook + Angler Tackle Bag Tinker
	Bee Hives and Antlion Eggs can now be crafted and placed
	Added a "Rainbow Cursor" vanity accessory

B. Vanity Accessory Changes
	Ultrabright Helmet now supports visible hair when worn
	Armors and vanity items which draw on the back (backpacks, tails, wings, and capes) are now no longer mutually exclusive. This means that you can now have one of any of those four categories all displaying at the same time. Previously, only one of those could ever be visible at a time (for instance, if you had visible wings, you could not ever see a cape, backpack, or tail).
	Combat Wrench now displays on the player regardless of what other backpacks are currently shown (it is its own category of back-draw)
	Angel Halo now functions like Unicorn Horn, in that it will be visible regardless of any other head equipment or vanity that is equipped
	Accessories which draw on the head have also been split into several subgroups, which will allow several of them to be worn simultaneously. For example, Blindfold/Spectre Goggles in the eye slot, Nature's Gift/Obsidian Rose in the "flower" slot and Ginger Beard.
	Blindfold can now be visibly seen when wearing hats/helmets which show the face
	Wearing Diving Helmet-series accessories set to visible will override your helmet, allowing them to be seen instead of your helmet
	Obsidian Skull-series accessories that are set to visible are now compatible with hats/helmets that show the face, as it will replace your face with the skull. Due to the shape of the Skull not fitting standard "Terrarian face" shapes, on certain helmets, it will use a different sprite with a more standard layout. You can also wear virtually all physically compatible Head/Face accessories with the Obsidian Skull as well.
	Ginger Beard has been resprited, and if set to visible, is now compatible with hats/helmets that show the face. It is also now compatible with most other Head/Face accessories.
	Reworked Shield/Cape display so that Shields and Capes are now visually compatible with each other again. The Shield now draws "in front" of the Cape, instead of underneath of it, which led to many of the initial issues.
	Shields which are set to not be visible can still be dyed, and will show that dye when actively used (such as Shield of Cthulhu dash or Brand of the Inferno Block). Previously, if they were set to invisible, their active use version would never have dye.
	Long-player hair is now properly compatible with wings/backpacks, and will show the full length of the hair without being cut-off visually
	The special trails left by various types of running boots (Sailfish, Flurry, Flower, etc) are now also subject to vanity usage, and you can use the one you prefer either through re-ordering accessories or using the social slots
	Bone Glove now has visual vanity for the hand slot

C. Other Content/Design Changes
	The Journey Mode duplication menu has been overhauled, with the addition of several new filters to break up some of the larger categories
	Additionally, the Misc option in the duplication menu should more properly encompass items that do not fall under any other category
	Made minor updates to Boss Mask item sprites to match the mask sprites
	Sprite update for Orange/Amber Phasesaber
	Torch God now plays an Otherworldly track when that setting is toggled
	Bestiary now indicates if a drop is Wave-based/if it only drops after a certain wave in Frost Moon and Pumpkin Moon
	Loading Tips now appear when connecting to a server
	Thunder volume is now adjusted with the Ambient SFX settings rather than regular Sound settings (edited)
	Plantero's Sombrero has made its triumphant return
	Reorganized menu settings for resolution/fullscreen/windowed borderless to all use the same sub-menu, to reduce confusion
	Updated FNA (Mac/Linux related)
	Added RGB support for SteelSeries game peripherals
	Adding updated localization for all languages up to 1.4 (some 1.4.1 content may still be untranslated, and these translations will come in an upcoming hotfix)

II. Terraria 1.4.1 Bug Fixes:

A. Major Issues and Crashes
	Rolling backups should properly fully delete extra files, instead of putting them in the recycle bin
	Fixed an extensive issue relating to Jungle Shrines which causes many other important structures to not generate properly to the east of them, including Living Mahogany Trees and Underground Cabins
	Fixed an issue where player map icons would sometimes cause a crash
	Fixed a rare crash issue relating to mount idle animations
	Fixed some Peripheral lighting related issues, particularly when closing the game
	Fixed an issue where Mac/Linux could not set resolution above 1900x1200
	Fixed the game sometimes indefinitely hanging after closing the game (preventing it from being launched again)
	Fixed a crash that occurred when other programs would prevent Terraria from copying to clipboard
	Fixed an issue that prevented map data from properly syncing with Cloud saving, so maps should reliably update via Cloud Save now

B. Enemy/NPC Bugs
	Fixed an issue with NPCs deciding to stand in escapable water until they drowned
	Fixed an issue where valid day-time completions of Empress of Light would not drop Terraprisma under specific circumstances
	Fixed a rare issue where Eye of Cthulhu, Retinazer, and Spazmatism had a chance to spin forever when changing to their second form
	Fixed an issue where Lunatic Cultist and Martian Saucer would not properly attempt to find a new target if his current target left or died
	Fixed an typo causing Antlion Swarmers to drop 10x too much money
	Fixed an issue where Angry Nimbus could not pass through platforms properly
	Fixed an issue where defeating Queen Slime boosted the power of Town NPCs twice as much as intended, while Empress did not boost them at all
	Fixed an issue where floating enemies (Pixies, Wraiths, Dripplers, Ice Elementals, etc) could not fall through platforms or float up through platforms properly to reach the player
	Fixed an issue where surface wooden Mimics were not capable of spawning naturally anymore
	Fixed an issue where the OOA Tier 2 Goblin Bombers did the damage of Tier 1 Goblin Bombers
	Fixed an issue where Slime Rain slimes would spawn regardless of the Journey mode spawn slider
	Fixed an issue where Flying Dutchman would desync and behave oddly or die spontaneously
	Fixed a syncing issue with Big Mimics that would result in erratic behavior in Multiplayer
	Fixed an issue where Devourer kills on the body or tail didn't count towards banners
	Fixed an issue where "Digging" Truffle Worms no longer appeared on the Lifeform Analyzer
	Fixed an issue where the last Twins to die might not drop their boss bag if you only damaged the other one in multiplayer
	Fixed an issue where Hemogoblin Sharks fall through platforms the player is standing on, failing to walk on them normally
	Fixed some issues with some spider enemies not using all of their animation frames when walking, resulting in stuttering movement
	Fixed an issue where Golem's body parts would appear oddly when spawned if you had too many enemies alive at once
	Moon Lord no longer uses the NPC Smoothing setting to prevent several issues
	Fixed an issue where Torch God would "count torches twice" resulting in the sequence happening too early
	Fixed an issue where Torch God would not lose progress if the player died
	Fixed an issue where some Corruption-invalidated housing would just say "invalid" rather than indicating it was due to Corruption/Crimson
	Fixed some issues with Angry Dandelions targeting the wrong player in MP
	Fixed an issue with Traveling Merchant spawning when time was paused with Journey powers
	Fixed an issue where Ocean critters were spawning on screen
	Fixed an issue where one of Moon Lord's attacks didn't properly attack or move in multiplayer

C. Combat, Gameplay, and Item Usage Bugs
	Fixed an issue where size modifiers on Whips had an inverse effect on speed, meaning big whips were always slow and small whips were always fast
	Fixed Blood Arrows not being considered ranged projectiles (which prevented them from dealing criticals)
	Fixed an issue where Desert Tiger pounce was flagged as a magic attack instead of summon, preventing it from activating Whip debuffs
	Fixed an issue where Golf Cart impact damage did not scale with minion damage like other charging mounts
	Fixed an issue where Horse-type mount impact damage scaled with melee damage instead of minion damage
	Fixed an issue where Lucky Coin money drops on Expert/Master servers would not drop properly
	Fixed an issue where Terraprisma would take too long to return when teleporting far away
	Fixed an issue where Titanium ranged set had an unlisted chance not to consume ammo (it was not meant to have that bonus at all)
	Fixed an issue where certain homing projectiles (Bat Scepter, Bee Gun) would not target Duke Fishron
	Fixed an issue where Hornet, Imp, Tempest, UFO, and Stardust Cell minions did not inflict knockback
	Fixed an issue where Beach Balls had no real movement speed limit, resulting in them getting yeeted like Team Rocket if you hit them with Zenith, never to be seen again
	Fixed some syncing issues with Queen Bee that resulted in erratic charging/teleportation in multiplayer
	Fixed Zenith not having full screen range on Gamepad
	Fixed some hit detection issues with Life Drain
	Fixed an issue where Celestial Starboard would dramatically reduce the distance of dashes used while flying
	Fixed an issue where teleporting from the Snow biome into non-Snow Biome water would inflict Chilled in Expert/Master mode
	Fixed an issue where Snowman Cluster Fragments did not dealing damage or breaking tiles
	Fixed a number of attacks and items that had extreme range, usually due to Golf Ball camera
	Fixed some issues stemming from right-clicking Weapon Racks/Item Frames/Food Platters while actively using the item you were trying to place
	Fixed an issue where the majority of items held visibly in the player's hand would float in weird locations if you pet an animal
	Fixed Smart Cursor Painting having a different slot priority setup than actual Paint Tools, resulting in inconsistent behavior when putting Paint into Ammo Slots
	Fixed (again) the issue where Dart Pistols had two possible Deadly Prefixes
	Fixed an issue where Sanguine Staff and Terraprisma did not properly use Summon Lock On
	Fixed an issue with Valor in Golden Lock Boxes not dropping correctly
	Fixed a rare issue where the Gender button in character creation could break and show up off the UI bar
	Fixed an issue where "dodged" attacks could still result in debuffs on the player
	Fixed an issue where Magic Missile-class weapons could clip through some blocks when in liquids
	Fixed an issue with catching stacked fish (Bombfish, Daggerfish) with a full inventory deleting most of pre-existing stacks
	Fixed an issue where the game would be minimized but stay active under certain circumstances
	Fixed Journey/Expert mode not multiplying debuff times properly

D. Tile, Block and Worldgen Bugs
	Fixed an issue where Bamboo and Wrought Iron Fences would not allow certain trees to grow like other fences
	Fixed a dupe exploit involving sand
	Fixed an issue where mousing over Logic Sensors with Block Swap on could break them
	Fixed an issue where Clentaminator didn't properly convert mushrooms into Vicious Mushrooms
	Fixed an issue where Evil thorns stopped growing after initial worldgen
	Fixed an issue where Surface Mushroom background darkening was requiring too many mushroom blocks to activate
	Fixed an issue where Coral/Shells would regrow overtop of actuated blocks, replacing them
	Re-Fixed an issue where Demon Altars could generate on top of Rolling Cacti
	Fixed an issue with Golf Flags and wind detection
	Ropes no longer merge with Smooth Marble Blocks
	Fixed Crystal Shards not properly syncing when placed in multiplayer, which sometimes caused them to turn into Gelatin Crystals
	Fixed an issue where Jungle and Mushroom vines wouldn't grow underground, and an issue where Jungle Weeds would not turn into tall Jungle weeds
	Fixed some issues with Weapon Racks not properly being removed in multiplayer
	Fixed a long running issue where crafting a grappling hook would temporarily allow it to be used manually (which is not intended), leading to confusion when it stopped working later
	Fixed an issue where falling blocks would de-slope platforms they passed through
	Fixed an issue where Offline Gemspark Blocks did not blend the same way as Online Gemspark Blocks
	Fixed an issue where Hardcore Player Ghosts would prevent tiles from being placed behind them
	Fixed an issue where Sand would duplicate sometimes when falling as a tile
	Fixed some issues with falling blocks where they would land on some tiles they shouldn't land on, and also fixed some syncing issues relating to them turning into an item or not in multiplayer
	Fixed an issue where blue Portal Gun Stations would fire confetti if you tried to use confetti on them
	Fixed Auto-Select choosing confetti when hovering over a Portal Gun Station
	Fixed an issue where pressure plates in world gen would end up floating because they generated on breakable ice
	Fixed Living Mahogany Trees not considering Jungle Grass as Jungle when generating
	Fixed an issue where Boulder Traps would generate embedded in the Temple
	Fixed an issue where you could not build "off" of a beam like other blocks. They were not treated like an adjacent block for the purposes of building.
	Fixed a rare out of bounds issue with pots during world generation
	Fixed a minor tile framing issue with Gnome Statues
	Fixed an issue where Crimsand had no dust when stepping on it
	Fixed an issue where Snow Clouds used a slightly inaccurate dust color when stepping on it
	Stone Platforms are now immune to lava
	Fixed an issue where Dirt Bombs would not cause buried grass to die
	Fixed an issue where Pylon NPC detection only checked for the housing flag, and not the actual NPCs being present near their home.
	Fixed Smart Cursor acting inconsistently with herb placement with pots and planter boxes
	Fixed Mannequins/Hat Racks breaking in MP when bombed
	Fixed some issues with Smart Cursor and pumpkin placement

E. Visual/Art/Sound Issues and Bugs
	Mac/Linux players should now be able to see Vertex Shaders (the trails on Zenith, Terraprisma, Magic Missile, etc)
	Capes and Tax Collector's Suit now properly disable visibility when sitting, rather than showing up awkwardly in the wrong position
	Fixed an issue where Desert Tiger pounce didn't use Summon Dye
	Fixed an issue where multiple Minecarts used the Mount-dye slot instead of the Minecart-dye slot for their dust
	Fixed a sprite positioning issue with 2 of the Etherian Goblin variants
	Fixed a very widespread issue where several dozen armors had a transparent pixel in the armpit
	Fixed a cut-off pixel on the Nebula Workbench
	Fixed a missing pixel in the Zoologist emote
	Fixed an issue where wings would continue to display when the player was dead
	Fixed an issue where Water and Peace Candles would generate dust that behaved unusually when the player was on ropes
	Fixed some stray pixels in the Hallowed Palm Potted Plant
	Fixed Corrupt Torches making snow dust instead of Corrupt dust
	Fixed an issue where Goldfish Bowl helmets were one pixel too high while flying
	Fixed a stray pixel in the Goldfish Bowl helmet
	Fixed the Crimson Capture setting using Blood Moon water instead
	Fixed an odd pixel on one of the frames of the Gnome tile
	Fixing an issue with the Palm Armor sprite
	Fixed an issue where Mystic Snake Coil's pot would disappear when in certain positions
	Fixed an issue where parts of the player's body would be in the wrong position when in reverse gravity
	Fixed an issue with some tiles ignoring Illuminant Paint
	Fixed an issue where several new banners had item sprite that used the full sized tile sprite instead of the smaller item-sized version
	Stardust Guardian now stops showing its attack animation when the game is paused
	Fixed a number of SFX issues with Martians
	Fixed an issue where audio tracks were being compressed at 60% quality instead of 100%. Potentially most detectable in the Underground Desert track.
	Music Boxes should no longer play music when music volume is at 0
	Fixed an issue with light not spreading properly under some circumstances
	Fixed an issue where a Crimson background would cut off under specific circumstances
	Fixed an issue where background hellbats would be visible with backgrounds off
	Fixed an issue with Tree top framing
	Fixed an issue where some minions and pets would flip back and forth rapidly while holding out kites
	Fixed an issue where the Angel Halo wasn't fading with stealth, and would float in place if you died and opened the settings menu
	Fixed Tea and Coffee's sprites not being centered properly
	Fixed an issue where invisible characters had bald map icons
	Fixed an issue where invisible inner tubes caused visual issues on the body
	Fixed an issue where various coins did not use the correct color sparkles
	Fixed issues with long coat extensions when sitting
	Fixed some issues with Vine/Seaweed draw tiles not rendering properly when taking screenshots
	Attempted fix to an issue where Magic Missile-class items would sometimes visually "spike" towards the upper left corner. As this only happens to some users, and we do not know why and cannot reproduce it, we aren't sure if the fix was successful, so please feel free to report if it is continuing.

F. UI, Menu, and Journey Power Bugs
	Fixed an issue where Guide Crafting/Tinkerer Reforge slots were not linked to the player
	Fixed an issue where Celestial Pillar health bars would exceed the health bar meter due to changing difficulty in Journey mode
	Fixed Red Squirrel Cage not using the proper map mouseover text
	Fixed Peace Candles not having a mouseover icon like other Candles
	Fixed an issue where boss minimap icons didn't change direction based on the boss's direction like it used to
	Mana Cloak Star is no longer researchable (as it should never be obtainable in the first place)
	Fixed an issue where Eye color wouldn't always randomize during character creation
	Fixed an issue where Quick Stack to Nearby Chests would not respect whether your coins were favorited or not
	Fixed an issue for Journey mode sliders maxing out if you closed them while sliding
	Fixed rain starting on its own while time was paused with Journey powers
	Fixed several visual Sky-based effects failing to change properly when time was paused with Journey powers
	Fixed rain failing to visually start/stop when time was paused with Journey powers
	Fixed an issue where invasions would be announced, but would never arrive, when time was paused with Journey powers
	Fixed an issue where the Journey Menu hotkey did not work when autopause was on
	Fixed an issue where the game did not autopause in the Keybindings menu
	Fixed an issue where Journey Enemy Spawn rate slider would not visually go below 0.1x in multiplayer
	Fixed an issue where some text search boxes had no limit
	Fixed an issue where Fungi Bulbs did not properly indicate in the Bestiary that they spawn in the Surface Mushroom biome
	Fixed an issue where Hover Control preference was not actually saved
	Fixed an issue where windowed full screen did not stay maximized on relaunch
	Fixed an issue where opening settings interrupted any current movement inputs in multiplayer, even though you can still move in the settings menu
	Fixed a spacing issue on the ingame options menu that sometimes allowed for toggling two options at once by accident
	Fixed Torch God's Favor button breaking builder accessory input on Gamepad
	Fixed Gamepad not being able to open the Controls menu
	Fixed double inputs for some ingame options, notably Autosave/Autopause
	Torch God's Bestiary Entry now properly unlocks in single player when you use the favor item, and when a player first joins a world with favor already active
	Torch God's Bestiary Entry now lists Caverns and Underground as biome tags

G. Text, Tooltips and Dialogue Bugs
	Fixed some tooltips that used "crit chance" instead of critical chance
	Fixed an issue where one of the Cat pet names was missing, and one of the Cat pet names was split into two different names
	Fixed an issue where Tax Collector's were twice as likely to be named Agnew than they should be
	Fixed a few dated and no longer accurate loading tips
	Fixed some legacy dialogue lines from Demolitionist about "ebonrock", and gave it a Crimson-compatible alternate
	Fixed a variety of minor text and grammar issues, primarily in Bestiary or NPC Dialogue
	Fixed minor text issues with achievement descriptions
	Fixed an issue with several asset files having inconsistent capitalization (which causes some issues for some Linux users). This may require reinstalling Terraria to fix, if it is causing said issues, as Steam does not automatically replace the files just due to capitalization, and we have not found a way to force it to do so.
	Fixed an issue where the favorites file could not support some characters and symbols in world/player names

H. Server Issues/Multiplayer Specific Issues
	Fixed an issue where generating a world with the dedicated server would not respect the length limits of world names/seeds
	Fixed an issue where generating a world with the dedicated server would not properly work with special seeds
	Fixed an issue where worlds generated from the dedicated server were sometimes corrupt (unplayable, not the biome) on creation
	Fixed an oversight allowing you to set maxPlayers to over 255 or under 1 with the server config
	The Liquid Spam setting should now properly increment up to a kick, instead of instantly kicking a player when they place any liquid
	Fixed an issue where the server would endlessly try to shove items into the player's pockets if they don't pick the items up
	Fixed an issue where spawn points on the very rightmost edge of a map not functioning properly in Multiplayer


III. Terraria 1.4.1 Balance Changes

A. Melee Weapons

	Terra Blade and the True Swords Tier/Source
	Terra Blade and the True Swords have been somewhat overhauled in both crafting and function. Note: Mothron now only spawns after Plantera. As a result, the Broken Hero Sword is post-Plantera only.

	True Night's Edge
	Projectile damage now does 1.5x of the base damage
	Is now autoswing
	Is now crafted with the Night's Edge + some of all 3 boss souls. No longer requires a Broken Hero Sword.

	True Excalibur
	Increased damage from 66 to 70
	Is now autoswing
	Projectile now pierces once, hitting up to 2 enemies
	Is now crafted with the Excalibur + Chlorophyte Bars. No longer requires a Broken Hero Sword.

	Terra Blade
	Damage increased from 95 to 115
	Use time decreased from 16 to 14
	Projectile damage increased from 1.25x to 1.5x of the base damage
	Is now crafted with the two True Swords and a Broken Hero Sword

	Beam Sword
	Scale increased from 1f to 1.3f (this makes the sword itself larger)

	Brand of the Inferno
	Scale increased from 1.15f to 1.3f (this makes the sword itself larger)

	Sunfury
	Base damage decreased from 35 to 32. As normal swings deal double with flails, the standard expected damage should be reduced from 70 to 64.

	Arkhalis
	Damage increased from 20 to 25
	Now ignores up to 20 enemy defense

	Chain Guillotine
	Damage increased from 43 to 59

	Ghastly Glaive
	Immune frame duration reduced from 36 to 20. In effect, this means that the spear itself can hit more often, including more easily within a single swing.

	Anchor
	Damage increased from 55 to 70
	Knockback increased from 5 to 8

	Sergeant United Shield
	Damage increased from 60 to 80
	Damage reduction for each target hit reduced from 30% to 20%

	Scourge of the Corruptor
	Damage increased from 64 to 70
	Damage of Mini-Eaters increased from 70% to 75% of the base damage

	Yoyos (Revisions to 1.4 Changes)
	The balance changes made to Chik, Amarok and Helfire in 1.4 are being reverted
	The changes made to Code 2, Amazon, and Kraken are NOT being reverted/adjusted
	Gradient's damage increased from 44 to 49
	Format C's damage increased from 35 to 39

	Light's Bane
	Damage increased from 17 to 18

	Muramasa (How ya doin' Muramasa?)
	Damage increased from 21 to 26
	Knockback increased from 2.5 to 3

	Fiery Greatsword
	Damage increased from 36 to 40

	Beekeeper
	Reverting the changes made to Beekeeper in 1.4

	All Phaseblades
	Damage increased from 21 to 25

	Night's Edge
	Use time decreased from 27 to 21
	Is now autoswing

	Bananarangs
	Use time decreased from 14 to 11
	Increased both the projectile speed and the return speed of the Bananas

	Thorn Chakram and Flamarang
	Increased both the projectile speed and the return speed of the projectiles, with Flamarang being the faster of the two

	Sleepy Octopod
	Damage increased from 40 to 50
	Increased hit radius/size of the attack by 35%

	Flying Dragon
	Damage increased from 90 to 180.
	Projectiles which the player does not have line of sight on (as in, shooting through walls) now deal half damage (in this case, 90, the original damage)

	Sky Dragon's Fury
	Damage increased from 70 to 140
	Projectile damage decreased from 75% of base damage to 50% of base damage. This means instead of doing 52 (75% of 70) it will do 70 (50% of 140)

	Starlight
	Damage increased from 70 to 80
	Now has a bonus critical chance of 10%

	Daybreak
	Projectiles now explode when expiring, or upon hitting a wall. The explosion does an additional 100% weapon damage, and can hit nearby enemies as well.

B. Ranged Weapons and Ammo

	Onyx Blaster
	Damage decreased by 4
	Use time increased from 45 to 48

	Quad-Barreled Shotgun
	Damage decreased from 24 to 17
	Projectile count increased from 4 to 6
	Use Time increased from 45 to 55
	The Arms Dealer now only sells this after Skeletron

	Stake Launcher
	Use Time decreased from 26 to 12
	Applies a 10% damage penalty to the next hit for each enemy a projectile pierces

	Blowpipe
	Use Time decreased from 45 to 25
	Increased Seed (Ammo) damage from 3 to 4

	Jack 'O Lantern Launcher
	Use Time decreased from 30 to 25
	Exploding Jack 'O Lanterns (Ammo) damage increased from 30 to 60

	Dart Gun/Dart Rifle (Revision/re-assessment of 1.4 changes)
	The balance changes made to the Dart Gun and Dart Rifle in 1.4 are being reverted
	However, the changes made to the ammo (Crystal, Cursed, and Ichor) are being left as-is

	Tsunami
	Damage decreased from 60 to 53

	Nano Bullets
	Can now bounce once, and will "Smart Bounce" at a nearby target if one is in range
	Post-bounce bullets only deal 66% damage

	Beenades
	Damage reduced from 14 to 12

	Bone Arrows
	Damage increased 6 to 8

	Chlorophyte Bullets
	Damage decreased from 10 to 9

	Cursed Bullets
	Increased speed to match Ichor Bullets
	Also, see Debuffs section for details of Cursed Inferno changes

	Meteor Shot
	Damage decreased from 9 to 8
	Reworked the immunity time system of Meteor Shot so rapid fire/shotgun-type weapons using it are unlikely to result in bullets missing due to immune frames

	High Velocity Bullets
	Damage increased from 10 to 11
	Projectile now pierces twice, hitting up to 3 enemies
	Applies a 15% damage penalty to the next hit for each enemy a projectile pierces
	Immunity time system matches the revised Meteor Shot; rapid fire weapons using HV Bullets should not have issues with immune frames

	Crystal Bullets
	Only generate 2 shards on impact instead of 3

	Jester Arrows
	Applies a 10% damage penalty to the next hit for each enemy a projectile pierces

	Unholy Arrows
	Applies a 5% damage penalty to the next hit for each enemy a projectile pierces

C. Magic Weapons

	Life Drain
	Damage increased from 30 to 35
	Like Medusa Head, should now no longer consume mana when being used but not hitting anything

	Nightglow
	Mana cost decreased from 26 to 23
	Projectiles can now bounce, improving their performance against enemies on the ground (instead of causing the projectiles to break when impacting the floor)

	Shadowbeam Staff
	Damage increased from 53 to 60
	Use time decreased from 16 to 15
	Damage reduction for each target hit reduced from 20% to 10%

	Unholy Trident
	Damage increased from 73 to 88
	Applies a 10% damage penalty to the next hit for each enemy a projectile pierces

	Poison Staff
	Ranged increased slightly, from roughly 30 to 37 blocks

	Venom Staff
	Ranged increased slightly, from roughly 45 to 58 blocks

	Medusa Head
	Range of effect increased by 25%

	Crystal Vile Shard
	Now ignores up to 10 enemy defense

	Nettle Burst
	Now ignores up to 10 enemy defense

	Wasp Gun
	Wasps now ignore up to 10 enemy defense

	Razorblade Typhoon
	Previously, this weapon fired two projectiles for every use, consuming mana only once. Now it only fires one projectile for the same mana cost and use time.
	However, that projectile now deals 50% more (increased from 60 to 90)

	Magical Harp
	Damage increased from 32 to 42
	Knockback increased from 0 to 0.25 (in other words, it now has knockback)
	Mana cost increased from 4 to 5
	Applies a 5% damage penalty to the next hit for each enemy a projectile pierces

	Blood Thorn
	Damage increased from 29 to 34
	Each projectile can now hit a third time (previously they could only hit twice)
	Reworked the immunity time system for this projectile so that it hits more often, conflicting with itself less
	Use Time increased from 21 to 33

	Magic Missile
	Use Time decreased from 18 to 22
	Mana cost increased from 12 to 14

	Flamelash
	Damage decreased from 36 to 32
	Mana cost increased from 18 to 21

	Flower of Fire
	Use Time decreased from 20 to 16
	Mana cost decreased from 15 to 12

	Space Gun
	Damage decreased from 19 to 17
	Mana cost decreased from 7 to 6

	Charged Blaster Cannon
	The player can now aim the beam when it is in the full beam mode

	Betsy's Wrath
	Damage increased from 65 to 110

	Stellar Tune
	Damage increased from 75 to 85

D. Summoning Weapons

	Whips Damage Penalty on multiple targets
	Whip Damage penalty per target struck has been reduced for most whips
		Cool Whip's damage penalty is reduced from 33% to 30%
		Durendal's damage penalty is reduced from 30% to 20%
		Morning Star's damage penalty is reduced from 25% to 5% (due to its heavy hitting nature, it's almost absent)
		Dark Harvest's damage penalty is reduced from 30% to 10%
		Kaleidoscope's damage penalty is reduced from 15% to 10%

	Whip Range
	Every whip (except for Leather Whip) has had a range increase
	This increase is the smallest with earlier whips (Snapthorn only roughly 10% longer) and larger with later whips (several late game whips have a roughly 50% increase)

	Whips + Flasks
	Whips can now gain the benefits of Flask buffs

	Leather Whip
	Is now purchasable from the Zoologist at 10% completion instead of 15%, as 15% too often left it more efficient to just sequence break to the Jungle to obtain Snapthorn

	Finch Staff
	Finch should now be somewhat more reliable/accurate with hitting its targets. However, due to how early it is obtained, it is intentionally a little inaccurate, as this is part of its balancing.
	Enemies knocked back by Finches should almost always be knocked away from the player now, regardless of the angle of the Finch

	Optic Staff
	Technically a bug, but Retinamini's lasers were accidentally not set to use independent immunity timers, which meant that they were still conflicting with other piercing attacks, while the 1.4 changelog had indicated otherwise. This has been fixed, which should result in less immune-frame time for Retinamini lasers.

	Sanguine Staff
	The attack speed of Sanguine Bats has been increased from 60 to 66 (this is how long it takes to make their attack circuit)

	Xeno Staff
	Fire rate cooldown increased from 30 to 33 (roughly 10% slower attack speed)

	Tempest Staff
	Fire rate cooldown decreased from 60 to 50 (roughly 20% faster attack speed)
	Projectile Speed of the Sharkrons increased from 14 to 20
	Movement speed of the Tempests themselves increased by 50%, so they can chase after enemies more quickly

	Hornet Staff
	Damage increased from 9 to 11

	Vampire Frog Staff
	Damage increased from 11 to 13
	Enemies can now be damaged by their entire body, not just the tongue, when they are attacking
	Like with Optic Staff, this was technically a bug, but Vampire Frogs were not set to use independent immunity timers like most other minions. This has been remedied, so they should no longer interfere with other piercing projectiles.

	Pygmy Staff
	Projectile speed increased from 12 to 18 (with additional adjustments made to their fall rate to keep it consistent)
	Increased the range at which Pygmies will fire their spears by roughly 40%

	Desert Tiger Staff
	Base damage increased from 33 to 41
	Hitbox size while using the special attack increased to reduce the situations where it misses while using it

	Frost Hydra Staff
	Projectile now pierces twice, hitting up to 3 enemies
	Applies a 15% damage penalty to the next hit for each enemy a projectile pierces

	Explosive Trap Staff
	Increased explosion size and detection for said explosion by 50%
	Reduced the explosion cooldown from 110 to 90
	Reduced the Huntress/Riding Hood special set cooldowns from 74 to 60 and 40 to 30, respectively
	For more information about changes to the Oiled debuff, see the Buff/Debuff section

	Kaleidoscope
	Damage increased from 165 to 180

E. Armor

	Cactus Armor
	Removed the 1 Defense set bonus.
	New set bonus: Cactus Armor now deals a flat 15 Thorns damage. This damage is multiplied to 30 and 45 respectively in Expert and Master mode.

	Mining Armor
	Increased the drop rate of Mining Shirt and Mining Pants from 2.4% to 12%. That's not a typo!

	Gladiator Armor
	Increased the defense of the Helmet and Leggings by 1
	Increased the defense of the Breastplate by 2
	New set bonus: Players wearing the full Gladiator set are immune to knockback
	Increased the drop rate from a 1/20 chance to drop a random piece to a 1/7 chance

	Fossil Armor
	Increased defense of Helmet and Greaves from 2 to 4
	Increased Ranged critical chance on Helmet and Greaves from 3% to 4%
	Increased defense of Plate from 4 to 5
	Replaced the 3% Ranged critical bonus on the Plate with a 5% Ranged damage bonus

	Wizard Hat
	Magic damage decreased from 15% to 5%
	Defense increased from 2 to 4

	Magic Hat
	Magic damage/critical chance bonus decreased from 7 to 6

	Meteor Armor
	Increased the Magic damage bonus on each piece from 7% to 9% (21%->27% total)
	(Cross-listing from Magic section) Space Gun's damage decreased by 2, and its mana cost reduced by 1

	Jungle Armor (And Ancient Cobalt Armor)
	Increased the Magic critical chance bonus on the Hat and Pants from 4% to 6%
	Replaced the 4% Magic critical bonus on the Shirt with a 6% Magic damage bonus

	Necro Armor
	Decreased the set bonus Ranged critical chance from 15% to 10%
	Increasing defense of each piece by 1 (3 total) Included Ancient Necro Helmet

	Obsidian Armor
	Converted the Obsidian Armor into a Whip-centric Summoner armor
	Obsidian Armor set pieces can now only be crafted at a Hellforge, and requires Shadow Scales/Tissue Samples
	Obsidian Outlaw Hat now gives 9% Summon damage
	Obsidian Longcoat now gives +1 Minion count
	Obsidian Greaves now give 9% Summon damage
	New Set bonus: Increase Whip Range and Speed by 50%. Additionally, gain another 25% Summon damage (43% total across the entire set)
	Note: This set will deal very high summon damage, but at the expense of a lower minion count. Instead, it focuses on dramatically improving the performance and damage of whips, and can still be obtained earlier, or as an alternative, to Bee Armor, but it may require a bit more legwork to obtain the set, given its new crafting station requirement.

	Molten Armor
	Molten Helmet now gives 7% Melee Critical Chance
	Molten Breastplate now gives 7% Melee Damage
	Molten Leggings now give 7% Melee Speed
	The 17% Melee Damage set bonus has been reduced to 10% (the 7% moved to the Breastplate)
	New Set bonus: Players wearing the full Molten set cannot be inflicted with the On Fire debuff. This is in addition to the pre-existing 10% damage bonus.

	Cobalt Armor
	Cobalt Breastplate Critical Damage increased from 3% to 5%
	Cobalt Leggings Defense increased from 7 to 8
	Added a 3% Damage bonus to the Cobalt Leggings
	Cobalt Helmet (Melee) Defense increased from 11 to 12
	Cobalt Helmet Movement Speed increased from 7% to 10%
	Cobalt Helmet Melee Speed bonus (12%) changed into a Melee Damage Bonus (15%)
	Cobalt Mask (Ranged) Critical Chance increased from 6% to 10%
	Added a 10% Magic Damage bonus to the Cobalt Hat (Magic)

	Palladium Armor
	Reduced the potency of the healing set bonus from 6 to 4
	Palladium Mask (Melee) Damage bonus increased from 8% to 12%
	Palladium Headgear (Magic) Damage bonus increased from 7% to 9%
	Palladium Headgear Damage bonus increased from 7% to 9%

	Mythril Armor
	Mythril Chainmail Damage bonus increased from 5% to 7%
	Mythril Greaves Critical chance increased from 3% to 10%
	Mythril Helmet (Melee) Critical chance increased from 5% to 8%
	Mythril Melee set bonus increased from 5% to 10% Critical Chance

	Orichalcum Armor
	Orichalcum Mask (Melee) Damage bonus increased from 7% to 11%
	Orichalcum Mask Melee Speed bonus increased from 7% to 11%

	Adamantite Armor
	Adamantite Breastplate Damage bonus increased from 6% to 8%
	Adamantite Leggings Critical bonus increased from 4% to 7%
	Adamantite Melee Set Bonus (Melee/Movement Speed Boost) increased from 18% to 20%
	Adamantite Mask (Ranged) Critical chance increased from 8% to 10%
	Adamantite Headgear (Magic) Damage increased from 11% to 12%
	Adamantite Headgear Magic Critical chance increased from 11% to 12%

	Titanium Armor
	Titanium Mask (Melee) Damage/Critical/Speed bonus increased from 8% to 9%

	Frost Armor
	Frost Armor's Set Bonus now gives an additional 10% Melee/Ranged Damage
	Frost Armor's Set Bonus now inflicts a special version of On Fire that deals 25 DPS instead of 8

	Forbidden Armor
	Forbidden Robes now have a 10% Summon Damage bonus
	Forbidden Treads now have a 10% Magic Damage bonus

	Chlorophyte Armor
	Decreased the cooldown on the Leaf Crystal shot from 50 to 40

	Spectre Armor (Mask)
	Increased the Magic Damage/Critical Chance bonus from 5% to 10%
	Increased the limit on how much burst damage can be dealt by the set bonus at once from 1000 to 1500
	The "recovery rate" that determines how many new projectiles can be generated over time has increased from 250 to 400 (it was increased from 150 to 250 in 1.4)

	Spectre Armor (Hood)
	Note: Statistically speaking, this set has not changed! This is merely a re-organizing of stat changes and tooltip revision to be more clear to players
	The -40% damage penalty has been moved from the Spectre Hood itself (which now gives no bonuses at all, either positive or negative) and now comes from the Set Bonus
	The tooltip on the set bonus now attempts to be more clear about the fact that you are trading offensive power for healing benefits. Hopefully, this will lead to less confusion in the future about why this set works the way it does.

	Crystal Assassin Armor
	Added 10% Mana Cost reduction to the Hood
	Added 10% Ammo Cost reduction to the Shirt
	Added 10% Melee Speed increase to the Pants
	Removed the 15% Movement Speed increase Set Bonus, but increased the Movement bonus on the boots from 10% to 20% (only 5% loss)
	New Set Bonus: Players wearing the full Crystal set can now Dash

	Squire Armor
	Decreased Greaves Melee Critical chance from 20% to 15%

	Monk Armor
	Increased Pants Melee Critical chance from 10% to 15%

	Huntress Armor
	Added +10% Ammo Cost Reduction to the Jerkin

	Apprentice Armor
	Added +10% Magic Damage on Helmet

	Valhalla Knight Armor
	Added +10% Melee damage on helmet
	Decreased Greaves Movement Speed bonus from 30% to 20%

	Shinobi Infiltrator Armor
	Increased Pants Movement Speed bonus from 20% to 30%
	Added +5% Melee Critical chance on Torso

	Red Riding Armor
	Added +10% Ranged Critical chance on Leggings
	Added +20% Ammo Cost Reduction on Dress

	Dark Artist Armor
	Added +20% Movement Speed Bonus on Leggings
	Added +15% Mana Cost Reduction on Robes
	Moved 5% of the Minion/Magic Damage from Robes to Hat

F. Accessories

	Band of Regeneration/Charm of Myths
	Increased healing gain from 0.5 HP per second to 1 HP per second

	Band of Starpower/Panic Necklace
	(Cross-listing from Crafting Changes) Band of Starpower and Panic Necklace are now more easily available in all worlds. They can be crafted in a Graveyard at a Tinkerer's Workshop, by taking one of them and combining it with a Life or Mana Crystal. Band of Starpower + Life Crystal = Panic Necklace. Panic Necklace + Mana Crystal = Band of Starpower.

	Bone Glove
	This item has been completely overhauled and turned into an accessory
	When equipped, the player will shoot Crossbones towards their cursor whenever they are attacking, once per second. Consider it like a sword projectile, except it works for every weapon.
	The bones deal 25 class-neutral damage, but additionally ignore up to 25 enemy defense.
	Now also has vanity visibility in the Gloves spot
	Note: In practice, this should allow the Bone Gloves to be simultaneously viable for more classes than just Ranged, and also give it a bit more longevity

	Brain of Confusion
	Reduced the Critical chance bonus of the Mind Trick buff from 20% to 10%.
	Reduced the duration of Mind Trick by 1 second

	Celestial Cuffs
	Now has the +20 mana bonus that its component accessories granted

	Diving Helmet and all of its tinkers
	Increased the breath capacity bonus by 50%

	Feral Claws and Titan Glove
	Moved the "gives autoswing for Melee weapons" perk to Feral Claws, making it available earlier for players. This perk still continues up the tinker chain, it is simply no longer present on Titan Glove specifically
	Titan Glove now has a new perk that increases the size of (eligible) melee weapons by 10%. This perk is also present on all of its tinkers; however, the effect does not stack.

	Fledgling Wings and Lucky Horseshoe
	The Lucky Horseshoe is no longer found in Sky Chests, and has been added to the underground Gold Chest loot pool
	In its place, Fledgling Wings have been added to Sky Chests and Sky Crates

	Flesh Knuckles/Berserker Gloves
	Defense increased from 7 to 8

	Fire Gauntlet
	Increased the 10% Damage and Melee Speed bonus to 12%
	Gains the new benefit added to the Titan Glove (see Titan Glove)
	Gains the new benefit added to the Magma Stone (see Magma Stone)

	Hero Shield
	Defense increased from 7 to 10
	Honeycomb (and Bee Cloak, Honey Balloon, Stinger Necklace, and Sweetheart Necklace)
	The base damage of the Bees generated by these has been increased from 7 to 13. If using a Hive Pack, this damage is 18.
	This damage is multiplied by 1.5x in Expert mode, and 2x in Master mode
	Additionally, if hit while wearing any of these accessories, the player gains the Honey buff for 5 seconds

	Jellyfish Necklace and all of its tinkers
	Now lets off an extremely faint glow when out of water (less than the Shadow Orb light pet)
	Dramatically increased the brightness when in water

	Lava Charm
	Doubled its spawn rate, giving it a 1/20 chance to be found in Lava-layer chests or Lava fishing crates

	Magma Stone
	Now inflicts a special version of On Fire that deals 15 DPS instead of 4

	Molten Quiver
	Technically a bug fix, but Wooden Arrows converted to Flaming Arrows by using this accessory now properly gain the +2 damage that Flaming Arrows have. This bonus is only applied to Wooden Arrows, if using the Quiver with superior arrows it will not apply the bonus (as it would be using the superior damage bonus of those arrows instead)

	Obsidian Rose
	Increased the lava damage reduction from 30 to 45. This change applies to all of its tinkers, however, as a consequence, lava damage has been moved to its own immunity timer, as the change would allow lava to very easily be reduced to 1 damage with the proper loadout.
	Is now a component in the Lava Waders, extending its lava damage reduction to the Lava Waders, Hellfire Treads, and Terraspark Boots. This change is retroactive for people who have already crafted those items, of course!

	Panic Necklace/Sweetheart Necklace
	Increased duration of the Panic! buff from 5 to 8 seconds

	Pygmy Necklace
	Is now sold by the Witch Doctor in pre-Hardmode, giving summoning accessories some earlier-game accessibility (he still only sells it at night, however!)

	Star Cloak, Bee Cloak, Star Veil, and Mana Cloak
	The base damage of the Stars generated by these accessories has been increased from 30 to 75. In addition, these stars will ignore up to 25 enemy defense.
	This damage is multiplied by 2x in Expert mode, and 3x in Master mode (the defense penetration remains unchanged)
	Now uses local immune frames, will not interfere with other piercing projectiles


G. Tools and Mounts

	Reaver Shark
	Use time decreased from 18 to 13

	Bone Pickaxe
	Drop rate increased from 2% to 5%

	Chlorophyte Jackhammer
	Included this item in the Drill/Chainsaw mechanics overhaul. It now has increased speed at the expense of range

	Mechanic's Rod
	Fishing power increased from 30% to 35%
	Now sold by the Mechanic as soon as she can be rescued, not just in Hardmode
	Is now available every other moon phase, rather than only a single moon phase

	Fiberglass Fishing Pole
	Fishing power increased from 27% to 30%
	Increased odds of finding it in a chest from 1/30 to 1/15

	Scarab Fishing Rod
	Fishing Power increased from 25% to 30%

	Sitting Duck Rod
	The Traveling Merchant will now only sell this after Skeletron has been defeated

	Living Wands
	The Living Wood Wand and Leaf Wand have a 1/300 chance of being dropped from TreeHit purity forest trees, offering a rare but renewable source of them
	The Living Mahogany Wand and Rich Mahogany Leaf Wand have a 1/200 chance of being dropped from TreeHit Jungle Trees

	Black Spot
	Top speed and acceleration decreased dramatically. Previously its top speed was higher than the UFO mount, but now it is less.
	Can no longer dash-into-mount to instantly reach top acceleration

	Scutlix Mount
	There was an unlisted change in 1.4 that dramatically reduced the range of the Scutlix mount's attack. This was a performance change, not a balance change, and cannot be fully reverted as a result.
	However, the reduced range (500) was able to be increased to 850 without reintroducing performance issues.
	Additionally, to compensate for the lost range, the damage of the Scutlix shots has been increased from 100 to 150

	Dark Mage's Tome
	This mount now steps up slopes and 1-block tiles like the Flying Carpet

	Witch's Broom 
	Slightly increased speed values so that it is a minor upgrade over the UFO Mount (since it is Expert exclusive)

	Flamingo Mount
	Top speed decreased from 7.5 to 6

	Pre-Hardmode Horse Mounts (Dusty Rawhide, Royal Gilded, and Black Studded Saddles)
	Top speed increased from 8 to 9

	Jewel of Light and Pumpkin Scented Candle (Light Pets)
	Brightness increased by roughly 50%

	Suspicious Looking Tentacle (Light Pet)
	Brightness increased by roughly 33%

H. Crafting Recipes and Drops

	Blood Rain Bow, Chum Caster, and Vampire Frog Staff
	Previously, killing a Wandering Eye Fish or a Zombie Merman had a flat 1/8 chance for the game to select ONE of the three items to drop, and it would only drop one. This has been changed so that each of the three items has their own independent 1/8 chance to drop. This means that you could potentially get more than one drop at once, and the three are no longer competing with each other, effectively increasing their drop rate by 3x.

	Bloody Tear
	Increased drop rate from 1/200 to 1/100 for standard Blood Moon enemies
	Increased drop rate from 1/200 to 1/25 for Blood Moon fishing enemies (Eyeball Fish, Zombie Merman, Blood Eel, Hemogoblin Shark)
	Increased drop rate from 1/9 to 1/5 for The Groom and The Bride
	Increased drop rate from 1/9 to 1/2 for Dreadnautilus. In Expert/Master, this drop rate is 100%.

	Sanguine Staff
	Increased drop rate from 1/5 to 1/2 for Dreadnautilus. In Expert/Master, this drop rate is 100%.

	Blade Staff
	Now drops from Queen Slime instead of Enchanted Swords

	Kites (From Balloon Slimes)
	Kites dropped from Balloon Slimes are roughly 3x more likely to drop. Paper airplanes are mostly the same, but now drop in small stacks

	Bone Serpent Kite
	Drop rate increased from 4% to 6%

	Sturdy Fossil
	Tomb Crawlers now have a chance to drop small amounts of Sturdy Fossil
	Oasis/Mirage Crates now have a chance to include Sturdy Fossil

	Valor/Muramasa and Golden Lock Boxes
	(Technically a bug) fixed an issue where Muramasa had twice the odds of dropping from a Golden Lock Box compared to other items
	Valor can now be found from Golden Lock Boxes

	Torches
	Jungle Torches now have a more efficient recipe, giving more torches per Jungle Spore
	If you have less than 20 torches at any point, you have an increased chance to get torches when breaking pots

	Mana Crystal
	In light of the increased spawn rate of Falling Stars in 1.4, the crafting recipe for Mana Crystals has been increased from 3 to 5 Fallen Stars

	Early Game Ore Tools, Weapons, and Armor
	The cost of making early game Ore equipment has been re-evaluated across the board with cost reductions to most items. This applies to Copper, Tin, Iron, Lead, Silver, Tungsten, Gold, and Platinum
	Pickaxes have had their crafting costs reduced from 12 to 10. Copper/Tin Pickaxes have been reduced to 8.
	Axes have had their crafting costs reduced from 9 to 8. Copper/Tin Axes have been reduced to 6.
	Broadsword crafting costs are generally unchanged, but Copper/Tin Broadswords have been reduced from 8 to 6
	Shortswords have had their crafting costs reduced from 7 to 6. Copper/Tin Shortswords have been reduced to 5.
	Hammers have had their crafting costs reduced from 10 to 8.
	Bows have NOT had their crafting costs changed.
	Copper and Tin Armor's costs (ordered from Helmet>Chest>Legs) have been reduced from 15/25/20 Bars to 12/20/16 Bars
	Iron and Lead Armor's costs have been reduced from 20/30/25 to 15/25/20
	Silver and Tungsten Armor's costs have been reduced from 20/30/25 to 15/25/20
	Gold and Platinum Armor's costs have been reduced from 25/35/30 to 20/30/25

	Hardmode Ore Swords
	The crafting cost for Cobalt and Mythril Swords has been reduced from 10 to 8 Bars
	The crafting cost of Palladium and Orichalcum Swords has been reduced from 12 to 10 Bars
	The required bars to craft Adamantite and Titanium Swords has not changed, but see the next section for more info

	Adamantite/Titanium Bars
	The crafting cost of Adamantite/Titanium Bars has been reduced from 5 to 4 Ore. Subsequently, this reduces the cost of all Adamantite/Titanium armor, weapons, and tools

	Jester Arrows
	The crafting efficiency per Fallen Star has been reduced by half. You now get 10 arrows per star rather than 20.

	Super Star Shooter
	Rather than being sold randomly from the Traveling Merchant, this weapon is now crafted with the Star Cannon and Hallowed Bars

I. Buffs/Debuffs

	Frostburn
	"Player" Frostburn now does 8 DPS like "Enemy" Frostburn

	Cursed Inferno
	Technically a bug fix: 1.4 purported to increase Cursed Inferno damage from 12 to 24, but this was in error due to misreading the code. In truth, this was an increase from 6 to 12. This has now been remedied, and Cursed Inferno now properly does 24 DPS. However, player-based Cursed Inferno has NOT been increased correspondingly, so they will still take 12 DPS.

	Venom
	Technically a bug fix: 1.4 purported to increase Venom damage from 12 to 30, but this was in error due to misreading the code. In truth, this was an increase from 6 to 15. This has now been remedied, and Venom now properly does 30 DPS. However, player-based Venom has NOT been increased correspondingly, so they will still take 15 DPS.
	Venom has been renamed to "Acid Venom". This is to reflect a dramatic overhaul to its enemy immunity. Enemies who are immune to Poison are no longer necessarily immune to Acid Venom, and Acid Venom will now usually impact undead, stone, metal, and poisonous enemies.

	Ichor
	Defense reduction has been reduced from 20 to 15

	Oiled
	Rather than individually boosting different OnFire-like debuffs with, admittedly arbitrary amounts, Oiled now adds an additional flat 25 DPS if the target is suffering from any of these debuffs. For example, if the target is On Fire (4 DPS), it will take 29 total if Oiled.

	Thorns Potion
	The Thorns effect from this potion has been increased from 1/3rd of the damage taken to 100% of the damage taken

	Dryad's Blessing
	The Thorns effect from this buff has been increased from 20% of the damage taken to 50% of the damage taken

	Debuff Immunity Overhaul
	Though far too extensive to fully document, hundreds of changes have been made to enemy debuff immunities across the game. Generally speaking, the majority of these changes were making enemies susceptible to debuffs which they were previously immune to.
	The Venom change previously mentioned is the most prominent example, with the vast majority of Venom immune enemies no longer being immune.
	A large number of enemies which were previously immune to Cursed Inferno no longer are, particularly many stone/metal enemies
	Previously, enemies which were immune to Cursed Inferno were also always immune to Shadowflame. This is no longer the case, and there are now enemies immune to one or the other, though on the whole, a lot less enemies are immune to Shadowflame than before
	Ghost-like enemies (Wraiths, Poltergeists, etc) are now almost always immune to all major debuffs, including Ichor. This does not extend to Whip-debuffs.
	A large number of enemies which were "immune to everything" no longer are. This includes several Pumpkin Moon enemies and Celestial Invasion enemies that were immune to everything for no apparent reason. They are now immune, or not immune, to various debuffs depending on their nature.
	Several enemies which are "immune to everything" intentionally (such as the Destroyer) are no longer immune to Whip-debuffs, as those are meant to be universal.
	Though there are a few exceptions, the vast majority of Confusion-immune enemies still are. Unfortunately, this is because Confusion requires specialized code for every type of enemy, and so the cost investment to make more enemies susceptible to Confusion is dramatically higher than simply "setting them to not immune" like the other debuffs.

J. Threats and Enemies

	Vicious Goldfish
	Now spawns naturally in Crimson water. Never actually spawned naturally before, with regular goldfish spawning instead.

	Blood Feeder
	Life increased from 20 to 150
	Damage increased from 30 to 50
	Defense increased from 4 to 20
	Money drop value increased from 350 to 500

	Ghosts
	Life decreased from 70 to 50
	Damage decreased from 18 to 15
	Defense decreased from 8 to 4
	Knockback susceptibility increased from 40% to 50%

	Antlion Larvae
	Life decreased from 45 to 35
	Damage reduced from 12 to 10

	Antlion Eggs
	Antlion Eggs are now less common in initial worldgen, so there should be less of them overall, making the Underground Desert slightly less dangerous
	Antlion Eggs will now slowly regrow over time, like Bee Hives in the Jungle, but like Bee Hives, only until there are a certain number in an area, to prevent over-saturation

	Rolling Cactus
	Reduced the base boulder damage by about a third, making them slightly less lethal (though still considerably dangerous) threats
	Increased the Cactus Thorn projectile damage from 20 to 30

	Angry Dandelion
	Technically a bug fix: fixed an issue where Angry Dandelion's projectile damage scaled twice, resulting in it doing far more than it should have, especially in Expert/Master

	Rock Golem
	Technically a bug fix: fixed an issue where Rock Golem's projectile damage scaled twice, resulting in it doing far more than it should have, especially in Expert/Master

	Wall of Flesh
	Wall of Flesh now causes the screen to fade to black and will despawn if all nearby players are dead, or there are no more players nearby.

	Ice Elemental
	Projectile attack can now inflict Frostburn

	Jungle Creeper
	Life increased from 120 to 400
	Defense increased from 14 to 40
	Damage increased from 50 to 100
	Now moves faster
	Attacks can now inflict Venom
	Spits Web in Expert/Master like Black Recluses

	Lac, Cyan, and Cochineal Beetles
	Reduced "rarity" from 1 to 2 on the Lifeform Analyzer. Will no longer take priority over even more rare enemies, such as Lost Girls.

	Phantasm Dragon
	Life increased from 4000 to 10000
	Head Defense increased from 10 to 15
	Body and Tail Defense increased from 20 to 30
	Head Damage increased from 80 to 100
	Body and Tail Damage increased from 40 to 50

	Hoppin Jack
	Can now spawn in Graveyards in Hardmode, any time of year

	Vortex Lightning
	Increased the damage of both types of lightning bolts during the Vortex Invasion to 100

K. Miscellaneous and Quality of Life

	Graveyard Threshold
	The number of graves required to trigger both a full graveyard and the various levels of graveyard ambience has been increased by 1

	Town Happiness
	The boost from the "So Much Space" factor has been reduced by half
	The boost/penalty for Like/Dislike/Love/Hate factors have been increased by 20%. Everything is worth a little bit more in any direction.
	You can now have up to 3 NPCs in close proximity without any crowding unhappiness. It will now begin when there are 4 NPCs in close proximity. Furthermore, the size of the penalty starts smaller than before (though it will grow faster with each additional NPC)
	The size of the town detection has been doubled

	Block Swap and Sand/Other Falling Tiles
	You can now block swap the top-most block of sand or other falling blocks.
	Additionally, once your pickaxe power is high enough (Cobalt or higher), you can block swap any falling tiles freely

	Meteorite Ore
	While still immune to explosions under normal circumstances, like other explosion resistant materials, they will become breakable with explosives after entering Hardmode

	The Jungle and Corrupt/Crimson Worldgen
	Worldgen will attempt to avoid overlapping Corruption and Crimson biomes with the Jungle during initial worldgen. While it is possible to still have overlap, the worldgen system will strongly discourage it in general, so expect to see far less worlds with Corrupt/Crimson Jungles. This does not apply to the Hardmode infection strips.

	Armed Zombie/Throwing Skeleton Statues
	These can now be found in worldgen in any world difficulty, and will function normally in those worlds

	Shadow Chests in Worldgen
	Shadow Chests are now more numerous in worldgen, with the limit increasing from 7-10 to 10-15

	Pyramid Rarity
	Worldgen's chance to place Pyramids has been increased by 50%.

	Enchanted Sword Shrines
	Worldgen's chance to place Enchanted Sword Shrines has been doubled (more accurately, each attempt to generate had only a 1/4 chance to succeed, and that has been increased to 1/2)

	Sandstorm Frequency
	Increased Sandstorm chances by 2x in Hardmode, and by 1.33x pre-Hardmode
	
	Rock Lobster
	Sell value decreased from 20 Silver to 10 Silver

	Sakura/Yellow Willow Saplings
	Price decreased from 3 Gold to 1 Gold

	Special Furniture Crafting Stations
	The Steampunker will now sell most of the special furniture stations if you are in the correct biome.
	Snow biome = Ice Machine, Space = Sky Mill, etc
	The Bone Welder is sold when in a Graveyard, as the Dungeon is no proper home
	Living Looms will be sold if the player is carrying a Living Wood Wand (please see the Tools section about Living Wood Wand renewability)
	The Flesh Cloning Vat and Decay Chamber, while still sold by the Steampunker only in one type of evil world, can be crafted into each other in a Graveyard, with some Souls of Night

	Mirage Fish/Pixie Fish
	Adjusted Mirage Fish and Pixiefish to be "uncommon" instead of "rare", to match other Quest fish

	TreeHit for Loot
	The limit on the number of TreeHits you can attempt per day has been increased from 200 to 500

	Sharpening Stations
	The Merchant will now sell Sharpening Stations in Hardmode

	Books
	The Wizard will now sell books. Their cost has been increased somewhat as a result, from 3 to 15 Silver.

	1/3/5 Timers
	These are still craftable, but are also sold by the Mechanic

	Mushrooms
	Regular orange mushrooms now have a potion sickness time of 30 seconds, instead of the full 60.

	Fishing Decreasing Returns
	Removed decreasing returns on Fishing Power at high levels.

	Pylons and the Celestial Invasion
	Pylons can now be used during the Celestial Invasion to traverse the world to combat the various pillars. This exception does not include Moon Lord, and they are still unusable during other invasions/boss fights.

	Journey Mode Starting Inventory
	Players in Journey Mode now spawn with the basic Grappling Hook

	Boss Related Bestiary Entries
	Boss minions which have their own Bestiary entries are now unlocked fully upon defeating their corresponding boss
	Dark Mage and Ogre only need to be killed once now to fully unlock their Bestiary entries


Version 1.4.0.5 Changes -------------------------------------------------------------------------------------------


I. Optimizations and Crash Fixes
	The Multiplayer server is now more strict about fake connection attempts
	Added some error handling for peripheral Chroma related crashes
	Improved error handling to prevent some crashes related to "Spritebatch"
	Improved error handling to prevent some sound related crashes when alt+tabbing out
	Chests and similar furniture placed on top of non-solid tiles should no longer cause crashes
	Fixed a file naming error that would cause a crash for Linux users
	Fixed a crash that can happen sometimes when changing screens
	Fixed a crash that happens when sitting/sleeping in relation to the Potion of Return
	Fixed a rare crash caused by using a Magic Conch in a Sandstorm
	Fixed a crash caused by attempting to load worlds that were so corrupted, that even the corruption detection was corrupted
	Fixed a certain issue with worlds saving in host and play
	Fixed a certain world loading bug
	Fixed loading a bugged world in host and play leaving a stuck server process
	Added further protections against characters named "." and similar such names causing file deletion
	Error log entries for RGB/Peripheral support now properly indicate that they are normal messages, and not errors. They also include a message indicating that you can disable them. 


II. Changes/Additions
	Added a rolling world save backup system to improve reliability of world file backups in case of corrupted files. By default, there will be one additional backup save in addition to the previous saves, and this can be increased up to a maximum of 9. You can change this value in the config.json or serverconfig.txt with the setting "WorldRollbacksToKeep
	The Torch God now haunts Terraria
	Added an item that gives you a new sidebar option setting that will auto-convert placed torches to the biome type
	Black Slimes and Blue Jellyfish now have a chance to spawn in Hardmode for Bestiary completion
	Dungeon fishing loot now takes priority in overlapping Dungeon biomes
	Fishing now prioritizes ammo slots when selecting bait to use
	Technically a fix, changed a very long running code typo that made Crate Potion have an entirely incorrect recipe. Now takes Amber, Moonglow, Shiverthorn, and Waterleaf.
	The Truffle now likes living in the Mushroom biome (instead of being neutral)
	Forest Pylon can now be used in the sky as well
	Flying Dutchman now unlocks its Bestiary entry in one kill
	Lihzahrd Mechanical Traps can no longer be broken with explosives before Golem has been defeated
	Pirate Invasions after the first one are now less common
	Explosive Trap deaths should handle mass item drops more efficiently now, and will attempt to preserve Mediumcore item drops
	Changed Empress' Emote quicktext to "eol" to match other boss emotes
	Changed a crafting inconsistency with Obsidian Toilet not matching other Obsidian furniture
	Changed a minor crafting inconsistency where Crimtane Brick was not as efficient as Demonite Brick

III. Bug Fixes:
	Fixed an issue where players could not move properly on some computers
	Fixed a damage issue with Slaphand
	Fixed an issue where PVP Jousting did not take momemtum damage into consideration
	Fixed a noun/verb issue with a death message
	Fixed an issue where Soul Bottles didn't count as a valid light source
	Fixed an issue where Gravedigger's Shovel didn't dig the center block at the same speed
	Fixed an issue where the Toy Tank mount was too tall
	Fixed some item tooltips
	Fixed some punctuation issues with Town Happiness text
	Fixed an issue where Haemorrhaxe's item size was incorrectly allowing it to fall through the world
	Fixed an issue where most Demon Eye variants could not descend through platforms
	Fixed an issue where Finches sometimes could not descend through platforms
	Fixed an issue where the Ocean Pylon was sold below ground where it wasn't usable
	Fixed an issue that allowed swapping out the Discount Card when shopping
	Fixed an issue that broke the ability for some monsters to have size variation
	Clay Pots no longer break instantly when placed over a bottom sloped tile
	Fixed an offset issue with the menu fade-in
	Fixed a worldgen issue with the Temple's doors not being accessible
	Buff Effects should now properly follow enemies affected by NPC Smoothing
	Chaos Elementals and Worms are no longer affected by NPC Smoothing
	Fixed some NPC Smoothing issues with King/Queen Slime, Golem, Wall of Flesh and teleporting casters
	Fixed an NPC Smoothing issue where Town NPCs in Portal Gun portals would float around oddly
	Improved some NPC Smoothing issues when spawning/teleporting
	Town NPCs should no longer smooth back to their home positions in multiplayer
	Default NPC Smoothing range is reduced from 1000 to 300
	Fixed trees not dropping acorns when grown on Golf Grass
	Fixed an issue where RNG would make fishing power display change wildly
	Fixed some inconsistencies with mowed grass and biome spread
	Fixed an issue where Dungeon pits could generate at the surface
	Cleaned up some Christmas decoration grouping in the Duplication menu
	Organized some inconsistent Critter/Gold Critter orders in the Bestiary
	Mechanical Piranhas will now catch up more quickly so you can't outrun then
	NPCs should now drop platinum in stacks below 999, should they pick up more than 999 Platinum
	Fixed an issue where several new items in Fishing Crates (mostly pets) were not dropping in Multiplayer
	Fixed an issue where Sky Dragon's Fury and Tome of Infinite Wisdom did not auto-use their right click functionality
	Fixed an issue where Tome of Infinite Wisdom could consume mana and waste it when using its right click functionality
	Fixed the Bestiary background for Giant Flying Fox
	Fixed Light Lamia's Bestiary entry not showing them as being in the Hallow Desert
	Fixed an issue where the FPS counter would move with the UI Scale setting
	Duke Fishron and Dreadnautilus should now properly retarget another player if the current one dies/teleports away
	Fixed Coral and Seashells not matching their tile placement preview
	Flails no longer continue spinning when Cursed/Stoned/Frozen/etc
	Golf Grass should now convert to dirt when exposed to lava
	Tavernkeep will no longer sell Pylons when his unique shop is full
	Happy Bombs now properly explode and deal damage in MP when touching a player
	Fixed a visual issue with several very tall hats displaying pixels by the player's feet
	Fixed certain back accessories/outfits not drawing properly in the Character Selection menu
	Fixed Gem and Vanity Trees not blocking the tiles beneath them from being hammered
	Fixed an issue where buff order was not re-calculated properly under certain circumstances, leaving empty spaces
	Fixed an issue where several flying critters were only counting towards Bestiary sometimes
	Fixed an issue where fluid bombs could destroy tiles they should not
	Fixed an issue where sand traps would generate over furniture in worldgen
	Invasion warning messages should no longer spam the player when time is frozen
	Fixed an issue where Snake Ropes would never vanish if the summoning player quits out of the server
	Fixed Dirt Blocks not producing dirt when exploding on half-slabs
	Fixed some falling blocks duplicating when dropping them on actuated half-slabs
	Fixed a visual issue with Guitars and Capes being held awkwardly
	Fixed an issue where the Shield of Cthulhu's invulnerability time would actually reset pre-existing damage immunity, allowing you to get hit faster
	Fixed a minor pixel issue with the Gato Pet
	Fixed Santa Claus having a Traveling Merchant party quote instead of his own
	Fixed Encumbering Stone not letting you pick up Mana Cloak Stars
	Fixed a minor frame animation issue with the Large Volcano decorative item
	Fixed an inconsistency where hair did not light up when on fire, like the rest of the body
	Fixed an issue where there were two different Deadly prefixes that Ranged weapons could get
	Fixed an issue where Golf Cups would send a wire signal for every player on the server
	Fixed some sleeping/fishing related issues by preventing you from doing both at the same time
	Fixed some issues with Fluid Bombs
	Fixed on of the Forest backgrounds having a pixel artifact
	New fences will now allow trees to grow
	Gem Trees will also now grow with natural cave backgrounds behind them
	Fixed some buff icons having whitespace on them instead of transparency




Version 1.4.0.4 Changes -------------------------------------------------------------------------------------------


I. Optimizations and Crash Fixes
	Made some optimizations to help game performance
	Fixed some memory management issues
	Fixed lighting related crash with non-color mode
	Added a serverconfig setting "slowliquids" that restores the maximum moving liquid/quick settle condition to 1.3.5.3's setting, off by default. Turning this on will decrease the amount of liquid that can move at once, but may reduce lags.
	Fixed a crash when loading certain worlds
	Fixed Solar Pillar enemy's bestiary page crashing the game on Linux

II. Bug Fixes:
	Fixed Team Nameplates being in the wrong position
	Fixed Team Nameplates no longer showing the healthbars of damaged teammates
	Fixed an issue where multiplayer servers could run and allow players to join corrupted world files
	Fixed an issue where Sticky Grenades, Bombs, and Dynamite didn't always stick
	Fixed an issue where Blockswapped and replaced tiles might maintain their cracked nature
	Fixed an issue where Mana Stars were dropping roughly 20% as much as they should
	Petting a Town Pet will no longer let you pet them if slopes are interfering and would make you float
	Fixed Collector's Edition Carrot overriding the Magic Mirror on a Journey Mode character
	Fixed Traveling Merchant and Skeleton Merchant accidentally having NPC Happiness
	Fixed an issue where Enchanted Sundial would cause heavy FPS drops
	Fixed NPCs sitting incorrectly in Dynasty Chairs
	Fixed an issue where a lot of non-gore objects were hidden by Blood/Gore settings
	Fixed some Hardmode Dungeon enemies drawing into the floor slightly in their animation
	Fixed an issue where Digging Molecart would dig through tiles that should not be destroyed
	Fixed player map borders not adjusting the border color properly
	Fixed an issue where Cultist Devotee Banner and Red Potion did not have research values
	Fixed Explosives counting as PVP damage, resulting in it not dropping coins when you were killed by them
	Fixed a couple of tooltip typos
	Fixed some consistency issues with Ninja Gear tooltips
	Updated Invisibility Potion's tooltip
	Fixed a sprite issue with Bowl of Soup
	Fixed an issue where if the entire top of your world was covered with platforms, it would prevent meteors from spawning
	Fixed certain cases of text getting random newlines



Version 1.4.0.3 Changes -------------------------------------------------------------------------------------------


I. Changes/Additions
	Removed Bad torch luck
	Increased Prismatic Lacewing spawn rate significantly
	Angry Dandelions now have a chance to drop Daybloom
	Betsy now only takes one kill to "max" Bestiary progress like other main bosses
	Zenith now requires Bee Keeper in its recipe
	Shiverthorn is now somewhat slower to grow, but twice as fast to bloom
	Waterlily grows faster in the rain, Blinkroot grows faster underground, Fireblossom in the Underworld
	More Blinkroots appear during worldgen, and all herbs can potentially "grow" during worldgen as well
	Owls now hoot less
	Added a large quantity of art asset revisions, mostly minor touch ups, but several with substantial changes, most notably, the Molten weapons and tools, Clentaminator, and S.D.M.G.
	Tombstones now display with Dangersense Potion
	Dungeon Guardian and Old Man will also be unlocked if you have Skeletron unlocked now, in addition to the previously existing methods to ensure you could unlock them
	Added a config.json setting called "DisableIntenseVisualEffects" that you can use to disable flashing during thunderstorms. Can be expanded to include other mechanics upon feedback.


II. Crash Fixes and Performance Improvements:
	Fixed an issue that caused serious worldgen problems and some crashes for users with Turkish-language PCs (and possibly some other languages as well)
	Users with file permissions crashes should now get an updated error message giving more instructions on the matter (File permissions issues stem from Terraria not being allowed by the PC to make and modify save files, usually causing crashes when saving or making characters/worlds)
	Fixed not getting a proper sound initialization not actually disabling sound, this should fix some sound initialization crashes
	Added some optimization to mannequins and hat racks to decrease their performance toll
	Added some protection against crashing while taking very large Camera mode snapshots
	Reduced liquid movement restrictions in multiplayer, which should translate to more liquid being allowed to move in servers at once
	Improved how multiplayer servers handle liquid syncing
	Added new multiplayer npc smoothing code, adjustable by a config.json setting called "MultiplayerNPCSmoothingRange" , npcs who move less than this range (default 1000 pixels) would be smoothed into their next position (can be disabled by setting it to 0)
	Team name plates no longer show health when at full health to improve MP performance
	Added a config.json setting called "TeamNameplateDistance" that lets you reduce the distance at which team names are drawn, with the default being 2000. Reducing the number of Team Nameplates on screen in MP can improve performance, so this can be used as needed.

III. Bug Fixes:
	Fixed an issue where the World Menu seed button was still hidden
	Fixed an issue where sometimes players would get an extremely long death timer. The maximum should now be limited to 30 seconds. This should retroactively fix characters with an extremely high death timer.
	Fixed certain users not having left-click assigned to their mouse in the main menu when loading 1.4
	Fixed an issue where Minions would be summoned at an inverted position when in reverse gravity
	Fixed an issue where the summon lock-on icon would at an inverted position in reverse gravity
	Fixed an issue where Hallowed Trees on mowed Hallow grass would drop normal wood
	Fixed an issue where coin sparkles weren't appearing
	Fixed an issue where Gold Seahorses were caught as "Seahorse Cages"
	Fixed an issue where some Goblins would get stuck in doors and sink into the floor
	Fixed an outline issue on Jungle Pants
	Fixed flail chains drawing incorrectly while on some mounts
	Fixed an issue where wearing Moon Lord Legs and Frog Legs at the same time would give you no legs at all
	Fixed an issue where you could use the Step Stool while grappled
	Fixed an issue where Stylist-only hairs were inadvertently available by randomizing your character
	Fixed an issue where NPCs were affected by disliking their neighbors more than hating their neighbors
	Fixed an issue where you could summon multiple Queen Slimes
	Fixed an issue where texture packs would not work for tiles without a game restart
	Fixed some visual effects acting unusually when time is sped up with Journey mode/sleeping/Sundials
	Titanium's Set bonus no longer triggers off of Target Dummies
	Fixed a crash when a server tries to generate certain seeds via serverconfig.txt
	Fixed an issue where having pickup text off and using a Sonar Potion would delete the item you get
	Fixed Obsidian Sinks using only Obsidian instead of Hellstone
	Fixed server config.txt world path option being ignored during auto create
	Fixed Hooks and Mounts being usable after Mediumcore death
	Fixed Trident movement impacting minecarts
	Fixed Angler Quest fishing icon disappearing when a player dies
	Fixed an issue where Key of Light/Night spawned mimics left behind phantom ghost chest tiles
	Fixed Betsy's loot having half the intended drop chance
	Fixed Depth Meter displaying incorrect height biome when using camera-moving items
	Cool Whip's Snowflake should no longer attack critters, target dummies
	Fixed Cool Whip's Snowflake not despawning when a player dies or quits
	Fixed Exquisitely Fed buff not giving Ranged Damage
	Fixed Ocean critters spawning in deep caves below the Ocean
	Fixed Lava Lamps being unable to be placed on tables
	Fixed Mini Minotaur not animating properly while flying
	Fixed some item spelling concerns and grammatical issues with NPC Happiness text


Version 1.4.0.2 Changes -------------------------------------------------------------------------------------------

I. Changes/Additions
	Added Master and Journey to command line options for the dedicated server
	Ghosts should now be more likley to despawn, and reduced the conditions which allow them to spawn as well as the maximum number of them
	Error logging should no longer create large DMP data files when the game crashes (We no longer use them)


II. Bug Fixes
	Added some protection to ensure world gen works for users using different language PCs, but we are still investigating a more thorough fix
	Fixed a number of issues where Terraria tries to make or modify folders, but User Side PC permissions prevented it from doing so, leading to crashes/errors
	Fixed a crash relating sound initialization
	Fixed a few autostart errors for the server
	Fixed an issue with kicking players not actually being fully removed, preventing players from rejoining
	Demon Altars can no longer spawn on rare configurations of adjacent cacti, which would crash the world if they were hit
	Coins no longer have a sell value
	Fixed an issue where Map Scale was impossibly low, resulting in some map related issues



Version 1.4.0.1 Changes -------------------------------------------------------------------------------------------

(Note: 1.4.0.1 was the live release, and changes and additions are only included for posterity and for 1.3.5.3 content changes)

I. Changes and Additions
	Meteorites now no longer fall until after Eater of Worlds/Brain of Cthulhu have been defeated
	Killing Eater of Worlds/Brain of Cthulhu again will boost the drop rate of subsequent Meteors for the following night (instead of breaking more Orbs/Hearts)
	Meteorites can no longer be destroyed with explosives
	Pirate Captain now spawns a ghost pirate when he is killed
	Dunerider Boots can now be tinkered with Rocket Boots to make Spectre Boots

II. Bug Fixes
	Fixed several internal-only issues that were only present in beta builds



Version 1.4 Changes -----------------------------------------------------------------------------------------------

I. Journey's End New Content and Additions

A. Major Features:
	Added Journey Mode, a brand new world and character difficulty mode that offers unprecedented control over the way you play. Features unique powers such as item duplication, weather control, spawn rate and difficulty sliders, and more.
	Added Master Mode, a new highest difficulty surpassing that of Expert. Test your skills against even harder challenges, and perhaps be rewarded with some unique rewards from each boss
	Added two brand new bosses to seek out and challenge
	Added the Bestiary, an encyclopedia of the enemies, allies, and critters you encounter on your journey
	Added Golf, a new fun pastime for when you want to take a break from all the monster slaying
	Added Windy Day weather, along with various ambient effects and even some enemies
	Added Town Pylons and NPC Happiness, an expansion on the town system that culminates with the ability to build a teleportation network to towns around the world

B. Menu/UI:
	Officially adding Texture Pack support, which now has its own option in the main menu
	Added RGB Lighting to the game for Razer, Corsair, and Logitech hardware
	Added Block Swap, a mechanic that allows the player to replace pre-existing blocks with new ones, without having to mine them up first. As a bonus, this also allows you to swap Chests and Dressers, while keeping the chest inventory intact!
	Terraria now has a brand new series of intro splash screens and an intro sequence
	Added a completely overhauled Character and World Creation Menu
	Added Boss Health Bars
	Added Emote Commands and menu
	Adding loading screen informative help text when generating worlds
	Added two new Health/Mana Bar style options
	Added a number of new minimap border options
	Added a Recommended Achievement icon to guide the player
	Added a new achievement to craft a workbench

C. Ambience:
	Added Windy Day weather, along with various ambient effects and even some enemies
	Added a variety of ambient background objects in the sky
	Added a new celebratory event after defeating a boss or invasion for the first time. What a fortunate time to be a Terrarian!
	Added the graveyard minibiome
	Added uncommon thunderstorm ambient weather
	Added a chance for meteor showers, which dramatically increase falling star rates
	Added new falling star animations in the sky
	Added the ability for the player character to blink, close their eyes, or squint, as circumstances call for it

D. Worldgen and Biomes:
	Added dozens of new biome backgrounds
	The Underground Desert now has some structural changes, new loot, and a variety of new threats
	Added new paintings to Underground Desert houses, done by the testers!
	Added Oasis minibiomes
	Added Oasis ferns
	Added cattails
	Added lilypads
	Added a new desert palm tree style
	Added new Granite, Marble, Living Tree and Desert rubble piles to those biomes
	Added flower vines to grassy caves
	Added natural flowers to the Jungle, Crimson, Corruption, and Hallow
	Added natural tall flowers
	Added flower patches, ore veins and a few other surface microbiomes
	Added a variety of new structure changes to the Dungeon
	Added a substantial number of new mapscreen backgrounds
	Added several new glowing moss biome variants
	Added several new traps to worldgen
	Added several new moon appearance variations
	Added some new rare shell variants, as well as the Shell Pile block
	Added sea grass
	Added a unique underground layer background when in the Ocean
	Added new mushroom biome plants
	Added Seaweed, which can grow at the bottom of the Ocean
	Updated the Ocean biome with some new variations
	Added Underground Gem Trees
	Added a Hardmode Desert Chest and Biome Key
	Added Yellow Willow and Sakura Trees
	Added a variety of fruit that can be found from hitting trees

E. Music:
	Added an entirely new title theme, Journey's End
	Added the Windy Day theme
	Added the Space Day theme
	Added the Ocean Night theme
	Added the Town Day and Night themes
	Added the Storm theme
	Added the Slime Rain theme
	Added the Graveyard theme
	Added the Underground Jungle theme
	Added the Surface Night Jungle theme
	Added the Duke Fishron boss theme
	Added the Morning Rain theme
	Added the Console Title theme
	Added the Underground Desert theme
	Added themes for the new bosses
	Added music boxes for all of the newly introduced tracks
	Long overdue, the winning track of Terraria’s music contest by Xenon and DJ Sniper has been implemented as a music box!

F. Enemies and Critters:
	Added two new bosses
	Added several Blood Moon fishing enemies
	Added a few Windy Day enemies
	Add a few other enemies to several different biomes, such as Mushroom and Underground
	Added Gnomes
	Added wild friendly Fairies, as well as fairy logs
	Naturally, we also added Bottled Fairies
	Added over a dozen new critters
	Added several Underworld critters
	Added Gold Goldfish and several other Gold Critters

G. NPCs and Pylons:
	Added the Golfer NPC
	Added the Zoologist NPC
	Added an NPC Happiness system based on where and who they live with
	Added Town Pylons, a method of rapid transport between established towns
	Added Cat, Dog, and Bunny Town Pet NPCs

H. Fishing:
	Added Blood Moon fishing, a dangerous pastime filled with new enemies and new rewards
	Added Oasis fishing and a number of new items from it, such as a fishing rod
	Added two new Oasis Quest Fish
	Added new methods of Lava Fishing and significantly expanded the Lava Fishing loot pool
	Added Chum Buckets for fishing
	Added Ice, Oasis, Lava, and Ocean Fishing Crates

I. Equipment and Items:
	Added a new ultimate sword, a celebration of your journey, from beginning to end
	Added the Celebration Mk2 to Moon Lord’s loot pool, an improved replacement version of Celebration, which has been given a different source
	Added the Super Star Shooter, a hardmode Star Cannon
	Added an entirely new class of Summoner weapons, Whips
	Added the Hallowed Summoner Helmet
	Added over a dozen new accessory tinkers
	Added special crafting recipes which can only be made in the presence of the Ecto Mist of Graveyards
	Several NPCs will now sell special wares when they are in a graveyard
	(Re)-added the Zapinator, and now comes in two color variants
	Added a couple music instruments with basic musical functionality, and added some control over the pitch of The Axe’s sound
	Added several “Amber�Eitems to match other Gem crafting recipes
	Added Finch Staff and several other new summon weapons
	Added the Stepping Stool accessory
	Added several new Rocket variants
	Added Fledgling Wings
	(Re)-added the Lunar Drills, which are now rebalanced to offer pros and cons compared to the Lunar Pickaxes
	Added Dirt Bombs and Sticky Dirt Bombs
	Added Tungsten Bullet, so Tungsten worlds can craft their ammo too
	Added Sergeant United Shield
	Added Jousting Lances
	Added several other new swords
	Added a variety of kites
	Added over 50 new food and drink items to the game
	Added paper airplanes
	Added 9 new items to Underground Desert loot
	Added Footballs
	And many more weapons, accessories, and other useful tools!
	
	I1. Golf Related Equipment:
		Added several types of Golf Clubs for different purposes, coming in several different visual varieties
		Added Golf Balls in different colors
		Added Golf Tee and Golf Cup
		Added Golf Whistle
		Added Country Club Vanity outfit
		Added Golf Chest
		Added Golf Cart Mount
		Added Golf Trophies
		Added several Golf Paintings
		Added a Lawnmower and the ability to mow grass to prevent tall grass from growing back (for better golfing, of course)
		Added Arrow Signs, that can have the arrow pointed in different directions

J. Furniture and Blocks:
	Added Void Vault and Void Bag
	Added some wind impacted furniture
	Added several new bricks/walls to go with ores or blocks that did not have them
	Added 8 new full furniture sets and matching blocks
	Added a collection of placeable walls we collectively refer to as “Ecto Walls�E specifically, craftable variants of over 50 previously worldgen only walls
	Added a method of crafting placeable versions of Gem-studded Stone Blocks and walls normally found in worldgen
	Moss can now be harvested as an item with a paint scraper
	Moss now spreads to, and can be planted on Gray Brick to make Mossy Brick!
	Added a substantial number of new banners, including new enemies and some old ones who never had banners
	Added several decorative columns and beams
	Added Graveyard Paintings and several other Graveyard based furniture and block items items
	Added new Statues
	Added a questionably large number of toilets
	Added several new lava themed decorative items
	Added several new biome themed torches: Desert, Coral, Corrupt, Crimson, Hallowed and Jungle
	New biome torches can now drop from pots in their respective biomes
	Added matching campfires to go with all of these new torches
	Added two new water changing fountains
	Added two new Monoliths
	Added potted indoor trees
	Added a few new wiring related items
	Added the Truffle Worm Cage and cages for most of the new critters
	Added the final paint color

K. Vanity Outfits, Pets, and Mounts:
	Added over a dozen new vanity outfits
	Added several new hair and hat based vanity items
	Added several animal ear and tail vanity items
	Added several new vanity accessories
	Added three new dyes
	Added two dozen new hairstyles
	Added the last of the dev sets
	Added more than ten new pets
	Added more than ten new mounts
	Added Minecarp, Digging Molecart and many other vanity Minecart variants

II. Journey's End: Changes and Revisions to Pre-Existing Content:
	
A. UI, Menus, Options, and Quality of Life:
	The game will now initially launch by default in borderless windowed mode, and attempt to auto-detect your proper resolution
	Characters on the player select screen will now animate when selected
	Launching the game should now automatically generate a ResourcePacks folder in your save folder for texture packs
	The main menu shows a new background every time a “day�Epasses
	The world creation menu can generate random world names for you
	Improved the visibility of the Cloud On/Off buttons on the Player and World menus to improve clarity
	There is now improved UI feedback when attempting to delete favorited characters, explaining why
	The player/world menu scroll bar is removed if there are not enough saves to need scrolling
	There is now a button to instantly apply resolution changes from the menu settings
	The Death screen now has a timer until you respawn, and you can also quit out of the game while dead. Your timer will continue to tick down while on the main menu, and if you rejoin while it is still active, you will still be dead
	You can now change the eye and skin color of your character at a Dresser
	Added a setting option that allows you to toggle whether Hovering Wings work by holding down, or by pressing down once. Particularly impactful on Gamepad
	If various things happen while the game is minimized on your task bar, it will now flash. This includes things like taking damage, spawning, or worldgen finishing
	There are now icons on your map showing your world spawn and your current bed spawn point
	Player, NPC, and Boss Icons, as well as several other icons, now have a white outline on the map to increase visibility
	Added the ability to double click on the map to make a ping for other players to see
	Teammate names now display on the screen in an easier to read way
	Holding backspace in chat deletes text faster
	You can now chat/talk in single player, for using emotes or seeing past world messages
	You can now copy/paste sign text and it will include line breaks
	Quick Stack will now prioritize Piggy Banks, Safes, Defender’s Forge, Void Vault, and the portable Money Trough and Void Bag
	The viable range when Quick Stacking to nearby chests has increased by 25%
	You can no longer place favorited Money Troughs inside of themselves
	Added a blue box under item mouseover text in the inventory to increase text readability. This feature has an option to turn it off if preferred.
	Currently selected recipe now has a gold highlight
	The currently active hotbar slot is now brighter when the inventory is open
	Paint, Actuators, and Ale can now be placed in Ammo Slots
	Sorting your inventory will now attempt to put ammo in any free Ammo slots
	Sorting your inventory will attempt to sort your coin slots in order
	Music Boxes now make an audio indication that they have recorded
	You can now place Music Boxes in your vanity slot to listen to them
	Buff durations timer display now rounds up instead of down
	Expanded and improved the Biome visual settings in the Camera mode
	Added an option that allows decreasing the size of the minimap
	There is now an option setting to activate/deactivate the Tile Grid overlay on both Gamepad and Keyboard/Mouse
	UI Scale can now be set as low as 50%, with a maximum of 200%
	The default cursor now has a white outline, but you can still change this in the options
	Achievements now make a sound when unlocked
	If someone attempts to quit out of the game mid-save, the game will still attempt to finish saving, which should prevent a lot of save corruptions
	Multiplayer dedicated servers now save every 10 minutes, rather than every morning
	The dedicated server should now prevent your PC from going to sleep when inactive, which would stop the server
	
	A1. Gamepad Related Changes:
		Changed how Gamepad LT and RT buttons navigate through the inventory menus. They will make a complete loop if you continue pressing the same button, while previously LT and RT could each only send you to different parts of the UI
		There is now a Gamepad option in the Keybinding settings to change the speed of moving the cursor through the inventory, called “Interface Movement Delay�E
		Added improved Gamepad button options for removing housing status for NPCs
		Added an option in the config file to completely disable Gamepad support (for people who have their own custom Gamepad setup that can’t work with ours)
		When utilizing the Gamepad “Use from inventory�Efeature, it will use consumable items like potions or magic mirrors immediately
		Attempting to craft another item while holding the previous crafted item on Gamepad will place the first item in your inventory to free up space
		Quick Craft on Gamepad no longer crafts items as fast, to prevent it from flooding your inventory and multi-crafting items by accident
		When using Gamepad, only NPCs near the player will show their names, instead of all of them on screen

B. Worldgen and Biomes:
	Heavily optimized worldgen speed
	A wide variety of natural background walls from different biomes can now be interchangeably Clentaminated. Several Jungle backgrounds can be converted, but cannot be cleansed back to Jungle, only to stone. Previously, they were completely immune to the Clentaminator.
	Dramatically changed the layout and frequency of deserts in worldgen, they should be larger but less common, with more natural dunes
	The Ice Biome should now generate further away from spawn, and in a more narrow shape
	Natural underground minecart tracks can now be much longer and come in more interesting configurations
	Underground Mushroom worldgen is now much larger and redesigned
	Updated mushroom tree tops and some underground mushroom backwalls
	Improved how Marble Biome walls generate, no longer quite as “square�E
	Icicles in infected biomes now take on the color of that biome, rather than being blue
	Rain now takes on the water color of the biome it is falling in
	Increased chest limit from 1000 to 8000
	In response to the increasingly complex world gen making Underground Cabins more broken down and full of furniture, the odds of cabin paintings spawning has been increased until they are more reasonably found
	Grass growing in front of Grassy/Flowery Walls will grow flowers too, unlike in front of other backgrounds
	Sunflowers now block the spread of Hallow
	Critter statues now generate during worldgen
	Wood Chests now have a chance to contain a stack of wood
	Added a system that would fill in very small holes in naturally generated walls on worldgen to make a more polished backwall appearance
	Sandstorms are now significantly less common, particularly in the early game
	Reduced the intensity of Mighty Wind, it will now push you less
	Rain is slightly less common

C. Art Improvements and Visual Effects:
	The following things have been resprited/polished:
	[indent]Hallowed Armor has been completely reworked visually, and now has an Ancient Hallowed Armor variant to use the old style
	The Skyware furniture set
	All of the cloud background art, including the addition of some familiar looking clouds . . .
	Golem, Queen Bee, and Everscream
	Eye Patch, Goggles, 0x33's Aviators and Glasses item icons, so that they are easier to see in the inventory
	Harpy, Mummy, and Wolf enemies
	The Goblin Invasion enemies
	Dungeon Skeletons
	The Truffle NPC
	Many previously color-swapped Biome-wood-variant furniture items have been made more unique
	Dozens of background rubble piles from different biomes
	The sprites for many tree tops
	The Lunar Invasion planets visible in the sky
	The Hardmode Dungeon Chests[/indent]
	On a more subtle note, due to a revision of how player armor animations work, all of the chest armor and vanity outfits in the game have been touched up, with changes ranging from a few pixels to complete revisions to some, such as the Cowboy and Pixie outfits
	Made it so that Jack ‘O Lantern (the tile) and explosive Jack ‘O Lanterns no longer use the same sprite
	Several dozen wall item icons were adjusted so that the vast majority of wall items are now consistently sized
	Food, Drinks, and Potions are now held in the players hand and have improved eating/drinking animations
	A number of hats which previously did not show hair now show hair!
	Boss Bags now look much more sparkly and visible, to help people find them after a fight
	Fallen Stars have been given a visual overhaul, both during their falling animation, and their item art
	Improved how Eater of Worlds and Destroyer visually spawn into the world
	Nebula’s shader is now slightly less pink, and the enemies in it have a pulsing effect to make them stand out more visually
	All of the Jump in a Bottles that did not previously have visible vanity options now can be visibly seen on the player
	Lunar Armor sets no longer lose some of their visual brightness when only wearing one piece. Individual pieces will still have the same brightness as if you wore the full set.
	Elf Copter, Santa-NK1, and Everscream’s projectiles were given increased light and visibility
	Queen Bee’s stinger projectile was given a larger sprite and is easier to see
	Ambient night lighting may vary depending on the moon phase
	There are now many more stars in the night sky
	Redesigned the targeting icon for summoner lock-on

D. Gameplay:
	Reaching the end of the Pumpkin and Frost Moon will unlock one in-game day of Halloween and Christmas season, respectively
	The start date for Halloween events in game is now October 10th
	Gravestones will now show the date of death
	NPCs that die in Hardcore mode will drop Gravestones
	Desert Fossil can now be mined at any pickaxe power or with bombs. However, it is fragile and adjacent fossil blocks may break when you mine it, costing you some of the ore.
	Desert Fossil based gear is now weaker because it is available sooner.
	Increased the max stack size of a ton of items
	You can now “Return�Ebought items for the full purchase price as long as you have not closed the shop window
	Hitting trees with an axe may now drop things sometimes
	Did an extensive review of sell values across the entire game, increasing the consistency of sell values. This particularly includes things like items that had no sell value but should have, consistent sell value of items dropped from the same source, and much more.
	Expert enemies who steal your money will now be saved in that area and respawn if you come back. You can see their locations and how much money they have on the map.
	Titan Glove and its tinkers now give autoswing to all Melee Weapons (and Whips!)
	Celestial Pillar fragment drops now scale with player count in Expert
	Wood, Iron, and Gold Crates drop better quality ore depending on which level of crate it is. Wood Crates, for instance, only drop Copper/Tin/Iron/Lead.
	All fishing crates now come in pre-Wall of Flesh and post-Wall of Flesh variants. Pre-Wall of Flesh variants do not contain Hardmode Ores.
	Gold Crates now have a chance to drop Life Crystals and Enchanted Swords
	Dungeon Crates may now include Books
	Flower Boots are now included in the Jungle Crate's loot pool
	Penguin and Turtle Pets can now be obtained rarely from their respective Biome crates
	You can now fish up Alchemy Tables in the Dungeon
	The Angler now has dialogue that will tell you how many quests you have completed for him
	Angler’s Quest rewards are now more likely to give you the Info Accessories. Additionally, he will not give you duplicates of an accessory you have in your inventory, unless you already have them all.
	Coral Blocks have been entirely resprited, and are no longer given as rewards from the Angler. Instead, they can be crafted.
	Pirate Map and Snow Globe items can now stack to 20
	Massively overhauled the Guide’s help dialogue, adding hints and tips for content all the way up to the Lunar Invasion, addressing all new NPCs since 1.1, replacing outdated information, and bringing some previously bugged lines back into circulation
	The game will now detect if you’ve been stationary/AFK for a while and avoid spawning worms on you
	Cacti must now be cut down before you can break the sand beneath them, like trees
	Most non-Dungeon/Invasion enemies should no longer be able to open doors except during Blood Moons or Eclipses
	Doors will now automatically open for you when approached. This option can toggled in the Settings
	Doors will now attempt to open the other way if forward is blocked by something
	Doors that have icicles grow in front of them will now break the icicles when you open them. Also applies to other ground based rubble.
	Geyser traps are now set off just by stepping on them
	Vile and Vicious Powder can now be used to spread their respective biome before Hardmode
	Meteorite, Crimtane, and Demonite now have higher Metal Detector priority than Gold/Platinum
	Pumpkin Moon now has more careful limits on how many total bosses can spawn to reduce serious server performance issues
	Moon Lord now drops Super Healing Potions instead of Greater Healing Potions
	It is now easier to grapple elsewhere when already grappled to a platform or minecart track
	Players who are stealthed or invisible no longer have mouseover text or health bars.
	A few of the more common Pumpkin and Frost Moon enemies now require more kills per banner drop
	If a player is falling far enough that they will take fall damage, but an enemy hits them and knocks them back, it will reset their fall damage
	Parties can no longer happen if the Party Girl is not present. Try talking to her next time a natural party starts!
	Butterflies and Fireflies no longer spawn in the rain or when it is very windy
	Players can now spawn several blocks above or below their spawn point if the location is covered by blocks, rather than destroying those blocks, to increase flexibility of building at spawn.
	Infected Ice and Hardened Sand Blocks can now be used to craft some biome torches
	Acorns now autoswing
	Using Smart Cursor to plant Pumpkin Seeds will only replace fully grown Pumpkins now
	The Temple Raider achievement should now be unlocked upon opening the locked temple door, not breaking Lihzahrd Bricks
	Enemies that reflect attacks (Large Mimics, Solar Selenians) now make a distinctive sound when it happens
	Reduced the volume on Vortex Beater, Sniper Rifle and Solar Eruption
	Removed the hissing sound effect from Vortex Beater, Last Prism and Charged Blaster Cannon

E. NPCs, Critters, and Enemies:
	Antlion Swarmers and Chargers can now be found in small and large variants, with appropriate differences in strength
	Jellyfish and Granite Golems spawned from statues now drop their items even less frequently, and reduced the sell value of some of those drops
	Granite Elementals can no longer fly through walls
	Reduced the volume on Granite Golem’s death sound
	Crimslimes now inflict Blindness and drop Blindfolds
	The Giant Cursed Skull now inflicts Curse and drops the Nazar
	Beehive Bees in the Jungle will now target enemies as well as the player
	Maneater type enemies can no longer be killed by mining the block they are attached to
	Clowns are now much more dangerous and throw Chattering Teeth Bombs
	Many enemies which previously stopped spawning after defeating the Wall of Flesh can now be found at reduced rates even in Hardmode
	Several "minion" enemies that have no banners are now subject to the banner effects that affect their creator (such as Baby Mothron and the Mothron Banner)
	Enemies have an increased chance to drop bonus amounts of money when killed
	Enemies drop extra money during Blood Moons
	Eater of Worlds now has more segments, even more so in Expert Mode
	King Slime is now somewhat harder to abuse with ropes
	Plantera's Tentacles now have health scaling in Expert Multiplayer
	Brain of Cthulhu's Creepers now have health scaling in Expert Multiplayer
	Expert Brain of Cthulhu and his Creepers now have increased knockback resistance per player present on a server, ultimately becoming immune to knockback.
	Expert Skeletron Prime now moves faster when spinning.
	Old One’s Army now has some Expert scaling in multiplayer
	Martian Saucers in normal mode no longer have a phase two, and die as soon as their turrets are destroyed
	There are now less Martian Saucers per invasion, and they are less likely to chain spawn
	Martian Saucers can now shoot their death beam through blocks. However, they are slower and their beams easier to avoid.
	Several Martian Invasion drops are now dropped from regular Martians, decreasing the random nature of the Martian Saucer’s drop pool
	Golem attacks more aggressively the more players are present in Expert, and also slightly harder to cheese
	Golem will now enrage when out of the jungle or on the surface
	Moon Lord’s Phantasmal Death Ray will now penetrate blocks that are between it and the player
	Frogs can now swim
	Explosive Bunnies can now be released as critters and can explode
	Enchanted Nightcrawlers can now spawn naturally during meteor showers
	Gold Critters are now more rare

F. Equipment, Armor, and Weapons:
	The Ruler’s utility effect is now always available for players to turn on or off. The Ruler item can now be used as a weapon instead, and is still used in crafting recipes.
	The Breathing Reed and Umbrella can now be used as weapons, and can still be used for their original purposes as well
	The Throwing subclass has been combined with the Ranged class. Previously Thrown weapons now do Ranged damage
	Shortswords can now be used in all directions, not just forward
	Titanium Armor now has a new set bonus, and Shadow Dodge has been repurposed as Holy Protection, the new Set Bonus for Hallowed Armor
	Medusa Head and Charged Blaster Cannon have been heavily redesigned and should be more effective in combat
	Some other weapons have had some moderate redesigns to improve their effectiveness, including but not limited to: Magic Missile, Flamelash, Rainbow Rod, Poison and Venom Staff, Staff of -Earth, and Heat Ray
	A host of other weapon, armor, tool and accessory adjustments, some small, some minor. For more, please check out the Balance Changes section
	Vanity Accessory slots now can only hold accessories with a visual vanity effect
	Gravity Globe can now be toggled in mid-air
	Tiki Armor, Pygmy Necklace, and the Hercules Beetle can now be purchased without carrying Pygmy Staff as long as you have defeated Plantera
	Blessed Apple now only drops from Unicorns, but at a higher drop rate than before
	Cenx's Tiara now drops with both of her dev set bundle
	0x33's Aviators are now dropped from Master-mode Eye of Cthulhu
	Arkhalis is now dropped in the Arkhalis dev set bundle

G. Blocks and Furniture:
	Upgraded Mannequins, they now have an interactable inventory which allows visible accessories such as wings, as well as dye support. They can also be painted, and are no longer destroyed unless their inventory is empty
	Weapon Racks are now paintable. You can also place Fish on Weapon Racks for display purposes.
	Players can now sit in chairs, sofas, thrones, benches, and they can lay down in beds to sleep. Sleeping in beds will speed up time. If in multiplayer, time will only speed up if all players are sleeping.
	Goblin, Eyeball, Hornet, Imp, and Corrupt Statues now spawn enemies when wired
	You can now craft Ice Chests, and its name and the Frozen Chest’s name were swapped to match furniture consistency
	Living Wood, Skyware, and Lihzahrd Chests are now craftable
	Temple traps now require higher pickaxe power to mine to prevent obtaining them too early
	Changed the light colors of the light sources in following sets so that each set uses consistent lighting: Marble, Pearlwood, Mahogany, Spooky, Steampunk, Palm Wood, Ebonwood, Shadewood, Glass, Living Wood, and Frozen. Ebonwood's Candelabra was resprited to visually match this updated color.
	Bewitching Station now generates light, because it had candles all this time
	Water and Peace Candles can now be wired to turn on or off, which will toggle their buff as well
	Shells and Starfish will now generate over time on beaches
	Cloud Blocks now prevent fall damage
	Campfires also no longer give their buff when turned off
	Placing Minecart tracks with Smart Cursor should create smarter and cleaner tracks than before
	The Stone Slab had the wrong blending, preventing it from being used nicely with most other blocks, and this has been fixed. However, we listened to your concerns, and have added an Accent Stone Slab block, which will function the same as the old Stone Slab did
	Dynasty Wood blends better with other tiles now
	Special glass blocks like Waterfall, Confetti, etc now have better merging with other tiles
	Infected Hardened Sands are now craftable into glass like regular Hardened Sand
	Statues can now face both directions
	Bone Blocks are now mined back up as Bones, which can be crafted into other things, or replaced as Bone Blocks as needed with a Bone Wand
	Staff of Regrowth no longer places moss on stone, as moss is now accessed through other means
	Ammo Box now has a shotgun cocking sound effect when used



III. Journey's End: Balance Changes:
A. Bosses:
	Moon Lord
	Moon Lord’s attack pattern has been slightly tweaked to be more consistent, as the different eyes would become desynced over time, resulting in a more random fight (which was not intended). In addition, the amount of time that his forehead eye spends open is slightly increased
	Moon Lord’s Phantasmal Death Ray will now penetrate blocks that are between it and the player
	Enemies should no longer spawn during Moon Lord’s fight, unless they spawn outside of his radius in multiplayer
	Moon Lord will now drop his loot even if you die during his death animation

	Golem
	Golem attacks more aggressively the more players are present in Expert, and also slightly harder to cheese
	Golem will now enrage when out of the jungle or on the surface

	Plantera
	Plantera's Tentacle Chompers now have health scaling in Expert Multiplayer

	Skeletron Prime
	Expert Skeletron Prime now moves faster when spinning.

	Brain of Cthulhu
	Expert Brain of Cthulhu and his Creepers now have increased knockback resistance per player present on a server, ultimately becoming immune to knockback
	Brain of Cthulhu's Creepers now have health scaling in Expert Multiplayer

	Eater of Worlds
	Eater of Worlds now has more segments, even more so in Expert Mode

	King Slime
	King Slime is now somewhat harder to abuse with ropes

	Martian Saucer
	Martian Saucers in difficulties below Expert no longer have a phase two, and die as soon as their turrets are destroyed
	There are now less Martian Saucers per invasion, and they are less likely to chain spawn
	Martian Saucers can now shoot their death beam through blocks. However, they are slower and their beams easier to avoid.

B. Enemies:
	Crimslimes
	Now inflict the Blindness debuff and drop Blindfolds

	Crimson Axe
	Now inflicts the Cursed debuff

	Giant Cursed Skull
	Now inflicts the Cursed debuff on contact and via projectile, and drops Nazars

	Tomb Crawler
	Head Damage decreased from 16 to 14
	Body and Tail Damage decreased from 10 to 7
	Life decreased from 50 to 40
	Reduced size
	Only 1 Tomb Crawler should spawn at a time under normal circumstances

	Sand Slime
	Damage increased from 10 to 15
	Life increased from 40 to 50
	Knockback multiplier decreased from 0.8 to 0.7
	Now only spawns as uncommon enemies in the Underground Desert

	Flying Fish
	Money drop value increased from 90 Copper to 3 Silver
	Flying Fish are now slightly less common on Rainy Days

	Clown
	Damage increased from 50 to 60
	Defense increased from 20 to 25
	Life increased from 400 to 800
	Knockback multiplier decreased from 0.4 to 0.2
	They now attack much faster
	Happy Bombs now explode when near the player
	They now throw Chattering Teeth Bombs as well

	Etherian Lightning Bug
	Projectile Damage increased from 20 to 100 (Note: This was actually an accidental placeholder number. It did 1 damage to the Etherian Crystal, and was likely to do the same to most players)

	Hoplite
	Decreased Javelin Damage from 48 to 36

	Angry Tumbler
	Defense decreased from 10 to 6
	Javelin Damage decreased from 48 to 36
	Max speed decreased from 4 to 3
	Money drop value decreased from 1.3 Silver to 1 Silver

	Bone Throwing Skeletons (Expert Only)
	Projectile Damage decreased from 80 to 60

	Other
	Purple, Red, Yellow, and Black Slimes now drop 1-3 extra gel each
	Man Eater type enemies can no longer be killed by mining the block they are attached to
	Umbrella Slime money drop value increased from 25 Copper to 1 Silver
	Granite Elementals can no longer fly through walls
	Beehive Bees in the Jungle will now target enemies as well as the player (not including the Queen Bee)

C. Armor:
	Ninja Set
	Instead of throwing bonuses, each piece now gives a global 3% critical chance
	New Set bonus: 20% movement speed

	Gladiator Set
	Helmet, Breastplate, and Leggings Defense increased by 1 each

	Fossil Set
	Fossil Helmet Defense decreased from 3 to 2
	Fossil Plate Defense decreased from 6 to 4
	Fossil Greaves Defense decreased from 4 to 2
	Each piece of the set now gives 3% Ranged critical chance
	New Set bonus: 20% chance not to consume ammo
	Now available earlier due to the change to Desert Fossil mining

	Green Cap
	Defense increased from 0 to 2

	Night Vision Helmet
	Defense increased from 2 to 4

	Cactus Set
	Cactus Breastplate Defense decreased from 2 to 1

	Forbidden Set
	As a whole set, Forbidden is unchanged. However, the benefits of Forbidden Robes and Treads have been split evenly, with each now giving 40 mana and +1 Minion count

	Titanium Set
	New Set Bonus: Titanium Barrier
	As you attack enemies, titanium shards accumulate and spin around you
	These shards deal damage to enemies at close range, and inflict knockback.
	Use them defensively to keep enemies away, or for the bold, aggressively to inflict extra damage.

	Hallowed Set
	New Set Bonus: Holy Protection
	Familiar to most users as Shadow Dodge, Hallowed has had its previously stat-based set bonus replaced with a periodic immunity to damage.
	Upon attacking an enemy, you will gain a buff. If an enemy hits you during this buff, you will gain a very brief immunity to damage.
	After this period of immunity, at least 30 seconds must pass before you can re-activate the immunity buff.

	Squire Set
	Squire Great Helm and Greaves Defense each increased by 1
	Squire Great Helm's healing decreased by 50%

	Chlorophyte Set (Melee)
	Chlorophyte Mask Defense decreased from 25 to 20
	Chlorophyte set bonus now gives an additional 5% Damage Reduction if you are wearing the Chlorophyte Mask

	Turtle Armor
	Set bonus now gives 15% Damage Reduction
	Set bonus Thorns damage now does twice as much

	Spectre Armor (Mask)
	Set bonus projectiles now deal 100% of the original damage instead of 50%
	The "recovery rate" that determines how many new projectiles can be generated over time has increased from 150 to 250

	Spooky Set
	Overall Defense increased from 27 to 30, with each piece gaining 1 Defense
	Spooky Breastplate now gives +2 Minion count instead of +1
	Spooky Leggings now give 20% movement speed

	Valhalla Set
	Total Defense of the set is increased by 4, but has been redistributed
	Valhalla Helmet Defense increased from 14 to 20
	Valhalla Breastplate Defense decreased from 30 to 24
	Valhalla Greaves Defense increased from 20 to 24
	Valhalla Breastplate's healing decreased by 50%

	Nebula Armor
	Healing Booster effect now gives 3 HP/s instead of 5, with a maximum of 9 HP/s possible now

	Solar Armor
	Solar Helmet critical chance bonus increased from 17% to 26%
	Solar Breastplate melee damage bonus increased from 22% to 29%
	Each piece of the set now gives 1 HP/s regen
	Instead of 30% damage reduction whenever you have charges, you now have 12% damage reduction at all times, and 20% additional damage reduction while charges are active. In practice, this is roughly equivalent to the same 30% it used to give due to how the two values are multiplied.
	Recharge time between shield charges reduced by 1 second

	Stardust Armor
	Stardust Guardian now has a more much vigorous and aggressive attack, and he will attack automatically without prompting. All resemblance to a certain anime is purely coincidental.

D. Melee Weapons:
	Shortswords
	Shortswords can now be used in all directions, not just forward
	Gold Shortsword damage increased from 11 to 12

	Flails
	Flails now have entirely new behavior, and a few different functionality modes.
	If you click and hold the mouse button, they will swing around rapidly, doing low knock back and hitting rapidly in a small circle around you.
	If you click and use them normally, you will shoot them forward similar to how they use to be used, but they will move much faster than they did before. The damage dealt is double in this mode.
	Finally, if you click while it is in midair after having shot it forward, it will drop suddenly and lay on the ground. This can be used as a stationary damaging obstacle like a Spiky Ball on enemies walking towards you.
	Some flails have had some stat tweaks to fit with this new setup, such as having slightly longer or shorter range, but generally speaking, all of them should perform better than before.

	Cactus Sword
	Damage decreased from 9 to 8
	Use Time increased from 25 to 32
	Knockback decreased from 5 to 4.5

	Trident
	Damage increased from 11 to 14
	Knockback increased from 5 to 6
	When held, gives unrestricted movement in water

	Chain Knife
	Damage increased from 11 to 12

	Enchanted Sword
	Damage decreased from 24 to 23
	Use Time increased from 18 to 21
	Knockback decreased from 5.25 to 4.25

	Falcon Blade
	Damage decreased from 30 to 25
	Use Time increased from 15 to 20

	Light's Bane
	Size Scale increased from 1.1 to 1.4 (Makes it bigger)

	Amazon
	Damage decreased from 20 to 18
	Crafting: Stingers Required increased from 2 to 12
	Crafting: Jungle Spores Required increased from 3 to 9

	Beekeeper
	Damage decreased from 26 to 24
	Use Time increased from 20 to 22
	Knockback decreased from 5.3 to 5
	Is no longer autoswing

	Muramasa
	Damage increased from 19 to 21

	Fiery Greatsword
	Use Time decreased from 34 to 30

	Breaker Blade
	Damage increased from 39 to 43
	Use Time decreased from 30 to 29
	Gained a special mechanic where it will deal 2x damage to enemies with over 90% health

	Cobalt Sword
	Unchanged, but listing here intentionally to ensure there was no oversight. Cobalt Sword's damage was previously much higher than it should have been, but we are using it as the new baseline which the rest of the swords are being compared to.

	Palladium Sword
	Damage increased from 41 to 45

	Mythril Sword
	Damage increased from 44 to 49

	Orichalcum Sword
	Damage increased from 47 to 50
	Use Time decreased from 26 to 25

	Adamantite Sword
	Damage increased from 50 to 56
	Use Time decreased from 27 to 26

	Titanium Sword
	Damage increased from 52 to 58
	Use Time decreased from 26 to 25

	Phasesabers (All)
	Damage increased from 41 to 42
	Use Time decreased from 25 to 20

	Beam Sword
	Use Time increased from 15 to 20 (Does not impact Projectile cooldown)

	Fetid Baghnakhs
	Damage decreased from 70 to 60
	Use Time increased from 7 to 8
	Only gains 25% benefit from increased melee speed stats

	Anchor
	Damage increased from 30 to 55
	Use Time decreased from 30 to 20

	Format C
	Damage increased from 29 to 35

	Gradient
	Damage increased from 34 to 44

	Chik
	Damage decreased from 39 to 38

	Amarok
	Damage increased from 43 to 47

	HelFire
	Damage increased from 41 to 45

	Excalibur
	Damage increased from 57 to 66
	Use Time decreased from 25 to 20

	Brand of the Inferno
	Damage increased from 44 to 85

	Sleepy Octopod
	Smash attack now does 3x damage, up from 2x

	Code 2
	Damage increased from 47 to 54

	Chlorophyte Claymore
	Damage increased from 75 to 80

	True Night's Edge
	Damage increased from 90 to 105

	Psycho Knife
	Note: Functionality overhaul renders this weapon akin to an upgraded Fetid Baghnakhs. It maintains its Stealth bonus.
	Damage increased from 70 to 85
	Use Time decreased from 20 to 8
	Only gains 33% benefit from increased melee speed stats

	Keybrand
	Damage increased from 70 to 85
	Now deals up to 150% more damage based on how injured an enemy is

	Kraken
	Damage increased from 90 to 95
	Now has a 10% critical chance

	Scourge of the Corruptor
	Average projectiles spawned from each shot increased from 2.3 to 2.66

	Golem Fist
	Damage increased from 76 to 90

	Christmas Tree Sword
	Projectile has been completely overhauled. Instead of firing one ornament, it fires several ball ornaments and a star ornament that will hover in place for a few seconds before falling to the ground.
	Is now autoswing

	Daybreak
	Technically a bug, fixed an issue where Daybreak would not spread its debuff if your attack killed the target in one hit. Now spreads the debuff to nearby enemies even if the attack kills the target in one hit


E. Ranged Weapons:
	Bone Javelin
	Damage decreased from 29 to 20 due to earlier tier

	Bee's Knees
	Damage decreased from 26 to 23
	Use Time increased from 23 to 24

	Handgun
	Use Time decreased from 12 to 10

	Hellwing Bow
	Damage increased from 20 to 22
	Use Time decreased from 14 to 13
	Knockback increased from 5 to 5.5

	Clockwork Assault Rifle
	Damage decreased from 19 to 17

	All 6 Ore Repeaters
	Use Time decreased by 1

	Marrow
	Damage increased from 40 to 50

	Ice Bow
	Damage decreased from 46 to 39
	Use Time decreased from 21 to 16
	Now auto-fire
	Note: Despite the damage reduction, this will result in a stronger bow overall, albeit more defense-impacted than bows like Marrow. Change is primarily meant to introduce variation between the bows.

	Daedalus Stormbow
	Damage decreased from 43 to 38
	When using Holy, Unholy, Hellfire, or Jester arrows, shoots an average of 2.66 arrows, instead of the normal average of 3.33 arrows

	Dart Pistol
	Damage increased from 28 to 33

	Dart Rifle
	Damage increased from 52 to 62

	Toxikarp
	Use Time decreased from 14 to 10

	Hallowed Repeater
	Damage increased from 43 to 53
	Use Time decreased from 19 to 16

	Flamethrower
	Damage increased from 27 to 35
	Applies a 15% damage penalty to the next hit for each enemy a projectile pierces

	Phantom Phoenix
	Damage increased from 24x2 to 32x2
	Use Time decreased from 20 to 18
	Phoenix projectile now fires on every 3rd shot instead of every 4th

	Chlorophyte Shotbow
	Average arrows per shot decreased from 2.7 to 2.33

	Venus Magnum
	Damage increased from 38 to 50

	Grenade Launcher
	Use Time decreased from 30 to 20

	Rocket Launcher
	Damage decreased from 50 to 45
	Does 2x damage on direct hits to a single target

	Proximity Mine Launcher
	Does 3x damage when mines are stationary, normal damage when they are still moving
	Use Time increased from 40 to 50
	Reduced the number of active mines that you can have at once

	Piranha Gun
	Now shoots 3 Piranhas, which can attack the same or different targets
	The rate at which the Piranhas can bite has been decreased slightly on an individual basis, but the total DPS the three Piranhas can do is now much higher

	Pulse Bow
	Damage increased from 65 to 85
	Use Time decreased from 22 to 20
	Damage reduction for each target hit increased from 10% to 20%

	Stynger
	Does 2x damage on direct hits to a single target (Only applies to the initial bolt, not the fragments)

	Celebration
	Damage decreased from 65 to 25 (Note: Rocket damage is very high and is added to this. Even Rocket 1s deal 40, so the actual damage reduction is 105 to 65 even using the worst Rockets)
	Bonus Critical chance of 10% removed
	Now sold by the Party Girl after Golem

	Elf Melter
	Damage increased from 40 to 60
	Applies a 15% damage penalty to the next hit for each enemy a projectile pierces

	S.D.M.G.
	Damage increased from 77 to 85
	Chance to not consume ammo increased from 50% to 66%


F. Magic Weapons:
	Wand of Sparking
	Increased damage from 8 to 14
	Use Time decreased from 28 to 26
	Increased On Fire! chance from 33% to 50%
	Now has a 10% critical chance

	Magic Missile
	Projectile is faster and has homing if you release it
	Has a moderate AoE damage explosion on impact
	Use Time increased from 17 to 18
	Mana Cost increased from 10 to 12

	Flamelash
	Projectile is faster and has homing if you release it
	Now pierces and can hit a second time. Has a moderate AoE damage explosion after the second hit.
	Damage decreased from 40 to 36
	Use Time increased from 20 to 30
	Mana Cost increased from 12 to 18

	Staff of Frost
	Use Time decreased from 20 to 16
	Mana cost decreased from 14 to 12

	Cursed Flames
	Damage increased from 36 to 50
	Use Time decreased from 20 to 15
	Mana cost decreased from 12 to 9
	Related: See Cursed Inferno buff

	Flower of Frost
	Damage increased from 55 to 60
	Use Time decreased from 20 to 12
	Mana cost decreased from 17 to 11
	Increased Frostburn chance from 50% to 100%

	Crystal Storm
	Damage increased from 25 to 32
	Mana cost increased from 4 to 5

	Poison Staff
	Note: Previously, due to piercing immunity frames, only one projectile from each shot would hit each target, resulting in a lot of lost damage. We've implemented a system that allows ALL of the projectiles to hit a target, dramatically improving its shotgun-like functionality. However, to offset this gain, it has had to have some of its stats reduced. On the whole, this should now be a stronger weapon, however.
	Damage decreased from 48 to 43
	Reduced number of enemies that each projectile can hit from 4 to 3
	Applies a 25% damage penalty to the next hit for each enemy a projectile pierces
	Projectiles now have a limited range

	Crystal Vile Shard
	Damage increased from 19 to 25
	The duration that the projectiles linger (and deal damage) is increased by roughly 70%

	Clinger Staff
	Height of the Clinger flames increased by 50%
	No longer has a hit limit
	Can now inflict Cursed Inferno debuff (Related: See Cursed Inferno buff)
	Can now inflict critical hits

	Medusa Head - Complete Overhaul
	Rather than being charged, this weapon is now channeled and its range substantially reduced.
	When channeled, it will be held in front of the player. If no enemies are present, it will not fire, and will consume no mana.
	When enemies are in range, it will constantly attack any nearby enemies, consuming mana for each attack.
	Can hit up to 3 targets with each attack (does not consume extra mana)
	Damage is now set to 40
	Mana cost has been decreased from 18 to 15, however, it can now fire up to 4 times per second, increasing the speed at which it consumes mana

	Sky Fracture
	Mana cost increased from 14 to 17

	Spirit Flame
	Use Time decreased from 30 to 22
	Mana Cost decreased from 18 to 14

	Rainbow Rod
	Projectile is faster and has homing if you release it
	Now pierces and hits up to 3 times.
	Has a moderate AoE radius on impact
	Damage 74 -> 50
	Use Time increased from 18 to 25
	Mana Cost 18 -> 21
	Can touch tiles without exploding now.

	Unholy Trident
	Use Time decreased from 22 to 17
	Mana cost decreased from 25 to 19

	Tome of Infinite Wisdom
	Damage increased from 24 to 32
	Use Time decreased from 30 to 25

	Venom Staff
	Note: Has received the same general overhaul as Poison Staff. Should be much improved in actual use, but needs stat reductions to offset this change. Give it a try before you judge! :)
	Damage decreased from 63 to 44
	Reduced number of enemies that each projectile can hit from 7 to 5
	Applies a 25% damage penalty to the next hit for each enemy a projectile pierces
	Now has a range before projectiles die, 50% longer than Poison Staff's

	Wasp Gun
	Note: This may sound like a nerf on paper, but it trades "hit count" for total damage, and will actually result in dramatically more DPS for the Wasp Gun. Less Wasps, more damage.
	Damage increased from 21 to 31
	Use Time increased from 11 to 18
	Wasps can now bounce/pierce only 3 times instead of 4
	Wasps per Cast: Reduced to an average of 3
	Mana cost increased from 6 to 10

	Nettle Burst
	Damage increased from 28 to 35
	Mana cost increased from 10 to 12

	Spectre Staff
	Damage decreased from 72 to 65
	Each projectile can now hit up to 3 times, rather than only once
	Mana cost increased from 11 to 15

	Staff of Earth
	Actual damage mostly unchanged, but lists its "max speed" damage now rather than its "low speed" damage
	Now has a 20% critical chance
	Mana Cost increased from 15 to 18
	Use Time decreased from 40 to 24
	Projectile speed greatly increased, as a result, has better range and much harder to fall below the minimum threshold to maintain maximum damage

	Heat Ray
	Note: There were too many "full piercing" weapons at this tier, and not enough high single target damage weapons. Heat Ray changed to avoid redundancy with Shadowbeam Staff and Staff of Earth and give the class more versatility. 
	Damage increased from 55 to 80
	Use Time decreased from 16 to 10
	Can no longer pierce and hit multiple enemies

	Bat Scepter
	Average Bats per cast increased from 2 to 2.5
	Mana cost increased from 3 to 6

	Charged Blaster Cannon - Complete Overhaul
	This weapon still charges, but it now fires constantly while charging.
	For the first second of charging, you will fire 6 single-target pellets, each dealing a base damage of 100 (up from 50)
	For the next two seconds, you will fire 3 total piercing blasts, each dealing a base damage of 250 (up from 100)
	After this, it will shoot the laser beam, which is unchanged from the original implementation
	You can also quick-fire pellets without charging. The fire rate of these pellets is much higher than the previous implementation.
	The mana cost of charging is unchanged, however, quick firing will naturally consume more mana as the fire rate has increased significantly.

	Nebula Blaze
	Use Time decreased from 15 to 12
	Mana cost decreased from 18 to 12

G. Summons:
	Summoned minions now adjust their damage dynamically based on your current equipment and damage buffs

	"Some (though not all) Summons now use their own damage immunity timer system. In practice, what this means is that they will no longer interfere with the use of other weapons by maxing out the enemy's immunity frames. All affected minions are set on their own damage timer to most correctly match their pre-change DPS, but some changes are to be expected comparing 1.3.5 DPS to 1.4 DPS. In general, even if there is some minor loss or gain of DPS compared to pre-change performance, it should be worth the improvement to overall performance. Examples of minions impacted by this change:
	- Slime Staff
	- Spider Staff
	- Pirate Staff
	- Optic Staff
	- Raven Staff
	- Deadly Sphere Staff
	- Stardust Dragon Staff
	- Some of the new summons also utilize this system"

	Imp Staff
	Damage decreased from 21 to 17
	Fire Rate increased dramatically

	Raven Staff
	Damage increased from 37 to 55
	Flight speed doubled

	Rainbow Crystal Staff
	Damage decreased from 150 to 80
	Fixed accuracy issues, improved the speed at which sparkles explode. Should easily do more damage than before.

H. Ammo:
	Arrows and Thrown ranged weapons no longer have a chance to drop as items for reuse

	Bone Arrows
	Now pierces one time

	Chlorophyte Arrows
	No longer pierce targets
	Projectile speed is increased
	Can now bounce several times, and will "Smart Bounce" at a nearby target if one is in range
	Post-bounce arrows only deal 66% damage

	Holy Arrows
	Falling Stars can no longer pierce and hit a second target
	Falling Stars now do 50% of the original damage instead of 100%

	Nano Bullets
	Damage increased from 10 to 15
	Price of Nanites increased

	Venom Bullets
	Damage increased from 14 to 15
	Related: See Venom buff
	Price of Vial of Venom increased

	Venom Arrows
	Damage increased from 17 to 19
	Related: See Venom buff
	Price of Vial of Venom increased

	Crystal Dart
	Damage increased from 15 to 17

	Cursed Dart
	Damage increased from 9 to 10
	Related: See Cursed Inferno buff

	Ichor Dart
	Damage increased from 10 to 12

I. Accessories, Hooks, and Mounts:
	You no longer gain stacked benefits from wearing multiple Celestial Stone variants
	In addition to its previous Confusion effect, Brain of Confusion now gives a 1/6 chance to avoid enemy attacks. Upon avoiding an attack, you will gain a temporary buff that gives 20% critical chance for a few seconds, during which time you cannot avoid additional attacks.
	Titan Glove and its tinkers now give autoswing to all Melee Weapons (and Whips!)

	Wing Balance has been heavily balanced across the entirety of the game.
	With only a few exceptions, wings found at the same tier should be roughly equivalent in power. Exceptions are usually particularly hard or particularly easy to get.
	Unfortunately, its difficult to share exact stats for wings, partially because there are dozens of them that have been changed, and their stats don't easily translate to easily readable stats.
	The best short summary is that over a dozen sets of wings were buffed, and that Leaf and Frozen Wings have been reduced in power, as they were too strong for their tier.
	Other major notes:
	- Butterfly and Bee Wings can now only drop after the Mech Bosses, but their power has been increased proportionally.
	- Previously, most wings from Wall of Flesh until Golem were very similar in power, and didn't offer a lot of reason to upgrade. These have now been spread out, creating a more gradual, consistent increase in wing power across the course of the game.


	Shrimpy Truffle now gives its increased speed and damage bonus when in the rain.
	Basilisk Mount now has a double jump

	Bat Hook
	Pull In Speed decreased from 16 to 13  (This is the speed at which it pulls the player to the hook)
	Shoot speed decreased from 15.5 to 13.5

	Thorn Hook
	Pull in speed increased from 11 to 12
	Shoot speed increased from 15 to 16

	Lunar Hook
	Pull in Speed increased from 13 to 16
	Shoot speed increased from 16 to 18

J. Tools and Mining:
	All axes, hamaxes, chainsaws and other tools with axe-functionality have their wood cutting speed increased by 20%
	All drills and chainsaws now dig faster than their non-mechanical counterparts, but have shorter range. Additionally, optimized digging loadouts still perform better on pickaxes/axes, but drills and chainsaws will be faster on non-optimized loadouts
	Desert Fossil can now be mined at any pickaxe power or with bombs. However, it is fragile and adjacent fossil blocks may break when you mine it, costing you some of the ore.
	Desert Fossil based gear is now weaker because it is available sooner.
	Hellforges now require Demonite Pickaxe or higher to break. They also now protect the tiles below them from being broken while in the Underworld. This does not apply outside of the Underworld.

	Cactus Pickaxe
	Use Time decreased from 16 to 15
	Damage decreased from 5 to 4

	Bone Pickaxe
	Mining power increased from 50 to 55

	Reaver Shark
	Mining power decreased from 100 to 59

	Laser Drill
	Range increased from 10 to 11
	Use Time decreased from 7 to 6
	No longer has axe functionality

K. Buffs, Debuffs and Potions:
	A substantial number of Buff Potions have had their durations increased, many as much as twice as long
	The Well Fed buff has been divided into three tiers, with the lowest tier being equal to the original, and the strongest being 2x as strong as the original
	All of the Food in the game, including the 50+ new Food items, have had their durations and tiers adjusted to have a more consistent reward for the difficulty of obtaining them. Short duration foods might have a higher tier, while long duration foods might have a lower tier. Find what is most efficient for you!
	Well Fed Buff now gives a mining speed bonus
	Invisibility Potion now has an added benefit of reducing enemy spawn rates by 20%
	Restoration Potions no longer heal mana, but heal 10 more life for a total of 90, and induce even less Potion Sickness, now only 45 seconds
	Sharpening Station's Armor Piercing bonus has been increased from 4 to 12

	Cursed Inferno Debuff
	Damage per second increased from 12 to 24 on both player and enemy versions of the debuff
	Ghoul, Clinger, and Spazmatism Cursed Inferno duration decreased somewhat to mitigate the increased danger to the player
	All other sources of this debuff are intended recipients of the improved damage

	Venom Debuff
	Damage per second increased from 12 to 30 on both player and enemy versions of the debuff
	Pygmy and Queen Spider Staff Venom duration decreased to mitigate the increased potency
	Black Recluse and Sand Poacher Venom duration decreased somewhat to mitigate the increased danger to the player
	All other sources of this debuff are intended recipients of the improved damage

L. Fishing:
	Bait is more likely to be consumed
	Very high fishing power now gives decreasing returns
	Fishing Power is 1.1x during Blood Moons
	Swordfish is now less common when fishing
	Golden Carp is less common when fishing
	Biome Crates are now guaranteed to drop a chest item, instead of only sometimes
	Dungeon Crates will now always drop a Gold Lockbox
	Flower Boots are now included in the Jungle Crates loot pool
	Wood, Iron, and Gold Crates drop better quality ore depending on which level of crate it is. Wood Crates, for instance, only drop Copper/Tin/Iron/Lead.
	Penguin and Turtle Pets can now be obtained rarely from their respective Biome crates
	All fishing crates now come in pre-Wall of Flesh and post-Wall of Flesh variants. Pre-Wall of Flesh variants do not contain Hardmode Ores.
	Gold Crates now have a chance to drop Life Crystals and Enchanted Swords

M. Drops:
	Amber is slightly more common from Fossils, and can generate naturally in the Underground Desert
	Angler’s Quest rewards are now more likely to give you the Info Accessories. Additionally, he will not give you duplicates of an accessory you have in your inventory, unless you already have them all already
	Basic Dye materials now give 2 of that dye instead of 1 when crafting
	Coin Portal chances when breaking pots has been decreased by half
	Enemies have an increased chance to drop bonus amounts of money when killed
	Enemies drop extra money during Blood Moons
	Golden Keys should now drop more often from enemies and pots, and Dungeon Slimes are slightly more common
	Gold Critters are now more rare
	Jellyfish and Granite Golems spawned from statues now drop their items even less frequently, and decreased the sell value of some of those drops
	Lava Charms can only be found in chests within the lava layer now, but Lava Fishing now provides a secondary renewable source for them
	Mandible Blade can now be dropped by Antlion Swarmers
	Moon Lord now drops Super Healing Potions instead of Greater Healing Potions
	Mushroom Grass Seed drop rate increased from 1/50 to 1/40
	Nature’s Gifts now spawn slightly more often in the Jungle
	Picksaw now has a ¼ chance to drop from Golem in addition to his other loot, instead of being part of his main drop pool. This drop rate is 33% from Expert Treasure Bags.
	Rod of Discord's drop rate in Expert mode is now 1/400
	Strange Plants no longer generate during worldgen, and will not start appearing until Hardmode
	Throwing Knives in chests now come in much larger stacks
	Water Walking Boots now have a 1/10 chance to appear in Water Chests, increased from 1/15
	Several Martian Invasion drops are now dropped from regular Martians instead of Martian Saucers, decreasing the random nature of the Martian Saucer’s drop pool

N. Misc:
	The Nurse now charges increasing amounts of money for healing as the game progresses
	Town NPCs now get a little stronger every time you defeat a boss
	Sandstorms are now significantly less common, particularly in the early game
	Reduced the intensity of Mighty Wind
	Rain is slightly less common
	Dungeon Spike damage has increased from 40 to 60, and inflicts Bleeding
	Temple Wooden Spike damage has increased from 60 to 80, and inflicts Bleeding
	Gem and Rainbow Torches now give 10 torches per crafting instead of 3
	Glowsticks and Torches now stack to 999
	All Bombs, Grenades, and Dynamite now stack to 99
	Ore Bars now stack to 999
	Alchemy Seeds and Plants now stack to 999
	Tissue Samples and Shadow Scales now stack to 999
	Pirate Map and Snow Globe items can now stack to 20
	Increased consistency of boss money drops
	Did an extensive review of sell values across the entire game, increasing the consistency of sell values. This particularly includes things like items that had no sell value but should have, consistent sell value of items dropped from the same source, infinite money exploits by buying-low/selling-high through crafting, and much more


IV. Journey's End: Bug Fixes:

A. Gameplay and Combat Bugs:
	Fixed an issue where Copper and Tin Bows were considered Melee weapons for the purposes of prefixes
	Fixed an issue where firing Tome of Infinite Wisdom on a sloping minecart track would cause the pages to fire in all directions
	Fixed an issue where using Tome of Infinite Wisdom’s right click functionality while on a Drill Mount would drain all of your mana almost instantly
	Fixed an exploit where dying to Chaos State while holding a Rod of Discord in the cursor on a Hardcore character would cause the next character used to inherit said Rod of Discord
	Fixed an issue where the last segment of Solar Eruption’s blade didn’t actually do damage
	Added protections to prevent a very rare bug where the Solar Eruption debuff would kill its own user
	Fixed an oversight in Halloween drop rates based on HP that caused Bladed Gloves and Bloody Machete to be too rare in Expert
	Fixed an issue where extremely high melee speed thresholds would break the behavior of weapons like Sky Dragon’s Fury
	You can no longer use Sniper Scopes and Binoculars while dead
	Staff of Regrowth no longer breaks rocks and other rubble
	Fixed an issue where you could use certain channeled weapons but switch to another weapon and use that weapon as well
	Fixed an issue where certain channeled weapons and tools would continue being used even after the player is turned to stone
	Fixed an issue where, after using a cooldown timed projectile sword, switching to another hotbar slot via number key would delete 1 consumable from that slot
	Fixed a number of damage type inconsistencies including projectiles doing the wrong damage type, weapons receiving/not receiving damage type set or potion bonuses in error, critical rates being applied incorrectly, and a lot more
	Fixed a number of edge cases where things like mount damage or Shield of Cthulhu dashing would not register on the DPS meter
	Fixed an issue where having two types of dash abilities and removing one of them mid dash would unexpectedly double your dash distance
	Fixed a similar issue where removing a dash accessory mid dash would prevent Hermes-type boots from letting you run until you put the dash accessory back on
	Fixed some exploits involving Flower Boots
	Fixed a issue where using Sandstorm in a Bottle then instantly shooting multiple grappling hooks to different blocks would leave the character spinning back and forth forever
	Fixed an issue where several wings (Fin, Bat, Mothron) had a faulty acceleration speed
	Fixed an issue where Spore Sac would only work near blocks, but not when only near platforms
	Fixed an issue where Neptune Shell wearing players could stick their head in water and die, because head-submersion wasn’t enough to turn you into a merman, but it was enough to drown
	Fixed an inconsistency with how Cloud in a Bottle behaved differently with wings than other Jump Bottles
	Fixed an issue where Sharktooth Necklace and Banner Buff would not apply to a variety of atypical attacks
	Fixed an issue where Stopwatch wouldn’t correctly display player speed while on some mounts, like while falling with the Slime Mount
	Fixed an issue where moving sideways on a rope would be considered 0 MPH for the Stopwatch
	Fixed an issue where some wings would produce light even in vanity slots
	Fixed a number of increased placement range boosters (Toolbelt, Builder Potion) not stacking correctly
	Mime Mask is now properly considered a vanity helmet
	Fixed a tendency for certain automatic attacks like Sentries or Chlorophyte Armor to attack invincible enemies such as Dungeon Spike Balls or Blazing Wheels
	Fixed an issue where some Shroomite and Chlorophyte armor bonuses would not stack
	Fixed some inconsistencies with armor bonuses applied to the damage type of Snowball related attacks
	Fixed an issue where Frost/Necro Armor made inconsistent special armor sounds depending on if they were in vanity/normal armor slots and also when worn with each other
	Fixed an exploit (or made it substantially harder) to avoid damage with the Slime Mount and Target Dummies
	Fixed an issue where flying mounts would very slowly increase in height over time
	Fixed an issue where flying mounts could descend through lowered platforms
	Fixed an issue where you could not use Quick Buff while riding the Drill Containment Unit
	Fixed an extra double jump only when jumping out of water while riding the Slime Mount
	Fixed a minecart issue where tracks that ran directly into conveyor belts would cause the minecart to derail
	Fixed an issue that made jumps fail sometimes in fast moving minecarts
	Fixed an issue where Lightning Sentries that were placed on sloped blocks underwater would sink into the ground
	Fixed an issue where Queen Spider Sentry could not have multiple summons with Sentry boosting gear
	Potentially fixed an issue where Smart Cursor would fail constantly when at the very edge of the world
	Fixed an issue where Smart Select did not suggest Desert Fossil for Extractinator
	Fixed an issue where Smart Select would favor a Flare Gun with no flares over a stack of Glowsticks
	Fixed an issue where climbing on rope at the edge of the world would cause the camera to move away from the player
	Fixed a hoik-related issue where using a grapple and ropes could cause the camera to leave the player behind entirely
	Fixed an issue where looking at buff furniture (Campfires, Heart Lanterns) with binoculars or sniper rifles would give you the buff
	Fixed a number of crafting inconsistencies with required crafting stations for different types of platforms. Most are by hand now, but a handful require special stations
	Fixed a bunch of crafting station inconsistencies with furniture sets
	Fixed inconsistencies with reflected projectiles inflicting debuffs on the player; they should not be inflicting debuffs at all
	Fixed some inconsistencies with Warmth Potion and cold based attacks not receiving protection
	Fixed an issue where drinking a Flask while a previous Flask was active would remove the first flask buff but not give the new buff
	Reduced the effectiveness of exploiting portals and fall damage to be immune to bosses and other threats
	Fixed the infamous Infinite Fishing Line exploit
	Fixed an issue where switching items in the moment of reeling in an item from fishing would forfeit that item
	Fixed an issue where Angler Quest rewards decreased in quality after 150 Quests
	Added some protection against an issue where music tracks would keep playing quietly in the background when teleporting to other biomes
	The Kraken Yoyo should now also give the Robbing the Grave achievement
	Fixing (again) an issue where the Funkytown achievement would unlock from teleporting out of an Underground Mushroom Biome
	Fixed an audio issue where Pad Thai made a drinking sound instead of an eating sound
	Fixed an issue where some wall items would be placed substantially slower than other wall items
	Fixed an issue where opening a Money Trough while holding an item would use the item and open the Money Trough
	Fixed a number of minor inconsistencies between 4k and non-4k resolution gameplay
	Fixed an issue where picking up a lot of coins would give the correct amount of money, but the money displayed on screen was incorrect
	Fixed an issue where spawn points at the Ocean of large worlds would constantly reset themselves

	A1. Reverse Gravity Bugs"
		Fixed (again) an issue where Celestial Pillar shields would fly into the sky when reversing gravity
		Fixed an issue where pressing UP to flip Gravity would dismount the player from flying mounts. Now, it simply does not flip Gravity when in mounts.
		Fixed a reverse gravity issue where the Floating Piggy Bank’s mouseover detection would be in the wrong direction
		Fixed a reverse gravity issue where Blizzard Staff-style weapons would converge in the opposite direction of where you aimed
		Fixed a reverse gravity issue where the player would get stuck on hammered platforms
		Fixed an issue where Forbidden Set’s ring didn’t flip properly in reverse gravity
		Fixed a reverse gravity issue where some weapons wouldn’t flip with the player
		Fixed a reverse gravity issue where cobwebs didn’t correctly slow inverted players

	A2. Camera Mode Bugs:
		Substantially improved/fixed the way that Camera mode captures Celestial backgrounds/shaders and weather effects
		Fixed an issue where some projectiles would not appear in Camera screenshots
		Fixed an issue where waterfalls and other similar visuals did not display in Camera mode images
		Fixed issue where Stardust Guardian appears in front of the player in Camera screenshots
		Fixed an issue where some tiles, such as Pressure Plates, would draw in the wrong layer when taking Camera screenshots

B. World, Background, and Worldgen Bugs:
	Dramatically improved sky island house/furniture generation, fixing houses generating with no furniture or doors
	Fixed an issue where cobwebs in worldgen would sometimes delete naturally generated wires
	Improved failsafes and detection for broken or floating chests in worldgen, which can be unbreakable or even corrupt world files
	Fixed a worldgen issue where Mushroom Cabins had mushrooms occupying the same place as other furniture, which tended to break them
	Fixed a minor worldgen quirk where a single platform would spawn at the edge of the Dungeon’s stairs
	Fixed a typo issue that resulted in underground chests having twice as many Water Walking Potions and Dangersense Potions as intended, instead of a chance for Titan Potions
	The behavior of the very last Sign when reaching the Sign limit is less buggy now
	Fixed an issue where Campfire minibiomes used “player placed�Edirt walls
	Fixed an issue where naturally generated Statue traps would not have a statue
	Fixed an issue where Gold Chests were unable to generate outside of Underground Cabins in the Cavern layer
	Fixed the vast majority of situations where underground explosive rigged ore minibiomes would generate without the detonator
	Fixed an issue where minecart tracks would generate over Life Crystals and Chests
	Fixed an issue where Crimson Vines would spawn in unviable locations, and break spontaneously when the player approached them
	Fixed an issue where Hardmode world generation would fill caves with unusual background walls
	Fixed a number of worldgen issues that ultimately resulted in beaches being way too small, especially on the right side or when the Jungle was too close
	Fixed a rare worldgen issue where Beaches would devour part of the Dungeon, and sometimes, even the Old Man
	Fixed a subtle worldgen issue in the Dungeon where Marble/Granite biomes that had generated under it would still leave some of the Dungeon Bricks hammered in the same shape they were when before the Dungeon generated
	Fixed a worldgen issue where sometimes Sky Lakes would take priority at the expense of regular Sky Islands
	Fixed the infamous “drunken Dungeon�Ewhere worldgen has the Dungeon sticking high up out of the ground
	Fixed a worldgen issue where altars of the opposite world evil would sometimes generate in your world
	Fixed an issue where Demon/Crimson Altars would spawn in large clusters at the edge of the ocean
	Fixed a long running issue where “tall Oceans�Ewould appear in worldgen
	Fixed a worldgen issue where Queen Bee’s hive should have been full of natural honeyfalls but they weren’t working
	Fixed an issue where Corrupt/Crimson Chasms generated over the Dungeon and blocked its entrance
	Fixed an issue where large clumps of underground sand would generate near spawn, subjecting the player to an immediate desert biome
	Fixed an issue where worlds would not use all of the background variants available
	Significantly improved how the Temple’s Golem room generates to reduce the possibility of being inaccessible
	Fixed an issue where Lihzahrd Altars would sometimes spawn on top of breakable spikes and traps
	Improved worldgen to reduce the possibility of the Temple’s door being blocked off by Lihzahrd Blocks
	Fixed an issue where sometimes the hallway leading into the Temple would be full of mud instead of Lihzahrd Walls
	Fixed an issue where different operating systems would see slightly different world seed results, though we will have to keep an eye out for this recurring
	Increased the minimum range from spawn that Sky Islands require, to prevent spawning on them
	Partially fixed an issue where multiple Crimson Caverns would spawn over top of each other, rending their hearts too easy to reach. They should now be encased in Crimstone even when it does happen.
	Fixed a very rare issue where a pyramid entrance overlapping a grassy cave would fill the entire pyramid with grass
	Fixed an issue where spreading biomes would infect a far larger range than normal on Underground Desert walls
	Fixed an issue where quitting while in the middle of a Slime Rain would reset its duration
	Fixed a message about Slime Rain ending when quitting out of a Slime Raining world and joining one that has no Slime Rain
	Fixed an issue where Corruption always took priority over Crimson, even if Crimson had far more blocks
	Fixed a visual issue where background clouds would appear “impossibly low�Ein the ocean
	Fixed a background issue where black borders could be seen at the bottom of the Underworld’s background
	Fixed some issues with black bars at the bottom of the sky right at the edge of the Underground layer
	Fixed an issue where the top edge of the the underground layer’s backwall would flicker into visibility on screen instead of off screen

C. Visual/Spriting Issues:
	Fixed a number of visual issues with Space Creature Costume
	Fixed some spriting issues on the Raincoat
	Removed a stray pixel while swinging weapons when wearing the female Snow Coat
	Fixed a stray blue pixel on the Eater of Worlds Mask
	Fixed an issue where some dyed Old One’s Army armors would dye your backpacks and capes as well
	Fixed an issue where some of the Old One’s Army armors could not be dyed properly, or would retain colors from the player’s default outfit
	Fixed a layering issue where a female character’s bare hand would be visible even when covered by gloves and shields
	Fixed a wide variety of Cape related transparency issues, which should result in Capes looking better overall
	Fixed a number of issues with and dramatically improved the way Shields and Capes draw/layer in relation to each other
	Fixed a surprisingly difficult to resolve issue where Jim’s Legs had a cape that did not play well with certain other vanity items, such as the Mermaid Adornment
	Fixed an issue where Valhalla Knight’s Helmet and Tam O' Shanter would bob awkwardly while moving
	Fixed a visual issue where Vortex Armor had a weird bobbing effect
	Fixed a visual issue where the Kimono would appear in front of Shoes accessories
	Fixed a visual issue where players with Lamia/Mermaid Tail would somehow visually wear boots despite having no feet
	Fixed an issue where blindfolds drew over the player’s hair instead of under
	Fixed an issue where dyes for face accessories and the familiar wig would not show up properly on the player’s map head icon
	Fixed an issue where Twilight Hair Dye only looked right when also using Twilight Armor Dye
	Fixed an issue where a number of armors (Aaron’s, Vortex, Nebula, Obsidian) had an unsightly band of graphical issues around the waist
	Fixed an issue where Shield of Cthulhu would be slightly cut off graphically when dashing
	Fixed some issues with the way Belt accessories display on the player during various animation frames
	Animated accessories now no longer animate when paused
	Fixed an issue where wearing a full set of Lunar Armor would cause Party Hair Dye to generate excessive amounts of confetti
	Fixed an issue where Master Ninja Gear, Tabi, and Blackbelt created smoke that reacted oddly to dyes
	Fixed an issue where Forbidden Armor’s set bonus could create a spammy spray of sparks
	Fixed a visual issue where head accessories on the map would be offset and jitter slightly when you moved
	Fixed an issue where the player’s head appeared in the wrong position on the map when riding some mounts
	Scutlix Mount no longer makes Honey effects when summoned
	Fixed an issue where backpacks and other such things drew at incorrect heights when on mounts
	Fixed an issue where the Slime Mount was drawing offset by one half pixel
	Fixed several hundred Pet/Dye combinations that came out either broken, invisible, or showing no dye at all, most famously, Zephyr Fish and any Hades Dye
	Fixed an issue where the Keybrand wasn’t actually in your hand when you swung it
	Fixed a visual issue where Betsy’s Wrath would hover outside of the player’s hand when shooting it in some directions
	Fixed an issue where the player swung Magic Droppers backwards when using them
	Fixed a visual issue where some magic weapons would shake in the player’s hand when you used them while moving
	Fixed a visual issue related to holding up while grappling to platforms, and then using weapons
	Reduced the chances and hopefully fixed a visual dust bug most often seen when using the Last Prism in a sandstorm, where spinning white crosses would float in place
	Fixed a sprite issue that caused some Crimson and Underground background walls to not loop smoothly when moving horizontally
	Fixed some stray pixels in a surface Crimson background
	Fixed an issue where blocks would not be visible at all in extremely dark locations in the Underworld on Trippy/Retro lighting
	Fixed an issue where the glowing parts of Meteorite and Martian Platforms would not change position to match when they were hammered
	Fixed a stray pixel that would flicker off and on in the Goldfish Bowl
	Fixed a stray pixel on Pumpkin Doors
	Fixed an issue where Pumpkin Blocks were missing some pixels
	Fixed the Waterleaf Sprout sprite so that it isn’t so hard to see
	Fixed a sprite issue with several pianos where standing on them or placing items on them looked like they were floating
	Fixed a subtle issue that almost no one noticed, where Ancient Manipulator’s glow effect was off center by a few pixels
	Fixed an issue where Goblin Tinkerer’s sprite looked blurry/distorted
	Fixed a spriting issue where a number of bipedal enemies had subtly broken walking animations
	Fixed some extremely subtle stray pixels floating near Crimson Axe enemies
	Fixed an issue where Celestial Pillars that were hovering “in�Ea small puddle or pond would have the pond appear in front of them
	Fixed a visual issue where Tortoise-type enemies would be pushed down into the ground slightly
	Fixed a number of minor sprite issues where pixels did not use the proper 2x2 format
	Snow should no longer fall indoors when the ceiling is offscreen
	Improved an issue where there were unusual red flickers when near the Underworld
	Fixed an issue where waterfalls would fall through thin ice
	Fixed a visual issue that happened if a player went underground during a Blood Moon, which would break the Blood Moon shader effect for the rest of that gameplay session
	Fixed a layering issue where fishing line draw in front of Money Trough but the fishing rod drew behind it
	Fixed a UI overlap issue where the name of a Dresser and the Shirt icon for using it would cover each other
	Fixed an issue where Ruler UI would scale with Game Zoom, not UI Scale
	Fixed an issue where Miner’s Wobble hasn’t been working for a while
	Fixed an issue where Dryad’s Blessing leaves would turn black on certain lighting settings

D. Block and Furniture Bugs:
	Protected the blocks supporting the Locked Temple Door from being broken, resulting in a floating door
	Dropped sand and other falling tiles that cannot land as tiles will now turn into items to pick up
	Fixed an issue where Meteorite ore flashed oddly and turned transparent when using Spelunker Potion
	Fixed an issue where you could actuate falling blocks, make the block fall, and then place furniture on top of those spots and it would partially actuate as well
	Fixed an issue with falling blocks floating in the air in multiplayer
	Fixed an issue where Marble blocks actually merged with doors
	Fixed inconsistent behavior between right and left facing hammered blocks and how they react to torches being placed near them
	Fixed an issue where Crystal Blocks merged oddly with other blocks
	Fixed an issue where a number of half-blocks put alongside a column of another block would have graphical issues
	Fixed an issue where Desert Fossil was not revealed by Spelunker Potion
	Fixed an issue where blocks that were under tree branches could not be hammered or actuated
	Fixed an issue where you could place torches against sloped blocks facing right, but not left
	Fixed an issue where Luminite Brick’s art was not framed correctly, resulting in the tiles not visually connecting to each other
	Fixed some issues interacting with Team Blocks that stemmed from no longer used mechanics
	Fixed an issue where instantly destroying moss with explosives would drop no stone
	Fixed an issue where the Drill Mount could hammer otherwise unhammerable tiles, such as Traps
	Fixed a visual issue where unhammered dirt blocks surrounded by hammered dirt blocks on both sides would display incorrectly
	Fixed an issue where Rainbow Bricks lost their rainbow effect when hammered
	Fixed an issue where large blocks of placed spikes would turn black in the center
	Different types of cloud blocks now blend with each other
	Fixed an issue where sloped Rain/Snow Clouds did not show rain/snow in the sloped corner
	Fixed an extremely rare exploit where meteorites could land and burrow into the Temple, destroying the Lihzahrd Bricks if it was exposed to the surface
	Fixed an issue where sloped Inactive Stone blocks would unslope themselves the next time you joined the world
	Fixed an issue where placing the Eternia Crystal on your spawn and respawning during the Old One’s Army event would break the crystal
	Fixed an issue where ice stalactites were offset slightly from their proper position
	Fixed an issue where standing at a specific height beneath a chest would allow you to open it but instantly close it again
	Fixed an issue where the mouseover range for some chests was extremely small compared to others
	Fixed an issue where some Dressers were not eligible for Quick Stack to Nearby Chests
	Fixed an issue where wiring some Lanterns by the base would only turn them partly off, instead of all the way off
	Fixed some unusual behaviors when placing Teal Pressure Pads on the sides and bottoms of various hammered block shapes
	Fixed an issue where the Lamp Post was not valid lighting for housing
	Added map mouseover text to a number of tiles that did not have them, including Geysers, Wire Bulbs, and Enchanted Nightcrawler Cages
	Fixed a number of tiles that were drawing a few pixels too low/to the side, such as some clocks, chandeliers, Green mushrooms, and chairs.
	Fixed an issue where you could place Trapdoors on top of yourself
	Fixed an issue where numerous furniture items could not be placed on the intersection of stairs and platforms
	Fixed an issue where you could use actuators to break a Lihzahrd Altar early
	Sunflowers can now be placed in front of walls
	Fixed an issue where Gravestones and Jungle Plants would not break when the block beneath them was actuated
	Fixed a method of duplicating armors off of Mannequins
	Fixed an issue where torches placed on blocks directly above a door would “wobble�Ewhen opening the door
	Fixed some issues where campfires could be turned off, submerged in water, then relit underwater, as well as inconsistency with how water broke on/off campfires in multiplayer
	Fixed a very hard to encounter issue where placing a ton of Christmas Trees at various light levels would result in some of them glowing
	Fixed a tile issue where gravestones would not break if the blocks beneath them were hammered
	Strange Plants should now show up on Metal Detector
	Fixed an issue where Jungle and Mushroom Plants would continue to grow on actuated mud, resulting in their items immediately breaking off and falling to be collected
	Fixed an issue where a significant number of platforms in the game generated the wrong dust when broken
	Fixed an issue where only some alchemy herbs in pots could be smart cursor replaced with fresh seeds
	Fixed a multiplayer issue where opening a trap door so that it overlapped with stairs would permanently make that part of the stairs invisible until the server was reset
	Fixed a visual issue where Prickly Pear flowers always looked cactus green even on infected variants of cacti
	Fixed a certain duplication exploit involving item frames
	Fixed a certain duplication exploit involving teleporters
	Fixed a certain duplication exploit involving doors
	Fixed a potentially serious, world corrupting issue with leaving furniture on top of Ice Blocks and then quitting out of the world
	Fixed an issue where you could not place a block on a single isolated piece of back wall
	Fixed a visual issue on Dungeon Tile walls that made it look like solid chunks of walls were not fully filled in
	Fixed an issue where Green, Blue, and Pink Dungeon walls made dirt dust when broken
	Fixed an issue where Underground Desert Walls were susceptible to constant neverending reinfection by the opposite infection biome
	Fixed an issue where Player-placed Obsidian Brick Walls were dramatically darker than natural Obsidian Brick Walls
	Fixed a framing issue with Marble Walls that caused them to have unwanted lines
	Fixed an issue where Mushroom Wall was not valid housing
	Fixed a visual issue with Bone Walls sometimes being very big and layering improperly
	Fixed an issue where Iron Fences and Sails were not considered valid housing walls
	Fixed an wall issue that caused the corner of Luminite Walls to vanish if they had a block over them
	Fixed an issue where backwalls with torches on them would break in one hit, even if that wall should take more than one hammer hit to break
	Fixed an issue where Smart Cursor would attempt to break walls behind Demon Altars pre-Wall of Flesh, but hit the altar instead, hurting you. It will no longer aim for these walls
	Fixed an issue where Deep Sky Blue paint was actually deep green on some tiles
	Fixed some inconsistent situations where painting grass blocks would not always correctly spread its paint to attached tall grass, flowers and vines
	Fixed some issues with waterfalls and sloped blocks
	Fixed an issue where water would continue to be destroyed by lava that overlapped a minecart track. Obsidian (and Honey/Crispy Honey) will now form appropriately, destroying the track, in such scenarios
	Fixed an issue where waterfalls running down a slope would sometimes tunnel through a block and come out the other side
	Fixed some inconsistencies with certain items not being able to be placed on Weapon Racks like they should
	Fixed an issue where the Grand Design could not be placed in Item Frames
	Fixed an issue where placing too many torches would render a home invalid due to no free space
	Fixed an issue where a houses have just enough room initially, but when plants grow out of a decorative clay pot, there suddenly wasn’t quite enough space

E. NPC and Enemy Bugs:
	Fixed an infamous exploit involving Duck Statues. No, we did not remove Ducks. You people are silly.
	Fixed an issue where Bunnies spawned from statues during Parties would not wear Party Hats
	Fixed an issue where you could release critters into solid blocks, which is horrible
	Fixed a multiplayer exploit where Lucky Coin and its tinkers still worked on Statue spawned enemies
	Fixed an issue where a number of enemy AIs would run away when spawned from statues because they were not in their home biome
	Town NPCs no longer rudely walk on Dynasty Tables
	Fixing a number of NPCs not being properly summoned by King/Queen Statues
	Fixed an issue where Bubble Block houses were somewhat unreliable and NPCs would move out
	Fixed an issue where NPCs walking on a platform directly above blocks would bounce up and down on the platform, but ONLY while walking left
	Improved a number of unwanted double interactions when talking to NPCs standing in front of furniture
	Fixed an issue where opening a door in a house would invalidate the NPC’s housing there because the door took up too much space
	Fixed an issue where Real Estate Agent achievement would not unlock if the last NPC was rescued instead of moved in
	Fixed an issue where wearing Frost Armor would apply Frostburn to friendly NPC’s attacks as well. Also fixed an issue where wearing Frost Armor would make Pirate attacks inflict Frostburn on your NPCs
	Fixed an issue where NPCs who were safe inside of their homes would start to panic and run outside if an enemy got near the house
	Fixed an issue where Tax Collector fell out of the bottom of the map but didn’t die
	Fixed an issue where NPCs could not teleport home if their housing flag was over half-blocks
	Fixed an issue where NPCs could walk into tight corners and end up getting stuck there, spinning around rapidly
	Fixed an issue where the Tax Collector liked parties. Clearly out of character.
	Fixed an issue where Traveling Merchant would never visit if all of the nearby surfaces were covered in minecart tracks
	Fixed an issue where the Nurse would get stuck underwater indefinitely healing herself from drowning
	NPCs will no longer emote at you while invisible
	King Slime will no longer teleport rapidly and spawn camp a dead player
	Fixed a multiplayer issue where King Slime would sometimes be too large
	Fixed an exploit where King Slime’s minions would drop Souls of Light/Night when underground
	Fixed an issue where breaking more Orbs/Hearts after summoning Eater of Worlds/Brain of Cthulhu would summon a second one
	Queen Bee should no longer be summoned and attack you if her Larvae are broken when no one is nearby, including from liquids settling on worldgen
	Fixed an issue where Flying Dutchmen parts would despawn at different distances from the player, resulting in it spontaneously dying sometimes
	Fixed an issue where Goblin Summoners did not keep the Invasion music playing like other Goblins
	Fixed an issue where running from an enraged Skeletron Prime might cause his arms to despawn
	Fixed an issue with the Twins where their map icons were mixed up
	Improved the positioning of Lihzahrd Altar and how Golem spawns above it, reducing the possibility of him being stuck in the ceiling and making it hard to defeat him
	Fixed an issue where Pumpking counted for 3 enemies on your Radar
	Added death effects so that Ancient Vision no longer simply ceases to exist when killed
	Fixed an issue where the aggro'd Cultist music played at a really large distance
	Fixed an issue where Chlorophyte Leaf Crystal would keep shooting uselessly at the Cultists Sigil and kill innocent Cultist bystanders by accident
	Fixed an issue where stray Antlion sand balls would land in the Dungeon and prevent Cultists from spawning
	Fixed an issue where if you killed passive Cultists in one hit, one by one, it would not anger them
	Changed meteor spawns so that they can no longer fall on the Cultists worship spot, preventing them from spawning
	Improved “Cultist Spawn Zone�Efunctionality to remove some rare situations where minor variations of the Dungeon’s entrance would prevent the Cultists from spawning
	Fixed a rare issue where Celestial Pillars would spawn high in the sky
	Fixed an issue where Celestial Invasion enemies would not spawn on a giant arena comprised entirely of player-placed walls
	Fixed a more common issue where Celestial Pillars would sink into the ground a bit more every time you loaded your world
	Fixed an issue where Moon Lord’s Phantasmal Death Ray would keep firing if you killed his forehead eye in the middle of it
	Fixed an issue where Dripplers and Ravens would not descend through platforms
	Fixed an issue where Red Pigrons could not spawn on Crimson Ice
	Fixed a multiplayer issue where Mothron had a tendency to despawn mid-fight
	Fixed an issue where wall-crawling Possessed would spawncamp dead players during Eclipses
	Fixed an issue where Antlions would spawn anywhere, if the background was sandstone
	Fixed an issue where Pirate Parrots could not fly down through platforms
	Fixed an issue where conveyor belts overrode biome spawns
	Fixed an issue where platforms would interfere with natural biome spawns
	Fixed an issue where Rainbow Slimes could not spawn on Hallow Blocks, even though they can only spawn in the Hallow. They are now much more common.
	Fixed an issue where Angry Tumblers would kill you in the desert, and then track you down from hundreds of blocks away and attack you again at your spawn point
	Fixed an issue where only Lost Girl could drop coins, not Nymph. Also applied to Slimer and several other form changing enemies.
	Fixed an issue where enemies that can change form (Spiders, Slimer, Lost Girl) and had picked up money in Expert would lose that money upon changing form
	Fixed an issue where Clown and Skeleton Merchant were not rare enemies
	Fixed an issue where Goblin Warriors and several other similar enemies would fall through the floor in 3-block tall hallways
	Fixed an issue where some quadruped enemies would fall through blocks when running into certain dead ends
	Fixed an issue where two different worm enemies of the same species would show a single health bar in the space between them that was an average of their total health
	Fixed an issue where Wall Creepers and Granite Golems used the wrong sound effects
	Fixed an issue where Demons made sounds, but Voodoo Demons did not
	Fixed Wall-crawling enemies being susceptible to confusion but not acting confused
	Fixed an issue where Bone Javelins would hit one enemy but not inflict the damage over time effect, while inflicting the damage over time on a second enemy instead
	Fixed an issue where Sroller’s hitbox was off center
	Fixed an issue where Drakanians did not drop the Drakomire Rider banner
	Fixed an issue where Angry Tumblers would visually draw behind doors and actuated blocks, which made it hard to see them
	Fixed an issue where Stardust Cells would sometimes be incredibly huge
	Fixed an issue where Stardust Cells couldn’t move through platforms
	Fixed an issue where Solar Selenians did not show up on Tally Counter
	Fixed a visual issue where large zombies would slightly clip into the ground
	Fixed an issue where enemy archers who were Confused would run away at high speeds
	Fixed an issue where wall-crawling Blood Crawlers and Sand Poachers had an off center hitbox
	Fixed an issue where Witherbeasts would desync and vanish sometimes when attacked in multiplayer
	Fixed an issue where "Ghost Mode" Old One's Army enemies would cause unusual water ripples

F. Projectile, Pet, and Minion Bugs:
	Fixed an issue where excessive Possessed Hatchets and certain Minions would result in Possessed Hatchets stacking up in large quantities
	Fixed Flame Trap's flames hitting targets behind, below, and on top the flame trap
	Fixed an issue where certain projectiles could have Striking Moment applied twice
	Fixed an issue where Seedler nuts were gaining Magic Quiver’s arrow speed bonus
	Fixed an issue where Chain Guillotine had a really weird hitbox
	Fixed a collision issue where Yoyos could get stuck in blocks when underwater
	Fixed an issue where Yoyos behaved increasingly erratically at high melee speeds, ultimately culminating with them breaking entirely and being unusable
	Fixed an issue where Daybreak and Bone Javelin Spears would layer incorrectly behind Flying Dutchmen
	Fixed an issue where Daybreak would not spread its debuff if your attack killed the target in one hit. Now spreads the debuff to nearby enemies even if the attack kills the target in one hit.
	Fixed a multiplayer issue where Dart Traps projectiles could not activate Portal Turrets properly
	Nimbus and Crimson Rod projectiles are now less likely to pierce through blocks
	Fixed an issue where the Book of Skulls projectile flashed excessively in high lighting situations
	Fixed an issue with the Ice Rod that led to excessive FPS loss
	Fixed an issue where Vampire Knives would not fire when backed up against a wall
	Fixed an issue where Falling Stars would clip through conveyor belts and end up embedded in the dirt
	Fixed an issue where throwing dozens of Spelunker Glowsticks would make sparkles for every glowstick, making treasure sparkle way too much
	Fixed Fungi Bulb’s projectiles behaving oddly, and not very effectively, in Expert
	Fixed an issue where Stardust Dragon would leave the edge of the screen and despawn
	Fixed a layering issue where Stardust Dragon’s head was laying in the wrong order with the rest of its segments
	Fixed an issue where Spider Minions counted for less than one minion
	Fixed an issue where Pirate Minions would fail to return to you when left behind, and were just pretty dumb in general
	Improved how Spider Minion and Spider Pet handle 1-block tall walls, preventing them from shaking wildly in place
	Potentially fixed a rare issue where flying Pygmy minions that were submerged in lava would turn into a straight black line while attacking enemies
	Fixed an issue where minions would cut various tiles like cobwebs or grass with their body
	Fixed an issue where Companion Cube would jump constantly in tight corridors
	Fixed a visual issue where the Old One’s Army pets had rough edges/scaling when they were floating at an angle
	Fixed an issue where the Tiki Mask pet would shake violently when submerged in water
	Fixed the Cursed Sapling Pet not showing dyes if summoned via its item

G. Inventory, Menu, and Tooltips/Text Bugs:
	Fixed a tooltip issue where Shroomite Breastplate had an unlisted 13% increased range damage
	Fixed a tooltip issue where Paladin’s Shield had knockback immunity but did not indicate that it did
	Fixed a tooltip inaccuracy on Spider Armor indicating that it gave the wrong damage %
	Fixed Suspicious Looking Tentacle not using the "Expert" exclusive tag and rarity color
	Fixed and clarified hundreds of other item and armor tooltips to give more specific numbers, explanations, and use more consistent terminology across the game
	Fixed a ton of incorrect/inconsistent item rarities, while acknowledging that item rarities across 5000 items are a rough science and there will always be some inconsistencies
	Fixed tons of typos, spelling errors, spacing issues, punctuation issues, and general tooltip, dialogue, and text polish across the entirety of the game
	Renamed Snowfall and Sandfall to actually be called “Snowfall Blocks�Eand “Sandfall Blocks�Erespectively
	Fixed a number of projectiles having incorrect names, displaying internal naming IDs in death messages when they kill the player
	Coins now only display their damage when the user has a Coin Gun
	Fixed some complicated change-making bugs involving coin stacks disappearing when quickstacking to Piggy Banks
	Fixed an issue where Quickstacking Coins from inventory was still allowed, even though Quickstacking from Coin slots is not allowed
	Fixed an exploit where Etherian mana could be stored in large quantities in chests between invasions
	Fixed an issue where the game would frequently automatically default to Hotbar Slot 9 when closing the inventory
	Fixed an issue where right clicking a single favorited item to pick it up would remove its favorite status
	Fixed an exploit where players could put large gems in the trash to avoid losing them on death
	Fixed an issue where placing a Music Box or Fish Bowl would temporarily disable some inventory functionality as a side effect of them also being equipment
	Fixing an issue where Info Accessory icons disappeared when renaming chests
	Fixed some issues where left sidebar builder buttons would have unusual spacing
	Fixed an issue where there was a slight overlap between the PVP button and Dye slots
	Fixed an issue where opening chests would make info accessory icons move
	Fixed an issue where Hardened Sand was a crafting material but did not display as a Material, and made infected Hardened Sands craftable into Glass as well
	Fixed an issue where Glass Clocks had two recipes
	Fixed an issue where Tax Collector’s vanity set was sold from two different NPCs
	Fixed an issue where Tin Hammer could not be reforged
	Fixed an issue where weapons would lose their prefix when closing a full inventory
	Fixed an issue where weapons would generate with an invisible temporary prefix, the primary symptom of which was that their rarity color would be different from normal until the world was reloaded
	Fixed an issue where Hermes Boots in the 6th accessory slot in Normal mode would make dashing sounds anyway, even though you didn’t dash
	Fixed an issue where 6th accessory slot dye in normal mode would rarely cause dye issues on other accessories
	Fixed an issue where the Dresser UI interface would only show generic hair, not your current hair
	Fixed an issue where you could get achievements while dead, and the game would try to let you click on them, but they would fail to show you the achievement menu
	It should now be harder to double-bind keyboard inputs and lock yourself out of entering the menu, but players who manage to do so will still need to delete or modify their input profiles file to fix it
	Fixed an issue where quitting a world while holding a torch would result in your player menu character holding their hand out
	Fixed an issue where character play time doesn’t increase when Autopause is on
	Fixed a workaround that let you make character names that were way too long
	Fixed an issue where Achievement sorting buttons made no sound effects
	Fixed an issue where Celestial backgrounds would remain visible for an extended time on the main menu after quitting out when the background was visible
	Fixed an annoying sound issue involving the character creation sliders making repetitive noises, or no sound at all, when mousing over them
	Fixed an infamous minor issue where the Parallax setting would constantly reset itself to 99% instead of 100%
	Fixed an issue where, when moving NPCs and holding a tool, it would show both the NPC’s head and the tool cursor
	Fixed Tavernkeep’s special progression messages displaying out of order
	Fixed an issue where the Angler would not say most of his dialogue
	Fixed a multiplayer issue with Angler dialogue where the world name would not be listed at all
	Fixed some inconsistent or inaccurate Fishing Quest dialogue text
	Fixed a number of continuing issues with NPCs referring to Corruption/Demon Altars while in Crimson worlds
	Fixed an issue where shift-clicking items into the Guide or Goblin Tinkerer’s special slots would make no sound
	Fixed an issue where special text code (item icons and color) did not work on chest text
	Improved some issues with line breaks and text color in chat
	Fixed an issue where, when chatting, if you hit Enter right after the very last key pressed, it would use that key again after the message was sent, sometimes activating hotkeys like Potions or Mounts
	Fixed an issue where mousing over the Banner Buff while near extremely high numbers of banners would cut off the text in an ugly way
	Fixed some UI Scale/Resolution issues that caused the minimap and other UI elements to overlap and allowed you to hit two buttons at once
	Improved issues with how the UI scales for people with a really short displays, preventing it from cutting off the UI at the bottom
	Fixed an issue where trying to open a Money Trough floating over a chest would always open the chest
	Fixed an issue where the item mouseover text for Soul items and Yorai’s Scowl/Spell would be very high above the item
	Fixed a Linux issue where certain key inputs would be perceived as repeated inputs, and would spam behaviors in game
	Fixed an issue where, after alt+tabbing out of the game, moving the cursor around your computer screen would click audibly over settings options in the game

H. Crashes and other very severe issues:
	Added protection against Chests generating over Bee Larvae during initial worldgen, resulting in an instant crash on world load
	Fixed several dozen worldgen freezes/crashes, and ran thousands of consecutive worldgens for days on end to catch as many more as possible
	Fixed a potential crash issue where, if you started generating a world and then received a Steam invite, trying to join that invite would usually crash your world, or have other chaotic side effects like showing you partially generated worlds
	Fixed a potential crash issue when using Life Drain while in reverse gravity
	Fixed an achievement related crash that happened when killing the Wall of Flesh in some worlds
	Fixed an extremely serious issue where naming your characters �E�Eor �E.�Ecould lead to deleting your saves folder
	Fixed an issue where Mac’s dedicated server file did not install correctly
	Fixed a rare crash involving Giant Tortoises not dealing well with sloped tiles
	Fixed a crash issue where attempting to access the Captures folder via the in-game button would crash the game if you had no Captures folder

I. Multiplayer Bugs:
	Fixed a server issue where, after reaching the capacity of the server, no one could join the server even if people left
	Fixed a server issue where setting the password to include either one or two quotation marks would prevent people from joining
	Creating a new character when trying to join a multiplayer session via Steam should no longer take you back to the singleplayer menu after
	Improved and hopefully fixed Boss Bag not dropping for everyone in multiplayer, particularly King Slime and Eater of Worlds
	Fixed an issue where a number of pre-existing projectiles would not be visible to players joining a server
	Fixed a multiplayer issue where players who were grappled on to walls when a new player joined in would appear to be constantly falling from that spot
	Fixed an issue where the Bee Mount did not sync its hovering with servers, resulting in unusual visual issues for other players
	Fixed a multiplayer issue where placing a block over, harvesting with Staff of Regrowth, replacing with seeds, or otherwise harvesting alchemy herbs would not provide all of the expected seeds and herbs
	Fixed a multiplayer issue where Signs placed above trapdoors would duplicate and behave oddly when opening the trapdoor
	Fixed a long standing Multiplayer issue where signs and gravestones would not show mouseover text for other players if they were created within that session
	Fixed a multiplayer issue where the Frost Legion completion flag was not set correctly in servers, preventing players from buying the special hats from Clothier
	Fixed a multiplayer issue where Ghost Hardcore players in would not update correctly for other players
	Fixed a multiplayer issue where critters standing on platforms at night would constantly fall down and then teleport back up to the top of the platform
	Fixed a multiplayer issue where players couldn’t see each other swinging Old One’s Army sentry staves
	Fixed a multiplayer issue where Brand of the Inferno’s special animations and sounds would not show for other players
	Fixed a multiplayer issue where Vilethorn-type weapons didn’t play their sounds correctly for other players
	Fixed a multiplayer issue where breaking certain blocks didn’t make sound effects
	Fixed an issue where player sensors did not make sounds in multiplayer
	Fixed a multiplayer issue where Dungeon Guardian and Skeletron were not roaring
	Fixed a multiplayer issue where swinging Solar Eruption exactly once would not make a sound for other players
	Fixed some visual and audio desyncing with the Sky Fracture when on Multiplayer servers
	Fixed an issue where in-game text over chatting player’s heads did not scale properly with UI Scale
	Fixed an issue where Portal Gun Stations did not make sounds, and Portal Guns did not make sounds in multiplayer
	Fixed an issue with Portal Gun portals not working correctly when they lead to an unloaded chunk in multiplayer
	Fixed a multiplayer issue where Portal Gun portals could overlap each other and lead to inconsistent behavior
	Fixed an exploit where dead Hardcore characters could view the map
	Fixed a multiplayer issue where Molotov induced On Fire in PVP would not work correctly
	Fixed an issue where being killed in PVP by Inferno Potion announces that you were killed by whatever was in the killer’s hand, such as a cell phone
	Fixed some PVP desyncronization related to Solar Armor explosions

J. Gamepad Bugs and Functionality Issues:
	Fixed an issue where the Stylist’s menu had no visible indicator of which hairstyle you were selecting when using a Gamepad
	Fixed some inaccurate on-screen button help text relating to grappling when using a Gamepad
	Fixed an issue where the Lock On icon would become stuck when switching back to Keyboard and Mouse when using a Gamepad
	Fixed an issue where if the player was grappled onto a minecart track while using a Gamepad, attempting to use a minecart would shoot another hook out and leave them hanging between the two
	Fixed an issue where the on screen Gamepad Zoom In/Out text was using reversed buttons
	Fixed a Gamepad Settings issue where pressing A to enter certain sub-menus would inadvertently toggle settings in other sub-menus
	Fixed an issue where the Trash button didn’t do anything when using a Gamepad
	Fixed an issue where mining on a rope gave the player less mining distance when using a Gamepad
	Fixed an issue where swapping back and forth from a Gamepad to Keyboard/Mouse while entering text into some menus would enter phantom letters
	Fixed an issue where if you turned on visible Housing icons and then switched to Keyboard/Mouse, you could not turn them off again when using a Gamepad
	Improved some Gamepad Smart Select mechanics regarding torches and pickaxes when aiming at blocks







Version 1.3.5.3 Changes-----------------------------------------------------------------------------------------------

Fixes:
	Fixed server console formatting issues
	Fixed numerous translation errors
	Fixed game title always appearing in English
	Fixed the Old One's Army javelin's missing name
	Fixed Eater of Worlds despawning at rare situations in multiplayer
	Fixed error when trying to use the room query on an unfit room in certain languages



Version 1.3.5.2 Changes-----------------------------------------------------------------------------------------------

Features:
	Town NPCs now have a golden frame over their room banner if the player specifically assigned it for them
	Improved visuals on a few things

Fixes:
	Switched to an easier to read font for Chinese
	Fixed faults for Chinese input on Mac OS X
	Fixed unintended forced zoom for 16x10 resolutions
	Fixed Ghastly Glaive not damaging any enemies
	Fixed some sliders missing sound on hover
	Fixed crash when a hardcore player dies
	Fixed player's breath meter moving unexpectedly when using Binoculars, Sniper Scopes, or Zoom
	Fixed certain item slot interactions not functioning when gamepad instructions are disabled
	Fixed Shrimpy Truffle's mount not allowing the player's head to touch the ceiling
	Fixed fresh installations of the game showing an inappropriately sized language selection menu	
	Fixed Town NPCs attempts to return to their room not being as successful as they should be



Version 1.3.5.1 Changes-----------------------------------------------------------------------------------------------

Fixes:
	Potentially fixed a certain crash on startup
	Potentially fixed a certain cause of framedrops for people who have the Windows 10 Creators Update
	Fixed Betsy's boss bag having an incorrect name
	Fixed Truffle spawning up without meeting his special requirements



Version 1.3.5 Changes-------------------------------------------------------------------------------------------------

Features:
	Improved and added new localization for the following languages
		German
		Italian
		French
		Spanish
		Russian (new)
		Simplified Chinese (new)
		Brazilian Portuguese (new)
		Polish (new)
	Greatly improved rendering and overall gameplay on resolutions larger than 1080p
	Added Zoom and UI scale sliders in the in-game settings menu
	Added most of the main menu's settings to the in-game settings menu
	Dungeons in newly generated worlds now contain new furniture
	Added a crystal furniture set, and expanded other furniture sets
	Added Arkhalis's and Leinfors' developer armor sets
	NPCs who are manually assigned to a room will attempt to return to it when they respawn after being slain
	Imrpoved stability on Mac OS X and Linux
	Improved visuals on many different things
	Improved Retro lighting consistency
		
Fixes:
	Fixed settings button overlaying the armor icon
	Fixed inconsistent naming for Sand Poacher and Granite Golem banners
    Fixed banner buff list extending beyond screen limits
	Fixed hand drawing over backhand glove and shield accessories for female characters
	Fixed Sparky painting and several other rare paintings not naturally spawning properly
	Fixed a certain multiplayer crash
	Fixed sign mouseover text staying on cursor permanently when in Options and Camera menus
	Fixed a world generation crash on Linux
    Fixed a number of minor grammar issues in NPC dialog
	Fixed a certain exploit
	Fixed trapped Granite and Meteorite Chests dropping the wrong item upon breaking
	Fixed Vortex Monolith not selling for as much as it should
	Fixed crash when linking items with invalid prefix ids in chat
	Fixed Pumpkin Shirt and Robot Shirt causing leg skin to disappear when equipped
	Fixed Defender's Forge closing instantly if opened from below
	Fixed Terraria thinking it has focus when it did not have focus
	Fixed Grand Design and Multicolor Wrench emitting light on use
	Fixed auto-creating a world from the server causing it to always use the same seed
	Fixed Platinum Candelabra not sitting properly on other objects
	Fixed Goblin Tinkerer being slightly smaller than intended
	Fixed petrification death messages being broken for a long while now
	Fixed Wall Creeper dropping gore when blood and gore are off
	Fixed Xeno Staff's selling price, now consistent with the rest of Martian loot
	Fixed crash when mousing over chests and dressers in the map view
	Fixed settings button colliding with 6th accessory dye slot
	Fixed Corrupt Thorns almost never generating
	Fixed multiple issues with platform/block interaction
	Fixed pillars of dirt appearing above the Underground Desert sometimes
	Potentially fixed an issue where Marathon Medalist would cause FPS drops.
	Platforms from 1.2.4.1 and above now emit particles when destroyed
	Virtual Keyboard should no longer appear unless a Gamepad is being used
	Using Quick Heal to consume restoration potions now properly inflicts mana sickness
	Defender's Forge now has highlight outlines
	
	
	
Version 1.3.4.4 Changes-----------------------------------------------------------------------------------------------

Fixes:
	Fixed certain crashes related to the game losing focus
	Fixed death messages mentioning piggybanks and glowsticks
	Fixed xenopopper not detecting ammo
	Fixed maps not loading properly when joining multiplayer
	Fixed situations where old one's army enemies would spawn invisible in multiplayer if they were too far from you
	Fixed several multiplayer client crashes
	Fixed certain turret staves not showing use animation when used by other players
	Fixed certain turrets falling through platforms after spawning on them
	Fixed spider queen not working with the max sentry system
	Fixed spider queen and frost hydra spazzing against worms
	Fixed apprentice armorsets reducing the angle flameburst towers can shoot instead of expanding it
	Fixed lightning aura emitting sounds for enemies it cannot reach underneath it
	Fixed framedrops related to spectre staff shots
	Fixed framedrops related to onyx blaster shots
	Fixed item sounds playing slightly off center
	Fixed vilethorn and similar items making liquid ripples when they should not
	Fixed some dye items rarity colors



Version 1.3.4.3 Changes-----------------------------------------------------------------------------------------------

Changes:
	All of the DD2 defenses can now have prefixes!

Fixes:
	Hopefully fixed chat not properly blocking player movement and misc functions
	Fixed smart-cursor not placing pumpkin seeds properly
	Fixed certain melee weapons causing framedrops when used at (very) far distance from hittable targets
	Fixed betsy's wings emitting faint amount of lights when descending (this was not ever intended)
	Fixed pumpkin seeds not being placable on each other (by cutting the old one first)
	Fixed filterPriorityThreshold config setting resetting in every future update (sorry!)
	Fixed self-harming exploit when using the eternia crystal stand at certain heights acting inconsistently
	Fixed two exploit 
	Fixed Luminite bullets emitting lights through town npcs as they travel
	Fixed Love & Stink potions not properly applying to other players in multiplayer 
	Fixed rare case of magic weapons hitting enemies for melee damage if you stand directly on the enemy...
	Fixed "Skeletron has awoken" being "Skeleton has awoken!" when summoned
	Fixed Sand Slimes not appearing in singleplayer and hazardously desyncing in multiplayer
	Fixed a certain linux/mac server crash 



Version 1.3.4.2 Changes-----------------------------------------------------------------------------------------------

Changes:
	Added experimental feature: texture pack support!
		Following the same rules as the seeds experimental feature, first you must set the "UseExperimentalFeatures" to true in the config.json file.
		Texture pack files use a password-less .zip format, and are loaded from the "My Documents/My Games/Terraria" folder.
		For a texture pack to be detected and used it must be named "Texture Pack.zip" and be in that folder.
		The texture pack needs to contain only an "Images" folder, in that folder any texture you include will replace Terraria's texture of the same path.
		Check out the simple example if you're unsure how to use it! :D 

Fixes:
	Fixed Pumpkins getting cut when swinging nearby items or projectiles at them (we wanted to make placing blocks over them cut them for convenience, nothing else!)
	Fixed town npcs potentially disappearing if you load a map using a non-english language
	Fixed celestial pillars not loading properly, resulting in immediate wipe and triggering impending doom.
	Fixed Drill Containment Unit being usable during creative shock
	Fixed unconscious tavernkeep & sleeping angler not showing up on the lifeform analyzer
	Fixed tavernkeep accidentally spawning in water 
	Fixed stardust armor's excess lighting brightness
	Fixed tooltips on the new accessories saying 'sentry' damage when it meant minion damage, there never was such a thing as sentry damage.
	Fixed numerous input issues
	Fixed item linking in chat!
	Fixed stardust cell minion's shots trying to occassionally latch to town npcs and the Eternia crystals
	Fixed old one's lane portals not emitting light
	Fixed weapons not being usable while chatting!!!
	Fixed Defender's Forge name missing when open
	Fixed Monk's brows saying "attack speed" instead of "melee attack speed"
	Fixed the tavernkeep still calling Eternia crystals "Elder" crystals
	
	

Version 1.3.4.1 Changes-----------------------------------------------------------------------------------------------

Changes:
	Made tavernkeep slightly easier to find
	
Fixes:
	Fixed medals dropping only in stacks of 1 instead of their intended amounts when in singleplayer
	Hopefully fixed some enemies being invisible on spawn during the old one's army event when in multiplayer
	Fixed Eternia crystals using their internal name elder crystals
	Fixed Striking Moment buff's tooltip
	Fixed tavernkeep not reacting to the king statue
	Fixed certain worldgen crash that was replicated using the experimental seeds feature! whoo!
	Fixed an exploit
	Fixed certain new weapons staying in use during the player's death
	Fixed silent crash when trying to place defenses in dedicated servers
	Fixed silent crash when using last prism in multiplayer



Version 1.3.4   Changes-----------------------------------------------------------------------------------------------

Features:
	Dungeon Defenders 2 Cross-Over Invasion
		Invasion event featuring enemies, weapons, and gameplay mechanics inspired by Etheria - the Dungeon Defenders 2 universe
		This event will play like no other in Terraria - featuring a brand new mechanic where you protect an artifact from invading enemies with the help of a unique defensive structure system
		Multi-tiered event allows players at multiple points in the game to experience scaling difficulty, with corresponding loot
		Enjoy rewards in the form of armor, weapons, pets and more, all straight from the Dungeon Defenders 2 universe!
	The Tavernkeep, a new NPC from the Dungeon Defenders universe, has arrived.  He will be offering a variety of Etherian loot and gear in exchange for an exclusive currency earned by playing the new invasion!
	Completely redesigned liquid visuals. Enjoy the ripples and waves, as the player, enemies, and projectiles now have a visible impact when they enter and move through water
	The Blizzard weather event now has a new, unique ambient sound when active
	Toggles for recently-added visual and water effects that will allow players to balance beautiful visuals and performance to fit their preferences
	A new ability for Summoner players to direct their minions to attack a specific target
	An experimental new world seed feature (This will be inactive by default, see below in the Changes section for more details)

Items:
	Added four new sentry summons, each of which has three tiers of potency
	Added ten new weapons
	Eight new armor sets
	Added five new accessories
	Added two new pets
	Added one new light pet
	Added three new boss masks and trophies
	Added two new decorate furniture items
	Added one brand new “Personal Safe�Estyle furniture item, in the style of the Piggy Bank and Safe
	Added a brand new currency which can be spent with the Tavernkeep for much of the above
	
Enemies:
	Added ten new enemies, many of which can become visibly (and mechanically) more powerful as gameplay progresses
	Added two new invasion style mini-bosses
	Added one new boss	

Other:
	Added one new soundtrack based on the Dungeon Defenders 2 OST, complete with a matching Music Box
	
Changes:
	It no longer rains in the space biome.
	Summoners can now direct their minions to attack a specific target of their choosing. To do this, the summoner must Right Click over an enemy while holding a summoning staff. Minions with line of sight on that enemy will target it immediately. However, if the minions do not have line of sight, they will continue to attack targets at random.
	The way Sentry Summons function has been changed somewhat.
		Outside of the DD2 Invasion event, you now have a limit of one sentry summon at a time
		Some of the 1.3.4 content can increase this limit
		Unlike before, when the sentry limit is above 1, you can summon multiple versions of the same sentry. For instance, with a sentry limit of 3, you could summon 3 Frost Hydras at the same time.
	We’ve added an experimental new seed feature to World generation. All worlds generated in 1.3.4 and beyond will have a seed attached to them. You will also be able to set the seed for a world on world generation. PLEASE NOTE that this feature is not active by default. To activate it, please follow these steps:
		Find Terraria’s config.json file. On Windows, this should be found in Documents>My Games>Terraria.
		Open the config file with a basic text editing program, such as Notepad.
		The 12th line in the config file is labeled �EUseExperimentalFeatures" and will be set to “false�E
		Simply change this to “true�Eand save the config.json file. The next time you launch Terraria, the option to view and set world seeds will appear.
	Please be aware that this is NOT a retroactive feature, and cannot display the seeds for worlds created before 1.3.4, as the data is simply not stored there.
	


Version 1.3.3.3 Changes-----------------------------------------------------------------------------------------------

Changes:
	Improved performance during blizzards and sandstorms on some machines
	Fixed an issue on Mac OS X where Steam's overlay would not work
	Fixed snow sometimes not appearing during blizzards
	
	

Version 1.3.3.2 Changes-----------------------------------------------------------------------------------------------

Changes:
	Gamepad keybindings menu now has a slider that lets you adjust inventory navigation speed
	Gamepad Menu/Inventory Menu Speed is also faster by default, and you can tap to go faster
	Miner's Wobble, the new visual effect when mining blocks, now has an options toggle
	Sandstorm spawns are somewhat less dangerous pre-EoC, with a slightly different spawn set
	Mandible Blade has received a buff to knockback
	
Bug Fixes:
	Patches of sand significantly below ground no longer give off desert heat haze
	
	

Version 1.3.3.1 Changes-----------------------------------------------------------------------------------------------

Bug Fixes:
	Fixed many cases of net disconnect/multiplayer bugs
	Fixed inventory items getting stuck in multiplayer
	Fixed death messages only showing player names under certain circumstances
	Fixed Sky Fracture's sell & reforge costs
	Fixed Stopwatch not showing proper speed when in liquids
	
	

Version 1.3.3 Changes-------------------------------------------------------------------------------------------------

Features:
	A new weather event has been added, sandstorms! With it come new enemies, new loot, a new soundtrack, and a unique experience in the desert biome!
	Blizzards now have a new visual effect.
	Deserts and the Underworld now have a heat distortion visual effect.
	Dripping sand effects can be found in the desert, and placed anywhere by the player with the Magic Sand Dropper!
	
	
Items:	
    Added the Forbidden Armor Set
    Added Ancient Horn (Basilisk Mount)
    Added Onyx Blaster
    Added Sky Fracture
    Added Mandible Blade
    Added Spirit Flame
    Added Pocket Mirror
    Added Djinn's Curse
    Added Lamia Vanity Set
    Added the Ancient Vanity Set
    Added Desert Spirit Lamp
    Added Magic Sand Dropper
    Added several new banners
    Added Music Box (Sandstorm)
    
    
Changes:
    Sand Poachers now inflict the Venom debuff
    Dune Splicers now have more HP and Defense
    Dune Splicers and Tomb Crawlers may be more aggressive, especially during Sandstorms.
    Added multiplayer performance improvements
    Upped spawn rates in underground desert


Bug Fixes:
    Fixed sliders in the gamepad settings not being "locked on" when dragged around
    Fixed certain textures loading wrong at random, and producing weird artifacts
    Fixed underground desert worms being too rare
    Fixed a number of exploits
	Fixed Portal Gun secondary fire conflicting with Grappling Hooks on Gamepad
    Fixed rain, water, and lava sounds persisting when the game window is inactive
    Drills no longer shoot confetti at supersonic speeds when under the effects of Flask of Party
    


Version 1.3.2.1 Changes-----------------------------------------------------------------------------------------------

Bug Fixes:
	Fixed snowfall walls not dropping their item when broken
	Fixed bad chest button cycling in gamepads
	Fixed weighted pressure plates not working
	Fixed party balloon staying in the world indefinitely if its not the first world loaded
	Fixed npc-started parties occuring only for 1 player in the server at random
	Fixed items being equipped when you open a chest with autopause under certain circumstances



Version 1.3.2 Changes-------------------------------------------------------------------------------------------------

Items:
	Added Bundled Party Balloons
	Added Balloon Animal
	Added Party Hat
	Added Silly Sunflower Vanity
	Added Silly Balloon Blocks and Walls
	Added Silly Tied Balloons
	Added Pigronata
	Added Party Center
	Added Silly Balloon Machine
	Added Streamers
	Added Party Present
	Added Cog Walls
	Added Sandfall Blocks and Walls
	Added Snowfall Blocks and Walls
	Added Snow Clouds
	
	
Changes:
	Nerfed beehive-type bees in expert mode
	Significantly reduced count of unnecessary player synchronization calls, which hindered servers with a high player count
	Trees now grow with a “poof!�Eeven when visible on a player’s screen
	Rain Clouds are now craftable
	Clinger Staff can now use platforms as its resting point
	Made improvements to chat tags, and they should no longer break over long lines
	Town NPCs will TRY to avoid falling into cliffs away from their home area


Bug Fixes:
	Fixed XNOR being named NXOR
	Fixed Title text not refreshing from the language menu's use
	Fixed Cooking Pot & Skeleton Lantern (off)'s wrong light display
	Fixed weather not updating on server properly (blame framerate fixes)
	Fixed Grand Design selling for way too much gold
	Fixed Scutlix mount aiming issues
